2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	libtiff 4.7.2 release

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'revert_mr_910' into 'master'
	Revert "_TIFFSetDefaultCompressionState(): reset postdecode callback"

	Closes #860

	See merge request libtiff/libtiff!915

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'mr_810_revert' into 'master'
	Revert "tif_jbig.c don't discard validly decoded data if errors occur"

	See merge request libtiff/libtiff!914

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'rst_formatting_fix' into 'master'
	v4.7.2.rst: formatting fix

	See merge request libtiff/libtiff!913

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	Revert "_TIFFSetDefaultCompressionState(): reset postdecode callback"
	This reverts commit b7a73279cc83e39a2d3425d69185281009f7554a.

	Fixes #860, but re-opens #795

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	Revert "tif_jbig.c don't discard validly decoded data if errors occur"
	This reverts commit fd4e85614c479b9cac7b4d961648cac6f15ad81f.

	This causes a null-ptr deref in jbigkit on some corrupted images. See https://gitlab.com/libtiff/libtiff/-/merge_requests/810#note_3500232812

2026-06-27  Even Rouault  <even.rouault@spatialys.com>

	v4.7.2.rst: formatting fix.

2026-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_859' into 'master'
	Revert "OJPEG: fix nullptr deref when changing compression method from OJPEG to something else"

	Closes #795

	See merge request libtiff/libtiff!910

2026-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jbig-benign_errors' into 'master'
	tif_jbig.c don't discard validly decoded data if errors occur

	See merge request libtiff/libtiff!810

2026-06-25  Lee Howard  <faxguy@howardsilvan.com>

	tif_jbig.c don't discard validly decoded data if errors occur.

2026-06-25  Even Rouault  <even.rouault@spatialys.com>

	_TIFFSetDefaultCompressionState(): reset postdecode callback.
	Fixes #795

	Revert "OJPEG: fix nullptr deref when changing compression method from OJPEG to something else"
	This reverts commit 04607e3ce091ac0579317f185ab2cc378c3f6d39.

2026-06-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'add_missing_export_symbols' into 'master'
	libtiff.def/libtiff.map: add semi-public/private symbols added recently

	Closes #857

	See merge request libtiff/libtiff!902

2026-06-19  Even Rouault  <even.rouault@spatialys.com>

	tiffdump.c: fix build error on Windows.

	libtiff/tiffiop.h: fix ftell() macro in HAVE_FSEEKO case.

	libtiff.def/libtiff.map: add semi-public/private symbols added recently.

2026-06-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-846-integer_overflow' into 'master'
	Harden integer size and offset calculations in libtiff, tools, and contrib

	See merge request libtiff/libtiff!897

2026-06-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-850-Luv32fromLuv48' into 'master'
	Fix signed left-shift UB in LogLuv RANDITHER encoding (#850)

	See merge request libtiff/libtiff!898

2026-06-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-854-TIFFReadAndRealloc' into 'master'
	Handle negative TIFFReadFile results before state updates (#854)

	See merge request libtiff/libtiff!901

2026-06-16  waugustus  <wangdw.augustus@qq.com>

	Handle negative TIFFReadFile results before state updates (#854)

	Harden integer size and offset calculations in libtiff, tools, and contrib

2026-06-12  waugustus  <wangdw.augustus@qq.com>

	Fix signed left-shift UB in LogLuv RANDITHER encoding (#850)

2026-06-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'patch-1' into 'master'
	oss-fuzz: fix broken build

	See merge request libtiff/libtiff!896

2026-06-10  david korczynski  <david@adalogics.com>

	oss-fuzz: fix broken build.

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'DumpModeDecode_signedness_warning' into 'master'
	DumpModeSeek(): fix -Wsign-compare on 32 bit platforms

	See merge request libtiff/libtiff!894

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	DumpModeSeek(): fix -Wsign-compare on 32 bit platforms.

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting_fixes' into 'master'
	Formatting fixes (apply pre-commit run --all)

	See merge request libtiff/libtiff!893

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	Formatting fixes (apply pre-commit run --all)

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/ojpeg-overflow-and-misc-fixes' into 'master'
	Fix integer overflows, copy-paste bug, and loop underflow

	See merge request libtiff/libtiff!891

2026-06-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'jpegdecoderaw-uninit-heap' into 'master'
	JPEGDecodeRaw: initialize output buffer to avoid returning uninitialized memory

	See merge request libtiff/libtiff!892

2026-06-06  evilgensec  <evil.gen.sec@gmail.com>

	JPEGDecodeRaw: initialize output buffer to avoid returning uninitialized memory
	JPEGDecodeRaw() (the YCbCr-subsampled "raw" decode path) writes at most
	sp->cinfo.d.image_height rows, and within each scanline only the
	clumps_per_line clumps derived from the JPEG codestream width. When a
	strip/tile is declared larger than the embedded JPEG SOF dimensions --
	which JPEGPreDecode() only warns about rather than rejecting -- the
	unwritten tail of the caller's buffer is left untouched and returned as
	decoded data.

	Callers such as TIFFReadEncodedStrip/TIFFReadEncodedTile (and the tools
	built on them: tiffinfo -d, tiff2rgba, plus downstream users like GDAL
	and tiff2pdf) hand in an uninitialized malloc'd buffer, so the contents
	of previously freed heap are disclosed to the consumer. The amount of
	leaked data scales with the declared strip/tile height.

	JPEGDecode() already zeroes its output buffer for this case, but
	JPEGDecodeRaw() does not. A conditional memset mirroring JPEGDecode()'s
	dimension test is not sufficient here: for subsampled data the per-clump
	write stride can leave part of the caller buffer untouched even for
	spec-compliant images, so the buffer is zeroed unconditionally before the
	decode loop.

2026-05-31  Anthony Hurtado  <amhurtado@protonmail.com>

	tiff2pdf.c: add overflow checks to RGBA/RGBAA sample count computation.
	The YCBCR-to-RGB conversion path uses TIFFSafeMultiply for the
	tiff_width * tiff_length computation, but the RGBA-to-RGB and
	RGBAA-to-RGB paths perform raw uint32_t multiplication. The same
	inconsistency exists in the tile path with tiles_tilewidth *
	tiles_tilelength.

	For crafted TIFF files with large dimensions, the unchecked
	multiplication overflows and passes a wrong sample count to
	t2p_sample_rgba_to_rgb / t2p_sample_rgbaa_to_rgb, causing
	out-of-bounds buffer access in those conversion functions.

	Add TIFFSafeMultiply overflow checks consistent with the YCBCR path,
	covering both the image path (tiff_width * tiff_length) and the tile
	path (tiles_tilewidth * tiles_tilelength).

2026-05-31  Anthony Hurtado  <amhurtado@protonmail.com>

	tiffcrop.c: fix integer overflow in extractImageSection.
	The computations img_width * spp * bps and sect_width * spp * bps are
	performed in uint32_t (img_width/sect_width are uint32_t, spp/bps are
	uint16_t promoted to int, but the product is truncated back to uint32_t
	when assigned). For images with large dimensions and high bit depth,
	these products can overflow, producing incorrect img_rowsize and
	full_bytes values that lead to out-of-bounds buffer access.

	Use uint64_t intermediates and check against UINT32_MAX before use.

2026-05-31  Anthony Hurtado  <amhurtado@protonmail.com>

	tif_write.c: fix OOB read and underflow in TIFFAppendToStrip copy loop.
	When TIFFAppendToStrip needs to relocate strip data to the end of the
	file, it copies in chunks of tempSize (up to 1 MB). On the final
	iteration, toCopy may be less than tempSize, but the loop unconditionally
	reads and writes tempSize bytes. This causes:

	1. OOB file read past the end of the original strip data
	2. uint64_t underflow when toCopy -= tempSize wraps, causing the loop
	   to run indefinitely

	Introduce a chunkSize variable that is min(toCopy, tempSize) to
	correctly handle the final partial iteration.

2026-05-31  Anthony Hurtado  <amhurtado@protonmail.com>

	tif_dirread.c: fix copy-paste bug in ChopUpSingleUncompressedStrip.
	Line 8024 assigns offset = TIFFGetStrileByteCount(tif, 0) but should
	use TIFFGetStrileOffset(tif, 0). The variable is used at lines
	8061-8063 to perform a file-size sanity check that prevents excessive
	memory allocation when chopping a single-strip TIFF into multiple
	strips.

	With the byte count instead of the offset, the sanity check compares
	the wrong value against the file size, allowing a crafted uncompressed
	single-strip TIFF with a small byte count but large nstrips to bypass
	the guard and trigger excessive allocation from TIFFReadDirectory().

2026-05-31  Anthony Hurtado  <amhurtado@protonmail.com>

	tif_ojpeg.c: fix integer overflow in subsampling buffer allocation.
	The computation of subsampling_convert_ybuflen (ylinelen * ylines),
	subsampling_convert_cbuflen (clinelen * clines), and their sum
	subsampling_convert_ycbcrbuflen is performed in uint32_t and can
	silently overflow for large strile_width values. The existing overflow
	check at line 1362 only guards the ylinelen addition, not the
	subsequent multiplications.

	When the product wraps to a small value, _TIFFcallocExt allocates an
	undersized buffer. Row pointers are then computed using the
	non-overflowed stride, pointing past the allocation. Libjpeg writes
	decompressed scanline data through these out-of-bounds pointers,
	causing heap buffer overflow.

	Use 64-bit intermediates for the multiplications and check against
	UINT32_MAX before truncating back to uint32_t. Return an error
	instead of proceeding with a corrupted allocation size.

2026-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-832-raw2tiff' into 'master'
	Fix integer wraparound checks in raw2tiff/tiffcrop and add missing zero-divisor guards in tiff2rgba (#832).

	See merge request libtiff/libtiff!885

2026-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-836-tiffcrop' into 'master'
	tiffcrop: Fix tiffcrop composite crop buffer sizing (#836)

	See merge request libtiff/libtiff!884

2026-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/compute-tile-strip-overflow' into 'master'
	TIFFComputeTile/TIFFComputeStrip: use overflow-checked multiplication

	See merge request libtiff/libtiff!890

2026-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/dumpmode-seek-oob' into 'master'
	DumpModeSeek: add bounds check to prevent OOB pointer advance

	See merge request libtiff/libtiff!888

2026-05-29  Anthony Hurtado  <amhurtado@protonmail.com>

	TIFFComputeTile/TIFFComputeStrip: use overflow-checked multiplication.
	TIFFComputeTile() computes xpt * ypt * zpt using raw uint32_t
	multiplication that can silently overflow for images with small tile
	dimensions and large image dimensions. The wrapped result is used as a
	tile index into the strip offset/bytecount arrays, causing out-of-bounds
	array access.

	TIFFComputeStrip() has the same issue with (uint32_t)sample *
	td_stripsperimage.

	Replace raw multiplication with _TIFFMultiply32() in both functions,
	consistent with their TIFFNumberOf* counterparts in the same files.
	_TIFFMultiply32() reports an error and returns 0 on overflow instead of
	silently wrapping. Added early return when overflow is detected (result
	is 0 but operands are non-zero) to prevent using a bogus index.

2026-05-29  Anthony Hurtado  <amhurtado@protonmail.com>

	DumpModeSeek: add bounds check to prevent OOB pointer advance.
	DumpModeSeek() advances tif_rawcp by nrows * td_scanlinesize without
	any bounds check against tif_rawcc (remaining buffer bytes). A crafted
	TIFF with COMPRESSION_NONE can trigger an arbitrary forward seek past
	the raw data buffer, causing subsequent DumpModeDecode() calls to read
	from out-of-bounds heap memory.

	Added pre-multiplication overflow check using TIFF_TMSIZE_T_MAX
	division (avoiding undefined behavior from signed overflow detection),
	then bounds check against tif_rawcc before advancing the pointer.

	Note the contrast with DumpModeDecode() in the same file, which
	correctly checks tif_rawcc < cc before any access.

2026-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/growstrips-uaf' into 'master'
	TIFFGrowStrips: fix use-after-free on partial realloc failure

	See merge request libtiff/libtiff!889

2026-05-29  Anthony Hurtado  <amhurtado@protonmail.com>

	TIFFGrowStrips: fix use-after-free on partial realloc failure.
	TIFFGrowStrips() performs two realloc calls for td_stripoffset_p and
	td_stripbytecount_p. If the first realloc succeeds (potentially moving
	the allocation) but the second fails, the error path frees the new
	pointer while td->td_stripoffset_p still points to the old (now-freed)
	memory. When TIFFFreeDirectory() later frees td_stripoffset_p, it
	triggers a double-free of the dangling pointer.

	Fix by updating each struct member immediately after its successful
	realloc, before attempting the second realloc. If either realloc fails,
	the struct members point to valid memory (either the successfully
	reallocated block or the original unchanged block), preventing any
	dangling pointer.

2026-05-25  waugustus  <wangdw.augustus@qq.com>

	Address review feedback for overflow guard fixes.

2026-05-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-844-_TIFFReserveLargeEnoughWriteBuffer' into 'master'
	Fix NULL dereference in _TIFFReserveLargeEnoughWriteBuffer() by validating the strip bytecount array before accessing it (#844)

	See merge request libtiff/libtiff!886

2026-05-14  waugustus  <wangdw.augustus@qq.com>

	Fix NULL dereference in _TIFFReserveLargeEnoughWriteBuffer() by validating the strip bytecount array before accessing it.

	Fix integer wraparound checks in raw2tiff/tiffcrop and add missing zero-divisor guards in tiff2rgba (#832).

2026-05-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_834_835_836' into 'master'
	tiffcrop: fix uint32 overflows in writeImageSections and getCropOffsets

	Closes #834, #835, and #836

	See merge request libtiff/libtiff!879

2026-05-09  waugustus  <wangdw.augustus@qq.com>

	tiffcrop: fix byte carry for left/right composite bit offsets.

	tiffcrop: recompute composite crop dimensions before allocation.

2026-05-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-828-horizontalAccumulate8abgr' into 'master'
	pixarlog: complete ABGR bounds check for multi-row strip decoding

	See merge request libtiff/libtiff!883

2026-05-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_830' into 'master'
	TIFFRGBAImage: avoid int overflows in put functions

	Closes #830

	See merge request libtiff/libtiff!881

2026-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_831' into 'master'
	TIFFFillStrip/Tile(): avoid excessive memory allocation

	Closes #831

	See merge request libtiff/libtiff!880

2026-05-07  Even Rouault  <even.rouault@spatialys.com>

	TIFFFillStrip/Tile(): avoid excessive memory allocation.
	Closes #831

2026-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_823' into 'master'
	Doc: TIFFFdOpen(): clarify role of filename parameter

	Closes #823

	See merge request libtiff/libtiff!882

2026-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_788_Write_IFDLoop' into 'master'
	TIFFLinkDirectory() checks for IFD loops (fixes 788)

	Closes #788

	See merge request libtiff/libtiff!878

2026-05-07  Su Laus  <sulau@freenet.de>

	TIFFLinkDirectory() checks for IFD loops (fixes 788)

2026-05-07  waugustus  <wangdw.augustus@qq.com>

	pixarlog: error out on invalid ABGR output buffer sizes.

	pixarlog: complete ABGR bounds check for multi-row strip decoding.

2026-05-05  Niels Provos  <provos@gmail.com>

	tiffcrop: simplify safeAccumUInt32 overflow check.
	Use the canonical unsigned-overflow idiom (a > MAX - b) instead of a
	uint64_t cast, per maintainer suggestion.

2026-05-05  Even Rouault  <even.rouault@spatialys.com>

	Doc: TIFFFdOpen(): clarify role of filename parameter.
	Fixes #823

	TIFFRGBAImage: avoid int overflows in put functions.
	Fixes #830

2026-05-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFGetMaxCompressionRatio' into 'master'
	Add TIFFGetMaxCompressionRatio() and use it in _TIFFReadEncoded[Tile|Strip)AndAllocBuffer()

	Closes #781

	See merge request libtiff/libtiff!872

2026-05-03  Niels Provos  <provos@gmail.com>

	tiffcrop: fix uint32 overflows in writeImageSections and getCropOffsets.
	Three uint32 wraps in tiffcrop allowed crafted TIFFs to bypass
	loadImage()'s buffer-size guard:

	* writeImageSections:8301 computed sectsize via ceil((n+7)/8.0) (double),
	  which overcounts bytes-per-row by 1 vs. loadImage:7209's integer
	  (n+7)/8, then multiplied in uint32. Now uses uint64_t with the same
	  integer formula and rejects results exceeding UINT32_MAX-3.

	* getCropOffsets accumulates crop->combined_{width,length} in uint32
	  across zones for all four EDGE_* branches; sums >= 2^32 wrap and
	  under-size the crop_buff allocation in processCropSelections. A
	  safeAccumUInt32() helper now guards each accumulation.

	Fixes #834, #835, #836.

2026-04-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_826' into 'master'
	JPEG decompressor: initialize output buffer when JPEG image is smaller than...

	Closes #826

	See merge request libtiff/libtiff!877

2026-04-29  Even Rouault  <even.rouault@spatialys.com>

	JPEG decompressor: initialize output buffer when JPEG image is smaller than strile dimension to avoid heap memory disclosure
	Fixes #826

2026-04-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_ossfuzz_506737072' into 'master'
	TIFFAdvanceDirectory(): avoid potential read heap-buffer-overflow in mmap code...

	See merge request libtiff/libtiff!876

2026-04-28  Even Rouault  <even.rouault@spatialys.com>

	TIFFAdvanceDirectory(): avoid potential read heap-buffer-overflow in mmap code path on 32 bit builds
	Fixes https://issues.oss-fuzz.com/issues/506737072

	```
	==250==ERROR: AddressSanitizer: SEGV on unknown address 0x73402dbf (pc 0xf7cc6656 bp 0xff9cc408 sp 0xff9cbfb8 T0)
	==250==The signal is caused by a READ memory access.
		    0 0xf7cc6656 in libc.so.6
		    1 0x5763d373 in __asan_memcpy /src/llvm-project/compiler-rt/lib/asan/asan_interceptors_memintrinsics.cpp:63:3
		    2 0x57f675ba in gdal__TIFFmemcpy gdal/frmts/gtiff/libtiff/tif_vsi.c:174:2
		    3 0x57f631a9 in gdal_TIFFAdvanceDirectory gdal/frmts/gtiff/libtiff/tif_dir.c:1878:13
	```

	with
	```
	$ tiffdump test.tif
	test.tif:
	Magic: 0x4949 <little-endian> Version: 0x2a <ClassicTIFF>
	Directory 0: offset 8 (0x8) next 2147483647 (0x7fffffff)
	[...]
	```

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-macos-framework' into 'master'
	Build: Support for iOS-derived builds

	See merge request libtiff/libtiff!780

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	cmake: Fix bundle identifiers to use reverse-DNS format.
	PRODUCT_BUNDLE_IDENTIFIER and MACOSX_FRAMEWORK_IDENTIFIER must use
	reverse-DNS dot notation (com.gitlab.libtiff.libtiff_tiff), not
	URL-style slashes which are not valid in bundle ID strings.

2026-04-25  Treata11  <treata11@yahoo.com>

	cmake: Incorporate improvements from treata11/cmake-macos-framework.
	- .gitignore: add build* to ignore build directories
	- CMakeLists.txt: add framework build status message in configure summary
	- libtiff/CMakeLists.txt: refactor duplicate if(tiff-framework) blocks
	  into a set_framework_properties(target headers_var) macro, eliminating
	  repetition between the tiff and tiffxx targets
	- tools/CMakeLists.txt: extract install target list into libtiff_tools
	  variable for clarity

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	cmake: Fix and improve Apple framework build support.
	- Fix FRAMEWORK_VERSION to use conventional letter "A" instead of the
	  full version string, which incorrectly named the Versions/ directory
	- Remove FRAMEWORK/BUNDLE properties from fax2ps and other executables;
	  only shared libraries can be frameworks, and framework linking is
	  implicit for executables via target_link_libraries
	- Remove BUNDLE DESTINATION from tools install rule; CLI tools are not
	  app bundles
	- Add framework properties to tiffxx (C++ wrapper library), including
	  FRAMEWORK DESTINATION in its install rule
	- Move OPENGL_SUPPORT=OFF for embedded Apple platforms into the root
	  CMakeLists.txt, gated on CMAKE_SYSTEM_NAME rather than tiff-framework,
	  so it is driven by platform identity and applies before subdirectories
	  are processed
	- Default tiff-framework to ON for non-Darwin Apple platforms (iOS,
	  tvOS, watchOS, visionOS) where .dylib is not permitted by the App
	  Store; keep OFF on macOS where .dylib is the conventional format
	- Short-circuit HAVE_LD_VERSION_SCRIPT=FALSE on Apple unconditionally,
	  since ld64 does not support --version-script, avoiding a noisy probe

2026-04-25  Treata11  <treata11@yahoo.com>

	Build: Support for iOS-derived builds.

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'oss-fuzz' into 'master'
	Add fuzzer for libtiff write logic

	See merge request libtiff/libtiff!875

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Remove unused __TIFFSafeMultiply macro and MAX_SIZE constant.

2026-04-25  Arthur Chan  <arthur.chan@adalogics.com>

	Fix formatting and build script.

	Fix formatting accordingly.

	Create new fuzzer and integrate to libtiff.

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix-bufoverflow' into 'master'
	tiffcrop: avoid buffer overflow in combineSeparateTileSamplesBytes()

	See merge request libtiff/libtiff!848

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'tiffsplit-kostasl' into 'master'
	tiffsplit: use 7-digit numbered output names

	See merge request libtiff/libtiff!874

2026-04-25  Kostas Lagogiannis  <costaslag@gmail.com>

	tiffsplit: use 7-digit numbered output names.

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'issue-824-horizontalAccumulate8abgr' into 'master'
	pixarlog: fix heap-buffer-overflow in 8BITABGR decode with stride 3 (#824)

	See merge request libtiff/libtiff!873

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix/thumbnail-integer-overflow' into 'master'
	thumbnail: prevent integer overflow by capping row count at 256

	See merge request libtiff/libtiff!852

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'support_arm64_arm64ec' into 'master'
	Enable support for arm64EC

	See merge request libtiff/libtiff!830

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-turbojpeg' into 'master'
	cmake: Use TurboJPEG CONFIG by default

	Closes #767

	See merge request libtiff/libtiff!806

2026-04-25  Roger Leigh  <rleigh@codelibre.net>

	cmake: JPEG dual mode requires both functions.

	cmake: Update JPEG dual mode check to use correct library target.

	cmake: Update JPEG dual mode check to use check_symbol_exists.
	* The existing approach failed with clang due to it not using declared symbols

	cmake: Enable 8-/12-bit modes with TurboJPEG CONFIG.

	cmake: Use TurboJPEG CONFIG by default.

2026-04-24  waugustus  <wangdw.augustus@qq.com>

	pixarlog: add comment explaining 4-byte advance in ABGR decode.

2026-04-23  waugustus  <wangdw.augustus@qq.com>

	pixarlog: fix heap-buffer-overflow in 8BITABGR decode with stride 3 (#824)

2026-04-22  Even Rouault  <even.rouault@spatialys.com>

	Add libtiff/README_for_libtiff_developpers.md and reference it in various GetMaxCompressionRatio() functions

2026-04-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-816-tiffcrop' into 'master'
	tiffcrop: size separated region buffers from actual dimensions (#816)

	See merge request libtiff/libtiff!871

2026-04-21  Even Rouault  <even.rouault@spatialys.com>

	Add TIFFGetMaxCompressionRatio() and use it in _TIFFReadEncoded[Tile|Strip)AndAllocBuffer()
	```rst

	.. c:function:: uint64_t TIFFGetMaxCompressionRatio(TIFF *tif);

	Description
	-----------

	:c:func:`TIFFGetMaxCompressionRatio` returns the maximum compression ratio
	for the current codec, which is typically achieved for a uncompressed buffer
	with all bytes at zero.

	This function can be used to determine if the compressed size of a strip or tile
	is realistic compared to the expected uncompressed size, to prevent some
	denial-of-service scenarios.

	Depending on the codec, it may take into account the strip or tile size,
	number of samples per pixel, etc.

	Some codecs don't implement that method, or only for a subset of configurations,
	and may return 0 when the maximum compression ratio is unknown.

	Return values
	-------------

	0 is returned if no maximum compression ratio is known.
	1 is returned when there is no compression.
	Values strictly bigger than 1 are returned when a maximum compression ratio is
	known.
	```

	Fixes #781

2026-04-21  waugustus  <wangdw.augustus@qq.com>

	tiffcrop: size separated region buffers from actual dimensions.

2026-04-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'reformat' into 'master'
	Update pre-commit clang-format to v22.1.3 and apply 'pre-commit run --all'

	See merge request libtiff/libtiff!870

2026-04-20  Even Rouault  <even.rouault@spatialys.com>

	Update pre-commit clang-format to v22.1.3 and apply 'pre-commit run --all'

2026-04-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'warning_fixes_armhf_32bit' into 'master'
	Fix warning fixes with arm-linux-gnueabihf-gcc-13

	See merge request libtiff/libtiff!868

2026-04-20  Even Rouault  <even.rouault@spatialys.com>

	Fix warning fixes with arm-linux-gnueabihf-gcc-13.
	Fixes
	```
	 /home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tiffiop.h:296:68: error: comparison of integer expressions of different signedness: 'tmsize_t' {aka 'long int'} and 'long unsigned int' [-Werror=sign-compare]
	  296 | #define ReadOK(tif, buf, size) (TIFFReadFile((tif), (buf), (size)) == (size))
	      |                                                                    ^~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_dirread.c:6141:14: note: in expansion of macro 'ReadOK'
	 6141 |         if (!ReadOK(tif, origdir, (tmsize_t)dircount16 * dirsize))
	      |              ^~~~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_dirread.c:6270:29: error: comparison of integer expressions of different signedness: 'tmsize_t' {aka 'long int'} and 'long unsigned int' [-Werror=sign-compare]
	 6270 |         if ((m < off) || (m < (tmsize_t)dircount16 * dirsize) ||
	      |                             ^
	```

2026-04-20  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'warning-additions5' into 'master'
	Add extra warnings, with a focus upon the preprocessor

	See merge request libtiff/libtiff!805

2026-04-19  Roger Leigh  <rleigh@codelibre.net>

	tif_write: Make expression less ambiguous.

	tif_config: Don't check if macro defined when undefined.

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Run clang-format on all modified files.
	Suggested-by: Timothy Lyanguzov <theta682@gitlab.com>
	Co-Authored-By: Claude Opus 4.6 (1M context) <noreply@anthropic.com>

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Use lowercase float literal suffixes.
	Replace all uppercase F float literal suffixes with the more conventional
	lowercase f across all source files for consistency.

	Suggested-by: Timothy Lyanguzov <theta682@gitlab.com>
	Co-Authored-By: Claude Opus 4.6 (1M context) <noreply@anthropic.com>

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Simplify cmake byte order version check.
	The CMAKE_VERSION >= 3.20 guard is redundant since CMAKE_C_BYTE_ORDER
	is only defined by CMake 3.20+. If it's defined, the version is already
	sufficient.

	Suggested-by: Timothy Lyanguzov <theta682@gitlab.com>
	Co-Authored-By: Claude Opus 4.6 (1M context) <noreply@anthropic.com>

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Add -Wtrampolines to extra-warnings.

	Add -Walloc-zero to extra-warnings.

	Add -Wstringop-overflow=4 to extra-warnings.

	Add -Warray-bounds=3 to extra-warnings.

	Add -Wvla to extra-warnings.

	Add -Wnested-externs to extra-warnings.

	Add -Wold-style-definition to extra-warnings.

	Add -Wundef to extra-warnings.

	cmake: Add extra broken-warnings.
	* Will promote to extra-warnings after testing

	cmake: Unset /W3 before setting /W4.

	tools: Use HAVE_UNISTD_H consistently.

	cmake: Suppress warnings in Windows system headers.

	tif_jpeg: Use HAVE_DECL_OPTARG consistently.

	tif_jpeg: Use JPEG_LIB_MK1_OR_12BIT consistently.

	port: Correct HAVE_GETOPT and HAVE_UNISTD_H usage.

	cmake: Modernise endianness checks.

	Correct WORDS_BIGENDIAN to always be defined to 1 or 0.

	Add extra MSVC warnings.

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'warning-additions4' into 'master'
	Add additional warnings, primarily floating precision conversions and integer arithmetic conversions

	See merge request libtiff/libtiff!804

2026-04-18  Roger Leigh  <rleigh@codelibre.net>

	Merge remote-tracking branch 'origin/master' into warning-additions4.

2026-04-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-integer-overflows' into 'master'
	fix: add integer overflow checks to allocation size calculations

	See merge request libtiff/libtiff!862

2026-04-12  mohammadmseet-hue  <mohammadmseet@gmail.com>

	fix: add integer overflow checks to allocation size calculations.
	Several allocation sites compute buffer sizes using unchecked 32-bit
	multiplication of attacker-controlled TIFF tag values. When the product
	exceeds UINT32_MAX, the result wraps to a small value, causing undersized
	allocations followed by heap buffer overflows.

	Changes across 2 files (5 overflow sites):

	- tif_dirwrite.c: 4 unchecked count*sizeof() replaced with
	  _TIFFCheckMalloc
	- tif_print.c: 1 tv_size*value_count replaced with _TIFFCheckMalloc

	All 158 existing tests pass.

2026-04-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_777_part1_division_by_zero_and_move_params_to_tif_dir' into 'master'
	tif_read.c: Fixed division by zero in TIFFStartStrip() by correctly initialising the parameters and checking for zero (fixes #777 first part)

	See merge request libtiff/libtiff!863

2026-04-10  Su_Laus  <sulau@freenet.de>

	Some editorials due to suggestions.

2026-04-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Check result of _TIFFCheckRealloc

	See merge request libtiff/libtiff!865

2026-04-08  Roger Leigh  <rleigh@codelibre.net>

	Widen pointer-offset arithmetic in tif_getimage.c.
	Cast `line` to `size_t` before multiplying by `w` in the horizontal
	flip loops, so the pointer offset computation happens at pointer
	width rather than uint32_t. Prevents overflow for large images
	where line * w exceeds UINT32_MAX.

2026-04-08  Roger Leigh  <rleigh@codelibre.net>

	Move widening casts inside arithmetic scope (additional cases)
	Extend the approach from 96ea0393 to additional cases: place widening
	casts on operands rather than wrapping the arithmetic result, so the
	computation happens at the wider type. This covers additions,
	subtractions, and multiplications used for memory sizes, buffer
	offsets, and function arguments.

	For cases where the moved cast creates a same-precedence ambiguity
	(e.g. in % or / expressions), add grouping parentheses to preserve
	the original semantics.

2026-04-07  Aymeric Esparre  <aymeric.esparre@gmail.com>

	Check result of _TIFFCheckRealloc to prevent memory leaks and segmentation fault when reallocation fails.

2026-04-06  Su_Laus  <sulau@freenet.de>

	tif_read.c: Fixed division by zero in TIFFStartStrip() by correctly initialising the parameters and checking for zero (resolves the first issue from #777)
	Move the tif-directory related parameters tif_scanlinesize, tif_tilesize, tif_row, tif_curstrip, tif_col, tif_curtile, tif_tilesize from the tif structure to the tif_dir structure.
	Initialise these parameters not only in TIFFClientOpenExt(), but also in TIFFDefaultDirectory() using the new function _TIFFResetTifDirAndInitStrileCounters().
	The partial initialisation of these parameters is removed from TIFFReadDirectory(), TIFFCreateDirectory(), TIFFCreateCustomDirectory() and TIFFUnlinkDirectory(), where TIFFDefaultDirectory() and thus _TIFFResetTifDirAndInitStrileCounters() is called.

	In TIFFStartStrip(), check for td_stripsperimage == 0 to avoid division by zero.

	This initialisation resolves the first issue from #777.

2026-04-05  Roger Leigh  <rleigh@codelibre.net>

	Move widening casts inside multiplication scope.
	Place widening casts where the multiplication is performed rather
	than wrapping the entire result. This ensures arithmetic happens
	at the wider type, reducing the chance of overflow.

	For sizeof patterns, cast the non-sizeof operand to (size_t)
	before multiplication: (tmsize_t)((size_t)count * sizeof(type)).
	For integer arithmetic, cast the variable directly:
	constant + (uint64_t)dircount * constant + constant.

2026-04-05  Roger Leigh  <rleigh@codelibre.net>

	Use dircount64 directly to avoid unnecessary narrowing and widening.
	Where dircount64 (uint64_t) is already validated and in scope, use it
	directly in multiplication instead of narrowing to uint16_t and casting
	back. Remove the now-unused dircount/dircount16 variables from the
	affected blocks.

	Add TIFF_FLOAT_EQ/TIFF_DOUBLE_EQ macros and use throughout.
	Define TIFF_FLOAT_EQ and TIFF_DOUBLE_EQ macros in tiffiop.h to
	centralise the fabs/fabsf-based float equality pattern used to
	suppress -Wfloat-equal warnings. Replace all inline occurrences
	across library, tools, and test files with the new macros.

	Use lowercase float literal suffixes.
	Replace all uppercase F float literal suffixes with the more conventional
	lowercase f across all source files for consistency.

2026-04-05  Roger Leigh  <rleigh@codelibre.net>

	Remove redundant (size_t) casts in tmsize_t allocation expressions.
	When the count operand is already unsigned (uint16_t, uint32_t,
	uint64_t), the intermediate (size_t) cast in expressions like
	(tmsize_t)((size_t)count * sizeof(T)) is redundant — the
	multiplication with sizeof (which returns size_t) already promotes
	the unsigned count via the usual arithmetic conversions.

	Simplify to (tmsize_t)(count * sizeof(T)) for all 40 occurrences
	where the count is unsigned. Retain the (size_t) cast for the 18
	occurrences where the count is signed (int, tmsize_t, int32_t).

2026-04-05  Roger Leigh  <rleigh@codelibre.net>

	Simplify typecasts using unsigned constant suffixes and better types.
	Use U-suffixed constants (1U, 255U, 12U, 20U) instead of explicit
	(uint32_t) casts on expressions. Change CMYK local variables from
	uint16_t/uint32_t to unsigned int to match the natural arithmetic
	type. Remove redundant intermediate casts: inner (int16_t) before
	shift in tif_luv.c, unnecessary (size_t) wrapping in tif_dirread.c,
	and redundant (double) on already-double variables in tiff2ps.c.

	tif_color: Use 1.0F instead of 1 in Code2V ternary and remove redundant cast
	Use a float literal for the fallback value so both branches of the
	ternary have the same type, and drop the now-unnecessary outer (float)
	cast.

	test: Fix -Wconversion warnings in test_transferfunction_write_read.c.
	Add explicit (size_t) and (tmsize_t) casts in buffer size calculations
	to prevent implicit integer conversion warnings when computing
	allocation sizes and memcmp lengths.

	test: Fix -Wdouble-promotion and operator precedence warnings in test_write_read_tags.c
	Add (double) casts on float arguments to printf and in float-to-double
	arithmetic. Fix operator precedence in (short)(i + 1) * 7 which casts
	before multiplying — should be (short)((i + 1) * 7).

	test: Fix -Wdouble-promotion warnings in rational_precision2double.c.
	Add explicit (double) casts on float arguments passed to variadic
	functions (printf, TIFFSetField) and in arithmetic expressions where
	float is implicitly promoted to double.

	test: Use check_tag.h include in tifftest.h instead of inline declarations
	Replace the inline function declarations with an include of check_tag.h
	which provides the canonical declarations for CheckShortField,
	CheckShortPairedField, and CheckLongField.

	test: Use tifftest.h include instead of extern declaration in long_tag.c
	Replace the bare extern declaration of CheckLongField with an include
	of tifftest.h, which provides all check function declarations via
	check_tag.h. Fixes -Wmissing-prototypes style warning.

	Add -Wunused-macros to extra-warnings.

	Add -Wmisleading-indentation to extra-warnings.

	Add -Wunused-local-typedefs to extra-warnings.

	Add -Wmissing-include-dirs to extra-warnings.

	Add -Wbool-operation to extra-warnings.

	Add -Wunreachable-code to extra-warnings.

	Add -Wdangling-else to extra-warnings.

	Add -Wno-int-to-pointer-cast to extra-warnings.

	Add -Wlogical-not-parentheses to extra-warnings.

	Add -Wlogical-op to extra-warnings.

	Add -Wsizeof-pointer-memaccess to extra-warnings.

	Add -Wsizeof-pointer-div to extra-warnings.

	Add -Wsizeof-array-div to extra-warnings.

	Add -Wredundant-decls to extra-warnings.

	Add -Wmissing-declarations to extra-warnings.

	Add -Wunused-parameter to extra-warnings.

	Add -Wduplicated-cond to extra-warnings.

	Add -Wduplicated-branches to extra-warnings.

	Add -Wuninitialized to extra-warnings.

	Add -Wfloat-equal to extra-warnings.

	Add -Wfloat-conversion to extra-warnings.

	Add -Wdouble-promotion to extra-warnings.

	Add -Warith-conversion to extra-warnings.

	Add -Wsign-conversion to extra-warnings.

	Fix -Wconversion warnings with Clang.
	Cast bitwise NOT results to avoid implicit integer conversion
	warnings on unsigned char and uint16_t.

2026-04-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jpeg_warning_fix' into 'master'
	tif_jpeg.c: fix MSVC compiler warning

	See merge request libtiff/libtiff!861

2026-04-04  Even Rouault  <even.rouault@spatialys.com>

	tif_jpeg.c: fix MSVC compiler warning.
	Fixes MSVC 19.44.35225.0:
	D:\a\gdal\gdal\frmts\gtiff\libtiff\tif_jpeg.c(2036,40): error C2220: the following warning is treated as an error [D:\a\gdal\gdal\build\frmts\gtiff\libtiff\libtiff.vcxproj]
	D:\a\gdal\gdal\frmts\gtiff\libtiff\tif_jpeg.c(2036,40): warning C4334: '<<': result of 32-bit shift implicitly converted to 64 bits (was 64-bit shift intended?) [D:

	Reformatting fix.

2026-04-04  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'warning-additions3' into 'master'
	Add additional warnings: write-strings and conversion

	See merge request libtiff/libtiff!802

2026-04-04  Roger Leigh  <rleigh@codelibre.net>

	tiff_ojpeg: Correct cast.

	tiff2ps: Simplify casts in ps_bytesperrow calculation.

	iptcutil: Don't check if unsigned value is less than zero.

	Merge remote-tracking branch 'origin/master' into warning-additions3.

2026-04-04  Vladimir D. Seleznev  <vseleznev@cloudlinux.com>

	tiffcrop: Remove dead code in combineSeparateTileSamplesBytes()

2026-04-01  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-808-put1bitbwtile' into 'master'
	tif_getimage: reject tile widths that would overflow toskew (#808)

	See merge request libtiff/libtiff!860

2026-04-01  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_805' into 'master'
	TIFFVTileSize64(): in YCbCr contig non upsampled mode, validate td_samplesperpixel==3

	Closes #805

	See merge request libtiff/libtiff!859

2026-04-01  waugustus  <wangdw.augustus@qq.com>

	tif_getimage: reject tile widths that would overflow toskew (#808)

2026-03-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_777_part2_null_pointer_dereferencing' into 'master'
	TIFFAppendToStrip(): add some checks to avoid null-pointer-dereferencing (fixes #777 second issue)

	Closes #777

	See merge request libtiff/libtiff!853

2026-03-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue_802_tiffcmp' into 'master'
	tiffcmp: validate scanline buffer sizes in mixed planar comparison to prevent out-of-bounds reads (#802)

	See merge request libtiff/libtiff!855

	Fixes #802

2026-03-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-803-tiffcrop' into 'master'
	tiffcrop: Fix heap-buffer-overflow in composite mode by allocating buffer based on final image layout instead of region-based bufftotal (#803)

	See merge request libtiff/libtiff!856

2026-03-29  4ugustus  <wangdw.augustus@qq.com>

	tiffcrop: Fix heap-buffer-overflow in composite mode by allocating buffer based on final image layout instead of region-based bufftotal
	Fixes #803

2026-03-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-804-tiff2pdf' into 'master'
	tiff2pdf: Fix integer overflow in RGBA raster allocation in tiff2pdf by validating size computation before _TIFFrealloc() (#804)

	See merge request libtiff/libtiff!857

2026-03-29  4ugustus  <wangdw.augustus@qq.com>

	tiff2pdf: Fix integer overflow in RGBA raster allocation in tiff2pdf by validating size computation before _TIFFrealloc()
	Fixes #804

2026-03-29  Even Rouault  <even.rouault@spatialys.com>

	TIFFVTileSize64(): in YCbCr contig non upsampled mode, validate td_samplesperpixel==3
	to reflect the same check as done in TIFFVStripSize64().
	Actually unify both implementations to avoid them drifting apart.

	Adapted from proposed fix of https://gitlab.com/libtiff/libtiff/-/merge_requests/858
	by Quang Luong (@gabezrupp)

	Avoids out-of-bounds access in raw decoding mode on malformed files.

	Fixes #805

2026-03-26  waugustus  <wangdw.augustus@qq.com>

	tiffcmp: validate scanline buffer sizes in mixed planar comparison to prevent out-of-bounds reads (#802)

2026-03-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-partial-read-overflow' into 'master'
	Fix integer overflow in _TIFFPartialReadStripArray on 32-bit

	See merge request libtiff/libtiff!854

2026-03-23  Koda Reef  <kodareef5@gmail.com>

	Fix integer overflow in _TIFFPartialReadStripArray on 32-bit.
	MR !851 fixed an identical overflow at line 8248 by adding a
	(uint64_t) cast to prevent 32-bit wraparound in the multiplication
	of sizeofval * strile. The same function has the same unchecked
	pattern at line 8256 where arraySize * sizeofval can wrap on
	32-bit platforms where size_t is 32-bit.

	Apply the same (uint64_t) cast to ensure the multiplication is
	performed in 64-bit arithmetic before addition with nBaseOffset.

2026-03-22  dataisland  <dataisland@outlook.com>

	thumbnail: improve integer overflow check for image memory allocation.

	thumbnail: add integer overflow check for image memory allocation.

2026-03-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '_TIFFPartialReadStripArray_overflow' into 'master'
	_TIFFPartialReadStripArray(): avoid potential (unsigned) integer overflow in...

	See merge request libtiff/libtiff!851

2026-03-22  Su_Laus  <sulau@freenet.de>

	TIFFAppendToStrip(): add some checks to avoid null-pointer-dereferencing (fixes #777 second issue).

2026-03-22  dataisland  <dataisland@outlook.com>

	thumbnail: prevent integer overflow by capping row count at 256.

2026-03-21  Even Rouault  <even.rouault@spatialys.com>

	_TIFFPartialReadStripArray(): avoid potential (unsigned) integer overflow in file offset computation, on 32 bit builds

2026-03-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/rgb2ycbcr-crash' into 'master'
	rgb2ycbcr: fix integer overflow check for pixel count calculation

	See merge request libtiff/libtiff!850

2026-03-19  dataisland  <dataisland@outlook.com>

	rgb2ycbcr: fix integer overflow check for pixel count calculation.

2026-03-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/thumbnail-nullptr-deref' into 'master'
	thumbnail: validate strip/tile byte-count fields before raw copy

	See merge request libtiff/libtiff!847

2026-03-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'pixarlog_warning_fixes' into 'master'
	tif_pixarlog.c: fix -Wshorten-64-to-32 warnings

	See merge request libtiff/libtiff!849

2026-03-18  Even Rouault  <even.rouault@spatialys.com>

	tif_pixarlog.c: fix -Wshorten-64-to-32 warnings.
	Fixes
	```
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:958:43: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  958 |                 horizontalAccumulateF(up, llen, sp->stride, (float *)op,
	      |                 ~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:963:44: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  963 |                 horizontalAccumulate16(up, llen, sp->stride, (uint16_t *)op,
	      |                 ~~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:968:44: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  968 |                 horizontalAccumulate12(up, llen, sp->stride, (int16_t *)op,
	      |                 ~~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:973:44: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  973 |                 horizontalAccumulate11(up, llen, sp->stride, (uint16_t *)op);
	      |                 ~~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:977:43: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  977 |                 horizontalAccumulate8(up, llen, sp->stride, (unsigned char *)op,
	      |                 ~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:982:47: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	  982 |                 horizontalAccumulate8abgr(up, llen, sp->stride,
	      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~     ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:1349:52: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	 1349 |                 horizontalDifferenceF((float *)bp, llen, sp->stride, up,
	      |                 ~~~~~~~~~~~~~~~~~~~~~              ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:1354:56: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	 1354 |                 horizontalDifference16((uint16_t *)bp, llen, sp->stride, up,
	      |                 ~~~~~~~~~~~~~~~~~~~~~~                 ^~~~
	/home/runner/work/gdal/gdal/frmts/gtiff/libtiff/tif_pixarlog.c:1359:60: error: implicit conversion loses integer precision: 'tmsize_t' (aka 'long') to 'int' [-Werror,-Wshorten-64-to-32]
	 1359 |                 horizontalDifference8((unsigned char *)bp, llen, sp->stride, up,
	      |                 ~~~~~~~~~~~~~~~~~~~~~                      ^~~~
	```

2026-03-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_773' into 'master'
	JPEG: fix generation of tiled 12-bit JPEG compressed files with libjpeg-turbo 3.0.3

	Closes #773

	See merge request libtiff/libtiff!846

2026-03-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_789' into 'master'
	PixarLog: fix undoing horizontal differencing when SamplesPerPixel != 3 and 4

	Closes #789

	See merge request libtiff/libtiff!845

2026-03-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_795' into 'master'
	OJPEG: fix nullptr deref when changing compression method from OJPEG to something else

	Closes #795

	See merge request libtiff/libtiff!844

2026-03-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_796' into 'master'
	OJPEG codec: fix potential integer overflow/out-of-bounds access

	Closes #796

	See merge request libtiff/libtiff!843

2026-03-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_797' into 'master'
	PixarLog codec: fix potential integer overflow/out-of-bounds access

	Closes #797

	See merge request libtiff/libtiff!842

2026-03-17  dataisland  <dataisland@outlook.com>

	thumbnail.c: add error handling for missing strip and tile byte counts.

2026-03-16  Even Rouault  <even.rouault@spatialys.com>

	_TIFFSetDefaultPostDecode(): improve code comment for bitspersample == 128

2026-03-16  Even Rouault  <even.rouault@spatialys.com>

	JPEG: fix generation of tiled 12-bit JPEG compressed files with libjpeg-turbo 3.0.3
	Fixes #773

	Patch by D. R. Commander. (@dcommander)

2026-03-16  Even Rouault  <even.rouault@spatialys.com>

	PixarLog: fix undoing horizontal differencing when SamplesPerPixel != 3 and 4
	Patch by Christoph Gohlke (@cgohlke)

	Fixes #789

2026-03-16  Even Rouault  <even.rouault@spatialys.com>

	OJPEG: fix nullptr deref when changing compression method from OJPEG to something else
	Fixes #795

	OJPEG codec: fix potential integer overflow/out-of-bounds access.
	Fixes #796

	PixarLog codec: fix potential integer overflow/out-of-bounds access.
	Fixes #797

2026-03-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'thumbnail_build_fix' into 'master'
	thumbnail.c: add missing include (master only)

	See merge request libtiff/libtiff!841

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	thumbnail.c: add missing include (master only)

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting_fixes' into 'master'
	Formatting fixes

	See merge request libtiff/libtiff!840

2026-03-15  Roger Leigh  <rleigh@codelibre.net>

	thumbnail: Include tiffiop.h for _TIFFMultiply32.

	Merge remote-tracking branch 'origin/master' into warning-additions3.

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-790-median' into 'master'
	fix UAF in tiffmedian (#790)

	See merge request libtiff/libtiff!831

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-790-thumbnail' into 'master'
	fix Out-of-Bounds Write in thumbnail (#790)

	See merge request libtiff/libtiff!832

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-790-tiffsplit' into 'master'
	fix global-buffer-overflow in tiffsplit (#790)

	See merge request libtiff/libtiff!833

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-790-tiffcrop' into 'master'
	fix undefined behaviour in tiffcrop (#790)

	See merge request libtiff/libtiff!834

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-792-put16bitbwtile' into 'master'
	fix inconsistent fromskew handling in put16bitbwtile (#792)

	See merge request libtiff/libtiff!836

2026-03-15  Roger Leigh  <rleigh@codelibre.net>

	Simplify casts using more appropriate types.

	Add -Wconversion to extra-warnings.

	Add -Wc99-c11-compat to extra-warnings.

	Add -Wwrite-strings to extra-warnings.

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Formatting fixes.

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue_799_strtoul' into 'master'
	tools: validate numeric command-line arguments (#799)

	See merge request libtiff/libtiff!839

2026-03-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_798' into 'master'
	putcontig8bitYCbCr44tile: fix wrong fromskew computation

	Closes #798

	See merge request libtiff/libtiff!838

2026-03-13  waugustus  <wangdw.augustus@qq.com>

	tools: validate numeric command-line arguments (#799)

2026-03-13  Even Rouault  <even.rouault@spatialys.com>

	putcontig8bitYCbCr44tile: fix wrong fromskew computation.
	Fix error introduced in 06155116f6ee7f910ac5a8a60e0852c621d72306

	Fixes #798

2026-03-11  waugustus  <wangdw.augustus@qq.com>

	fix inconsistent fromskew handling in put16bitbwtile (#792)

2026-03-03  4ugustus  <wangdw.augustus@qq.com>

	Simplify cleanup by removing redundant NULL check.

2026-03-03  waugustus  <wangdw.augustus@qq.com>

	fix undefined behaviour in tiffcrop (#790)

	fix global-buffer-overflow in tiffsplit (#790)

	fix oob write in thumbnail (#790)

	fix UAF in tiffmedian(#790)

2026-02-26  amaldika  <amaldika@qti.qualcomm.com>

	Enable support for arm64EC.

2026-02-24  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-cygwin-runner' into 'master'
	ci: Use dedicated runner for Cygwin builds

	See merge request libtiff/libtiff!829

2026-02-24  Roger Leigh  <rleigh@codelibre.net>

	ci: Correct Cygwin invocation to use proper PATH settings.

	ci: Run Cygwin bash shell directly.

	ci: Use dedicated runner for Cygwin builds.

2026-02-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_787' into 'master'
	TIFFReadRGBAImage(): prevent integer overflow and later heap overflow on...

	Closes #787

	See merge request libtiff/libtiff!828

2026-02-23  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-vs-windows-containers' into 'master'
	CI: Add Windows container builds for visual studio

	See merge request libtiff/libtiff!827

2026-02-22  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadRGBAImage(): prevent integer overflow and later heap overflow on images with huge width in YCbCr tile decoding functions
	Fixes https://gitlab.com/libtiff/libtiff/-/issues/787

2026-02-22  Roger Leigh  <rleigh@codelibre.net>

	test: Correct MSVC warnings.

	Use Windows Containers for VS2022 and VS2026 builds.

2026-02-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-784-tiffcrop' into 'master'
	fix stack-overflow in #784

	See merge request libtiff/libtiff!823

2026-02-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-782-TIFFPrintDirectory' into 'master'
	Fix NULL pointer deference in TIFFPrintDirectory  in #782

	See merge request libtiff/libtiff!824

2026-02-14  waugustus  <wangdw.augustus@qq.com>

	fix null pointer deference in #782.

2026-02-12  waugustus  <wangdw.augustus@qq.com>

	fix stack-overflow in #784.

2026-02-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting_fixes' into 'master'
	Formatting fixes

	See merge request libtiff/libtiff!822

2026-02-10  Even Rouault  <even.rouault@spatialys.com>

	Formatting fixes.

2026-02-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ci-cygwin' into 'master'
	CI: Switch Cygwin builds to use Windows Docker image

	See merge request libtiff/libtiff!821

2026-02-06  Roger Leigh  <rleigh@codelibre.net>

	CI: Switch MinGW builds to use Windows Docker image.
	Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>

	ci: Revert to use powershell.

2026-02-06  Roger Leigh  <rleigh@codelibre.net>

	CI: Add bash tag to Cygwin Docker jobs.
	Route Cygwin jobs to a dedicated runner with shell=bash, since the
	Cygwin Docker image does not contain pwsh.

	Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>

2026-02-06  Roger Leigh  <rleigh@codelibre.net>

	CI: Switch Cygwin builds to use Windows Docker image.
	Use the codelibre/containers/cygwin-libtiff Docker image instead of
	bare-metal Cygwin runners. This simplifies the script invocation since
	the container's default shell is already Cygwin bash.

	Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>

2026-02-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdump_unaligned_memory_access_fix_776' into 'master'
	tiffdump: Avoid unaligned memory access for tag field values.

	Closes #776

	See merge request libtiff/libtiff!816

2026-02-02  Su Laus  <sulau@freenet.de>

	tiffdump: Avoid unaligned memory access for tag field values.

2026-02-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'change_EXIF_tags_type_to_LONG8' into 'master'
	Change EXIF and GPS tag type from IFD8 to LONG8 - EXIF-specification -  #739

	Closes #739

	See merge request libtiff/libtiff!819

2026-02-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'amend_tools_and_test_for_CPP_compatibility' into 'master'
	Amend test and tools for cxx compatibility - mainly "const char *".

	See merge request libtiff/libtiff!820

2026-02-01  Su_Laus  <sulau@freenet.de>

	Amend test and tools for cxx compatibility - mainly "const char *". Some additional re-formating due to clang-format.

2026-01-30  Su_Laus  <sulau@freenet.de>

	CPP compatibility.

	Change EXIF and GPS tag type from IFD8 to LONG8 (UINT64) to fulfill current EXIF-specification.
	Closes #739

2026-01-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ojpeg-eof-return' into 'master'
	ojpeg: prevent EOF infinite loop (fixes commit 2a3d55b)

	See merge request libtiff/libtiff!818

2026-01-22  Lovell Fuller  <github@lovell.info>

	ojpeg: prevent EOF infinite loop (fixes commit 2a3d55b)

2026-01-22  Bob Friesenhahn  <graphicsmagick.project@gmail.com>

	Merge branch 'tif_dirread.c-duplicate-TIFF_SETGET_C0_IFD8' into 'master'
	Eliminate duplicate case TIFF_SETGET_C0_IFD8

	See merge request libtiff/libtiff!817

2026-01-22  Bob Friesenhahn  <bobjfriesenhahn@gmail.com>

	Eliminate duplicate case TIFF_SETGET_C0_IFD8.

2026-01-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp-770' into 'master'
	tiffcp - avoid integer overflow in iskew and oskew, #770

	See merge request libtiff/libtiff!813

2026-01-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'align_handling_of_LONG8_IFD8_tags' into 'master'
	Align writing and reading of TIFF_LONG8 and TIFF_IFD8 tags.

	See merge request libtiff/libtiff!773

2026-01-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax2tiff-759' into 'master'
	fax2tiff: avoid endless loop on corrupt input, #759

	See merge request libtiff/libtiff!807

2026-01-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffsplit-769' into 'master'
	tiffsplit: check filename length, #769

	See merge request libtiff/libtiff!808

2026-01-19  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'warning-additions2' into 'master'
	Add additional compiler warnings to extra-warnings

	See merge request libtiff/libtiff!800

2026-01-09  Lee Howard  <faxguy@howardsilvan.com>

	tiffcp - avoid integer overflow in iskew and oskew, #770.

2025-12-31  Lee Howard  <faxguy@howardsilvan.com>

	tiffsplit: check filename length, #769.

	fax2tiff: avoid endless loop on corrupt input, #759.

2025-12-29  Roger Leigh  <rleigh@codelibre.net>

	Merge remote-tracking branch 'origin/master' into warning-additions2.

2025-12-27  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix_ossfuzz_471945501' into 'master'
	JPEGDecode(): fix memory leak in error code path

	See merge request libtiff/libtiff!803

2025-12-27  Even Rouault  <even.rouault@spatialys.com>

	JPEGDecode(): fix memory leak in error code path.
	Fixes https://issues.oss-fuzz.com/issues/471945501

2025-12-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'warning-additions' into 'master'
	ci: Build CMake builds with extra-warnings

	See merge request libtiff/libtiff!798

2025-12-25  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ossfuzz_471472003' into 'master'
	TIFFFillStrip(): prevent harmless unsigned integer overflow

	See merge request libtiff/libtiff!801

2025-12-25  Roger Leigh  <rleigh@codelibre.net>

	Add version guards for LZMA enums.

	Add -Wswitch-enum to extra-warnings.
	* Fix warnings

	Add -Wswitch-default to extra-warnings.
	* Fix warnings

2025-12-25  Even Rouault  <even.rouault@spatialys.com>

	TIFFFillStrip(): prevent harmless unsigned integer overflow.
	Fixes https://issues.oss-fuzz.com/issues/471472003

2025-12-24  Roger Leigh  <rleigh@codelibre.net>

	Add -Wstrict-prototypes and -Wmissing-prototypes to extra-warnings.
	* Add 'static' keyword to file-local functions that lack external visibility
	* Create header files for functions shared between test source files

	Add -Wshadow to extra-warnings.

	Add -Wnull-dereference to extra-warnings.

2025-12-24  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix_ossfuzz_471328917' into 'master'
	_TIFFGetStrileOffsetOrByteCountValue(): fix potential crash on corrupted files...

	See merge request libtiff/libtiff!799

2025-12-24  Roger Leigh  <rleigh@codelibre.net>

	Correct -Wformat errors.
	Fix format string mismatches where the format specifier doesn't match
	the argument type:

	- Change %d to %u for unsigned int/uint32_t arguments
	- Change %u to %d for signed int arguments
	- Add casts where needed for printf family functions
	- Use PRIu64/PRIi64 for uint64_t/int64_t arguments

	Fix -Wformat-nonliteral warnings

	Add TIFF_ATTRIBUTE((__format__(__printf__, N, 0))) to functions that
	accept format strings as parameters (va_list style). The 0 indicates
	no variadic arguments to check since the format is validated at the
	call site.

2025-12-24  Roger Leigh  <rleigh@codelibre.net>

	Correct -pedantic errors.
	* Missing void in function declarations
	* Extra semicolons

	ci: Build CMake builds with extra-warnings.
	* Split extra-warnings into extra-warnings and broken-warnings
	* extra-warnings initially only uses -pedantic -Wextra
	* Warnings will be moved from broken-warnings to extra-warnings
	  once the CI builds have proved them safe to use

	ci: Pre-build is static.
	* Includes additional test source files

2025-12-24  Even Rouault  <even.rouault@spatialys.com>

	_TIFFGetStrileOffsetOrByteCountValue(): fix potential crash on corrupted files when file opened in 'O' mode
	Fixes https://issues.oss-fuzz.com/issues/471328917

2025-12-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'typo_fix' into 'master'
	tif_dirread.c: fix typo in code comment (master only)

	See merge request libtiff/libtiff!797

2025-12-23  Even Rouault  <even.rouault@spatialys.com>

	tif_dirread.c: fix typo in code comment (master only)

2025-12-22  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix_ossfuzz_470691578' into 'master'
	TIFFReadDirectory(): re-set TIFF_LAZYSTRILELOAD if file opened in 'O' mode

	See merge request libtiff/libtiff!793

2025-12-22  Even Rouault  <even.rouault@spatialys.com>

	Rework TIFF_LAZYSTRILELOAD flag.

2025-12-22  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadDirectory(): re-set TIFF_LAZYSTRILELOAD if file opened in 'O' mode
	This fixes a potential heap write buffer overflow when reading a
	corrupted file, with multiple IFDs, and when iterating over those IFDs,
	and when the file was opened in 'O' mode.

	Fixes https://issues.oss-fuzz.com/issues/470691578

2025-12-21  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-vcpkg' into 'master'
	ci: Use vcpkg installation specific to libtiff

	See merge request libtiff/libtiff!792

2025-12-21  Roger Leigh  <rleigh@codelibre.net>

	ci: Use vcpkg installation specific to libtiff.

2025-12-21  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cpp-check' into 'master'
	Add explicit casts for void* and int-to-enum conversions

	See merge request libtiff/libtiff!791

2025-12-21  Roger Leigh  <rleigh@codelibre.net>

	ci: enforce MSVC /W4 warnings.

	Correct MSVC /W4 warnings.
	* Shadowing (add local_ prefix)
	* Conversion (add casts)
	* Initialisation (initialise with value)

2025-12-20  Roger Leigh  <rleigh@codelibre.net>

	tif_dirinfo: Restore MSVC warning disable 4132.

	ci: Run compatibility checks before main builds.

	Allow tif_jbig to compile with C++ compiler.

	cmake: Improve tiff_target_compile_as_cxx implementation.

	tif_dir: Correct C++ circular dependency warning.

2025-12-18  Roger Leigh  <rleigh@codelibre.net>

	ci: Test C++ compatibility mode.

2025-12-18  Roger Leigh  <rleigh@codelibre.net>

	Add CMake options for C++ compatibility checking.
	Add two new CMake options to help maintain C++ compatibility:

	1. cxx-compat-warnings: Enables -Wc++-compat flag (GCC/Clang) which
	   warns about using C++ keywords as identifiers and some enum/int
	   conversions. This is limited and won't catch all issues.

	2. cxx-compat-mode: Compiles C source files as C++17 using -x c++
	   (GCC/Clang) or /TP (MSVC). This catches all C++ incompatibilities
	   as compile errors, including:
	   - implicit void* to typed pointer conversions
	   - register storage class (removed in C++17)
	   - goto/switch jumping over variable initialization
	   - enum arithmetic and implicit conversions

	Usage:
	  cmake -Dcxx-compat-warnings=ON ..  # Light checking
	  cmake -Dcxx-compat-mode=ON ..      # Full C++ compilation

2025-12-18  Roger Leigh  <rleigh@codelibre.net>

	Fix remaining C++ compatibility issues.
	- tif_compress.c: Cast const away for strcpy to initialized const char* field
	- tif_jpeg.c: Add unsigned short* cast for malloc result
	- tif_ojpeg.c: Add JSAMPARRAY and JSAMPIMAGE casts for jpeg functions
	- tif_print.c: Change sep variable from char* to const char*
	- mkspans.c: Convert K&R style functions to ANSI C, add return type to main

	Add more explicit void* to typed pointer casts in tools.
	Additional C++ compatibility fixes for implicit void* to typed pointer
	conversions that are not allowed in C++. These files had function calls
	where void* (tdata_t) was passed to functions expecting typed pointers
	like uint8_t* or unsigned char*.

2025-12-18  Roger Leigh  <rleigh@codelibre.net>

	Add explicit casts for void* and int-to-enum conversions.
	C++ is stricter about type conversions than C:

	1. void* to typed pointer: In C++ you cannot implicitly convert void*
	   to a typed pointer. Add explicit casts for custom tag value pointers
	   passed to TIFFWriteDirectoryTag* functions.

	2. Integer to enum: C++ requires explicit casts when assigning integer
	   types to enum types. Add casts for:
	   - TIFFDataWidth() calls where tdir_type (uint16_t) is passed
	   - TIFFDataType assignments from uint16_t entry_type

	Files modified:
	- tif_dirwrite.c: Cast td_customValues[m].value to appropriate types
	  for each TIFF type (char*, uint8_t*, int8_t*, uint16_t*, etc.)
	  and cast entry_type to TIFFDataType where needed
	- tif_dirread.c: Cast tdir_type to TIFFDataType for TIFFDataWidth calls

2025-12-18  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-windows' into 'master'
	ci: Add Windows builds

	See merge request libtiff/libtiff!790

2025-12-17  Roger Leigh  <rleigh@codelibre.net>

	Add .gitattributes.

	ci: Corrections for Cygwin and MinGW builds.

	ci: Restrict most jobs to libtiff/libtiff.

2025-12-16  Roger Leigh  <rleigh@codelibre.net>

	ci: Add Windows builds.

	ci: Drop AppVeyor use.

2025-12-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFReadDirEntryPersampleShort_zero' into 'master'
	TIFFReadDirEntryPersampleShort(): reject tags with tdir_count=0 (master only)

	Closes #764

	See merge request libtiff/libtiff!788

2025-12-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffFieldArray_msvc_warning' into 'master'
	tif_dirinfo.c: re-add MSVC warning suppression (master only)

	See merge request libtiff/libtiff!789

2025-12-16  Even Rouault  <even.rouault@spatialys.com>

	tif_dirinfo.c: re-add MSVC warning suppression (master only)
	It has been removed by a recent commit, but is still needed to get a
	warning free build when using most verbose warning levels.

2025-12-16  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadDirEntryPersampleShort(): reject tags with tdir_count=0 (master only)
	This amends commit b8fda5eeb8567d63f37e18b24a37e7e4d7a5bfdc that could
	lead to reading uninitialized variables.

	Fixes #764

2025-12-16  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-linux' into 'master'
	ci: Use Linux Docker runner

	See merge request libtiff/libtiff!787

2025-12-15  Roger Leigh  <rleigh@codelibre.net>

	ci: Use Linux Docker runner.

2025-12-15  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-macos' into 'master'
	ci: Add MacOS and FreeBSD builds

	See merge request libtiff/libtiff!786

2025-12-15  Roger Leigh  <rleigh@codelibre.net>

	ci: Add MacOS and FreeBSD builds.

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix-enum-cpp-compat' into 'master'
	Fix enum-related C++ compatibility issues

	See merge request libtiff/libtiff!785

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix-goto-variable-init' into 'master'
	Fix goto bypassing variable initialisation

	See merge request libtiff/libtiff!783

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge remote-tracking branch 'origin/master' into fix-goto-variable-init

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'explicit-cast-void-pointer' into 'master'
	Add explicit casts for void* to typed pointer conversions

	See merge request libtiff/libtiff!782

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'const-char-literals-data' into 'master'
	Use const char* for string literals and const data

	See merge request libtiff/libtiff!781

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'remove-register-keyword' into 'master'
	Remove use of register keyword

	See merge request libtiff/libtiff!779

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'configure-ac-require-ac-2-71' into 'master'
	configure.ac: Require bootstrap with at least Autoconf 2.71

	See merge request libtiff/libtiff!784

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Add explicit casts for void* to typed pointer conversions.
	C++ requires explicit casts when converting from void* to typed pointers,
	unlike C which allows implicit conversion. This change adds the necessary
	casts to all memory allocation results (_TIFFmallocExt, _TIFFcallocExt,
	_TIFFreallocExt) and other void* assignments throughout the codebase.

	Files modified:
	- tif_dir.c: Cast for double* allocation
	- tif_dirread.c: Casts for uint8_t* allocations
	- tif_dirwrite.c: Multiple casts for various typed pointer allocations
	- tif_getimage.c: Casts for uint8_t* allocations
	- tif_jpeg.c: Cast for uint8_t* buffer assignment
	- tif_ojpeg.c: Multiple casts for OJPEGState*, uint8_t*, uint8_t** allocations
	- tif_read.c: Casts for uint8_t* and function pointer arguments
	- tif_webp.c: Casts for uint8_t* allocations
	- tif_zip.c: Cast for TIFF* from opaque pointer

	C++ requires explicit casts when assigning void* (from malloc, realloc,
	_TIFFmalloc, etc.) to typed pointers. Add casts in:

	- tools/fax2tiff.c: rowbuf, refbuf, tif_rawdata allocations
	- tools/raw2tiff.c: buf1, buf2 allocations
	- tools/tiff2ps.c: ascii85_p allocations
	- tools/tiffcrop.c: tilebuf, buff, new_buff, next_buff allocations
	- tools/tiffinfo.c: subIFDoffsets allocation
	- test/rewrite_tag.c: buf allocation
	- test/test_IFD_enlargement.c: pbufLine allocation
	- test/test_RGBAImage.c: pbufLine allocation
	- test/test_transferfunction_write_read.c: pTransferFunctionData, bufLine

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Fix goto bypassing variable initialisation.
	C++ does not allow a goto statement to jump past a variable declaration
	with initialisation.

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Fix enum initialisation and bitwise operations.
	C++ doesn't allow implicit int-to-enum conversions. Fix by:
	- Using enum value PIXEL instead of 0 for InterleavingType initialisation
	- Adding explicit (t2p_cs_t) casts for bitwise OR/XOR operations on t2p_cs_t
	- Adding explicit (t2p_sample_t) cast for bitwise OR on t2p_sample_t

	Files modified:
	- tools/raw2tiff.c: InterleavingType initialisation
	- tools/tiff2pdf.c: t2p_cs_t and t2p_sample_t bitwise operations

2025-12-14  Roger Leigh  <rleigh@codelibre.net>

	Fix enum-related C++ compatibility issues.
	C++ is stricter than C about enum types:
	1. Cannot use ++ operator on enum types directly - must cast through int
	2. Cannot initialize enum members with integer literals - must use enum values
	3. Cannot forward declare const objects without initialization

	Changes:
	- tif_ojpeg.c: Replace sp->out_state++ with explicit cast pattern
	  sp->out_state = (OJPEGStateOutState)(sp->out_state + 1)
	- tif_dirinfo.c: Use TIFF_SETGET_UNDEFINED instead of 0 for
	  TIFFSetGetFieldType member in TIFFField struct initialization
	- tif_dirinfo.c: Use #ifdef __cplusplus to handle forward declarations
	  of const TIFFFieldArray objects differently for C vs C++

2025-12-13  Bob Friesenhahn  <bobjfriesenhahn@gmail.com>

	configure.ac: Require bootstrap with at least Autoconf 2.71.

2025-12-13  Roger Leigh  <rleigh@codelibre.net>

	Use const char* for string literals and const data.
	Change TIFFCodec::name, TIFFField::field_name, and TIFFFieldInfo::field_name
	from char* to const char* to allow assignment of string literals without
	warnings in C++ mode.

	For dynamically allocated field names (anonymous tags), use a local buffer
	variable before assigning to the const field. Add explicit (void*) casts
	when freeing these dynamically allocated names.

2025-12-13  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-cmath-avoid-imported-target_neroburner' into 'master'
	cmake: Replace CMath::CMath with direct link to avoid export

	Closes #625

	See merge request libtiff/libtiff!764

2025-12-13  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-allow_all_find_package_capitalizations' into 'master'
	cmake: install tiff-config.cmake to allow all capitalizations

	See merge request libtiff/libtiff!763

2025-12-13  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake_mingw_soversion' into 'master'
	CMake: add SOVERSION to DLLs for MinGW builds

	See merge request libtiff/libtiff!392

2025-12-12  Roger Leigh  <rleigh@codelibre.net>

	Remove use of register keyword.
	* register is not particularly useful with modern optimising
	  compilers
	* If compiling as C++, it's not compatible with C++17 and
	  newer, which have removed support for the register
	  keyword

2025-12-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_679_tiff2ps_check_for_double_to_int32' into 'master'
	Checking the range of double values in tiff2ps before converting to int32_t. Closes #679

	Closes #679

	See merge request libtiff/libtiff!777

2025-12-07  Su Laus  <sulau@freenet.de>

	Checking the range of double values in tiff2ps before converting to int32_t. Closes #679

2025-12-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'SampleFormat_not_SamplesPerPixel' into 'master'
	TIFFReadDirEntryPersampleShort(): be tolerant to tags like SampleFormat not...

	See merge request libtiff/libtiff!770

2025-12-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_Coverity_tiffdump_false-positive_tainted_data' into 'master'
	Silence Coverity Scan warning about tainted_data in tiffdump.

	See merge request libtiff/libtiff!774

2025-12-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'validate-data_precision' into 'master'
	tif_jpeg: reject mismatched JPEG data precision to avoid write overflow

	See merge request libtiff/libtiff!776

2025-12-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_755_TIFFMergeFields_nfields_not_reset_to_zero' into 'master'
	Fix #755: In _TIFFMergeFields() set tif_nfields to zero if buffer cannot be re-allocated to avoid NULL ptr dereference.

	Closes #755

	See merge request libtiff/libtiff!775

2025-12-01  Mikhail Khachaiants  <mkhachaiants@gmail.com>

	tif_jpeg: reject mismatched JPEG data precision to avoid write overflow.
	Ensure TIFF BitsPerSample matches both BITS_IN_JSAMPLE and the JPEG
	header data_precision for JPEG-compressed images. This prevents
	under-sized scanline buffers that can lead to write buffer overflows
	in jdcolor.c/null_convert when decoding malformed inputs.

2025-11-29  Su_Laus  <sulau@freenet.de>

	In _TIFFMergeFields() set tif_nfields to zero if buffer cannot be re-allocated to avoid NULL pointer dereference in TIFFReadDirectoryFindFieldInfo().
	Closes #755

	Silence Coverity Scan warning about tainted_data: Passing tainted expression *datamem to PrintData, which uses it as a divisor or modulus. False positive because division by zero is checked in PrintData().

2025-11-29  Even Rouault  <even.rouault@spatialys.com>
	    Su Laus  <sulau@freenet.de>

	Apply 2 suggestion(s) to 1 file(s)

2025-11-29  Su_Laus  <sulau@freenet.de>

	Align writing and reading of TIFF_LONG8 and TIFF_IFD8 tags.

2025-11-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'warning_fixes' into 'master'
	Fix compiler warnings with clang 18

	See merge request libtiff/libtiff!771

2025-11-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_AppVeyor_mingw_error_after_MR_issue-753' into 'master'
	Fix bug introduced by MR libtiff/libtiff!769 - AppVeyor mingw -

	See merge request libtiff/libtiff!772

2025-11-28  Su_Laus  <sulau@freenet.de>

	Fix bug introduced by MR libtiff/libtiff!769 (issue-753-putcontig8bitYCbCr42tile) and revealed by mingw build in AppVeyor.

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	Fix compiler warnings with clang 18.

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-751-tiffcrop' into 'master'
	Fix: avoid dangling pointer in loadImage by clearing *read_ptr after free (#751)

	See merge request libtiff/libtiff!766

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-752-tiffcrop' into 'master'
	tiffcrop: fix undefined behavior in reverseSamples32bits() (#752)

	See merge request libtiff/libtiff!767

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_750_ipctutil_out_of_bound_read_search_semicolon' into 'master'
	Prevent convertHTMLcodes() in iptcutil.c. to perform out-of-bound read. Fixes #750

	Closes #750

	See merge request libtiff/libtiff!768

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-753-putcontig8bitYCbCr42tile' into 'master'
	Reject invalid YCbCr subsampling when image dimensions are smaller than the subsampling block to prevent out-of-bounds writes. (#753)

	See merge request libtiff/libtiff!769

2025-11-25  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadDirEntryPersampleShort(): be tolerant to tags like SampleFormat not having 1 or SamplesPerPixel values
	Fixes https://github.com/OSGeo/gdal/issues/13465

2025-11-24  waugustus  <wangdw.augustus@qq.com>

	Reject invalid YCbCr subsampling when image dimensions are smaller than the subsampling block to prevent out-of-bounds writes. (#753)

2025-11-11  waugustus  <wangdw.augustus@qq.com>

	tiffcrop: fix undefined behavior in reverseSamples32bits() (#752)

2025-11-10  waugustus  <wangdw.augustus@qq.com>

	Fix: avoid dangling pointer in loadImage by clearing *read_ptr after free
	When reusing the read buffer, freeing the old buffer left *read_ptr pointing
	to freed memory and could lead to use-after-free or double-free in callers.
	Clear *read_ptr after freeing and write back the newly allocated buffer on
	success.

2025-11-08  Su_Laus  <sulau@freenet.de>

	Prevent convertHTMLcodes() function in contrib/iptcutil/iptcutil.c. to perform an out-of-bounds read while searching for the semicolon.
	Closes #750

2025-11-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_749_stripbytecounts_array_null_pointer_to_rewrite' into 'master'
	Check td_stripbytecount_p and td_stripoffset_p for NULL pointer before (re-)writing to file.

	Closes #749

	See merge request libtiff/libtiff!765

2025-11-04  Su_Laus  <sulau@freenet.de>

	Check td_stripbytecount_p and td_stripoffset_p for NULL pointer before (re-)writing to file.
	Closes #749

2025-09-17  Reinhold Gschweicher  <pyro4hell@gmail.com>

	cmake: rename TiffConfig.cmake.in to tiff-config.cmake.in.
	As requested by code review and to make it more coherent.

2025-09-15  Reinhold Gschweicher  <pyro4hell@gmail.com>

	cmake: Replace CMath::CMath with direct link to avoid export.
	Link with CMATH_LIBRARIES instead of CMath::CMath.  While this
	will still be exported, it will be available on the host system.

	Port of original commit:
	67f73084ca824e6c2465c47a5b67b16b5beca569

	co-authored: Roger Leigh <rleigh@codelibre.net>

2025-09-15  Reinhold Gschweicher  <pyro4hell@gmail.com>

	cmake: install tiff-config.cmake to allow all capitalizations.
	Rename `TiffConfig.cmake` to `tiff-config.cmake` to allow all
	capitalizations of `find_package(TIFF)` to be found.

2025-09-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '4.7.1_preparation' into 'master'
	Prepare for 4.7.1 release

	See merge request libtiff/libtiff!762

2025-09-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'raw2tiff-742' into 'master'
	raw2tiff: close input file before exit; issue #742

	See merge request libtiff/libtiff!761

2025-09-08  Lee Howard  <faxguy@howardsilvan.com>

	raw2tiff: close input file before exit; issue #742.

2025-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_add_LZW_BSD_license_to_LICENSE_md_issue_431' into 'master'
	Add BSD license for Lempel-Ziv & Welch compression (tif_lzw.c) to LICENSE.md

	Closes #431

	See merge request libtiff/libtiff!760

2025-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting_issues' into 'master'
	Fix formatting issues

	See merge request libtiff/libtiff!759

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Fix formatting issues.

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf-741' into 'master'
	avoid null pointer dereference, tiff2pdf #741

	See merge request libtiff/libtiff!758

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiff2pdf: avoid null pointer dereference.
	Fixes #741

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop-740' into 'master'
	avoid buffer overflow in tiffcrop #740

	See merge request libtiff/libtiff!757

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiffcrop: avoid buffer overflow.
	Fixes #740

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffmedian-735' into 'master'
	close tiffmedian input file - #735

	See merge request libtiff/libtiff!756

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiffmedian: close input file.
	Fixes #735

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop-734' into 'master'
	Tiffcrop 734

	See merge request libtiff/libtiff!755

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiffcrop: avoid nullptr dereference.
	Fixes #734

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdither-733' into 'master'
	avoid out-of-bounds read identified in #733

	See merge request libtiff/libtiff!754

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiffdither: avoid out-of-bounds read identified in #733.

2025-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop-721' into 'master'
	fix double-free and memory leak exposed by issue #721

	See merge request libtiff/libtiff!753

2025-09-05  Lee Howard  <faxguy@howardsilvan.com>

	tiffcrop: fix double-free and memory leak exposed by issue #721.

2025-09-04  Su_Laus  <sulau@freenet.de>

	Add BSD license for Lempel-Ziv & Welch compression (tif_lzw.c) to LICENSE.md
	Closes #431

2025-09-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_54_read_CCITT_FAX_group3_without_EOL' into 'master'
	tif_fax3: For fax group 3 data if no EOL is detected, reading is retried without synchronisation for EOLs.

	Closes #54

	LibTIFF can write (encode) faxes of group 3 1d without EOL, but cannot read (decode) such files. This function has been added.

	See merge request libtiff/libtiff!752

2025-09-04  Su Laus  <sulau@freenet.de>

	tif_fax3: For fax group 3 data if no EOL is detected, reading is retried without synchronisation for EOLs.
	Closes #54

	LibTIFF can write (encode) faxes of group 3 1d without EOL, but cannot read (decode) such files. This function has been added.

2025-09-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'no-public-fix' into 'master'
	tiffio.h: fix compilation with LOGLUV_PUBLIC=0

	See merge request libtiff/libtiff!748

2025-08-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_returnvalue_mapproc_issue_#12' into 'master'
	doc: update TIFFOpen.rst with the return values of mapproc and unmapproc.

	Closes #12

	See merge request libtiff/libtiff!749

2025-08-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_preset_level' into 'master'
	tiffcp: fix setting compression level for lossless codecs

	Closes #730

	See merge request libtiff/libtiff!750

2025-08-19  Jan Musinsky  <musinsky@gmail.com>

	tiffcp: fix setting compression level for lossless codecs.
	Closes #730

2025-08-17  Su_Laus  <sulau@freenet.de>

	doc: update TIFFOpen.rst with the return values of mapproc and unmapproc.
	Closes #12

2025-08-12  Tim Blechmann  <tim@klingt.org>

	tiffio.h: fix compilation with LOGLUV_PUBLIC=0.
	LOGLUV_PUBLIC can be used to compile some functions with hidden
	visibility.
	However this functionality was broken (in clang), as LOGLUV_PUBLIC was
	defined to 1 if it wasn't defined, as the extern declarations were still
	visible by the compiler leading to "static declaration follows
	non-static declaration" errors.
	Changing the header from #ifdef to #if fixes the issue.

2025-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_728_729_tiffcmp_memory_leak' into 'master'
	tiffcmp: fix memory leak when second file cannot be opened. fix #728, #729

	Closes #728 and #729

	See merge request libtiff/libtiff!747

2025-08-08  Su_Laus  <sulau@freenet.de>

	tiffcmp: fix memory leak when second file cannot be opened.
	Closes #728, #729

2025-08-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-issue-720' into 'master'
	add assert for TIFFReadCustomDirectory infoarray check

	See merge request libtiff/libtiff!744

2025-08-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_718_tiff2ps_defer_strile_load' into 'master'
	tiff2ps: check return of TIFFGetFiled()  to fix #718

	Closes #718

	See merge request libtiff/libtiff!746

2025-08-02  Su_Laus  <sulau@freenet.de>

	tiff2ps: check return of TIFFGetFiled() for TIFFTAG_STRIPBYTECOUNTS and TIFFTAG_TILEBYTECOUNTS to avoid NULL pointer dereference.
	Closes #718

2025-07-29  lxy  <854071997@qq.com>

	add assert for TIFFReadCustomDirectory infoarray check.

2025-07-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jpeg_12_bit_bug_JPEGDecodeRaw_fix_717' into 'master'
	tif_jpeg: Fix bug in JPEGDecodeRaw() if JPEG_LIB_MK1_OR_12BIT is defined.

	Closes #717

	See merge request libtiff/libtiff!743

2025-07-11  Su_Laus  <sulau@freenet.de>

	tif_jpeg: Fix bug in JPEGDecodeRaw() if JPEG_LIB_MK1_OR_12BIT is defined for 8/12bit dual mode, introduced in libjpeg-turbo 2.2, which was actually released as 3.0.
	Closes #717

2025-07-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdump_coverity_fix' into 'master'
	tiffdump: Fix coverity scan issue CID 1373365 tainted divisor.

	See merge request libtiff/libtiff!742

2025-07-06  Su_Laus  <sulau@freenet.de>

	tiffdump: Fix coverity scan issue CID 1373365: Passing tainted expression *datamem to PrintData, which uses it as a divisor or modulus.

2025-07-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_coverity_scan_update' into 'master'
	tiffcrop: Fix coverity scan issue CID 1655232

	See merge request libtiff/libtiff!741

2025-07-02  Su_Laus  <sulau@freenet.de>

	tiffcrop: Fix coverity scan issue CID 1655232: Uninitialized variables  (UNINIT) Using uninitialized value "crop.selections".

2025-07-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_716_tiffcrop_memory_leak_on_error_exit' into 'master'
	tiffcrop: close files and release memory on error exit, fix #716

	Closes #716

	See merge request libtiff/libtiff!740

2025-06-27  Su_Laus  <sulau@freenet.de>

	Close open TIFF files and release allocated buffers in tiffcrop before exiting in case of error to avoid memory leaks.

2025-06-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_714' into 'master'
	JPEGEncodeRaw(): error out if a previous scanline failed to be written, to...

	Closes #714

	See merge request libtiff/libtiff!739

2025-06-25  Even Rouault  <even.rouault@spatialys.com>

	JPEGEncodeRaw(): error out if a previous scanline failed to be written, to avoid out-of-bounds access
	Fixes #714

2025-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'improve_TIFFReadRGBAImage' into 'master'
	Improve TIFFReadRGBAImage and avoid buffer overflows.

	See merge request libtiff/libtiff!738

2025-06-25  Su Laus  <sulau@freenet.de>

	Improve TIFFReadRGBAImage and avoid buffer overflows.
	* Raster width can now be larger than image width.
	* Only image data are copied to raster buffer if tiles are padded.
	* Avoid buffer overflow if col_offset \> 0.
	* If row_offset \> 0 do not try to read after last row - avoiding warnings.
	* Feature "col_offset" and "row_offset" now works as expected.

2025-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'thumbnail-715' into 'master'
	Fix for thumbnail issue #715

	See merge request libtiff/libtiff!737

2025-06-25  Lee Howard  <faxguy@howardsilvan.com>

	Fix for thumbnail issue #715.

2025-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-711' into 'master'
	Fix for issue #711

	See merge request libtiff/libtiff!735

2025-06-25  Lee Howard  <faxguy@howardsilvan.com>

	TIFFUnlinkDirectory() and TIFFWriteDirectorySec(): clear tif_rawcp when clearing tif_rawdata
	Fix for issue #711

2025-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff_itrunc_rand' into 'master'
	tiff_itrunc(): don't use rand() to please Coverity Scan

	See merge request libtiff/libtiff!733

2025-06-12  Even Rouault  <even.rouault@spatialys.com>

	tiff_itrunc(): don't use rand() to please Coverity Scan.

2025-06-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff-static' into 'master'
	Add build option tiff-static, fixes #709

	Closes #709

	See merge request libtiff/libtiff!731

2025-06-12  Demetrius flavious  <lahavlior@gmail.com>

	CMake: Add build option tiff-static, fixes #709.

2025-06-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_704_TIFFReadRGBAImage_crash' into 'master'
	tif_getimage.c: Fix buffer underflow crash for less raster rows at TIFFReadRGBAImageOriented()

	Closes #704

	See merge request libtiff/libtiff!732

2025-06-11  Su Laus  <sulau@freenet.de>

	tif_getimage.c: Fix buffer underflow crash for less raster rows at TIFFReadRGBAImageOriented()

2025-06-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes' into 'master'
	tif_zip.c: changes to please Coverity Scan

	See merge request libtiff/libtiff!730

2025-06-06  Even Rouault  <even.rouault@spatialys.com>

	tif_zip.c: changes to please Coverity Scan.

2025-06-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'mkg3states' into 'master'
	Move mkg3states under libtiff/tools, fixes #708

	Closes #708

	See merge request libtiff/libtiff!728

2025-06-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_MSVC_warnings_in_some_tools' into 'master'
	Fixing MSVC compiler warnings in some tools.

	See merge request libtiff/libtiff!729

2025-06-03  Su Laus  <sulau@freenet.de>

	Fixing MSVC compiler warnings in some tools.

2025-05-27  Lior Lahav  <LahavLior@gmail.com>

	Move mkg3states under libtiff/tools, fixes #708.

2025-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake3.10' into 'master'
	Fixed: CMake 4.0 warning when minimum required version is < 3.10

	See merge request libtiff/libtiff!726

2025-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_MSVC_warnings_in_some_test_progs' into 'master'
	Fixing MSVC compiler warnings in some test programs.

	See merge request libtiff/libtiff!725

2025-05-25  Su Laus  <sulau@freenet.de>

	Fixing MSVC compiler warnings in some test programs.

2025-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'predict_speedup' into 'master'
	tif_predict.c: speed-up decompression in some cases

	See merge request libtiff/libtiff!724

2025-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffmedian-707' into 'master'
	Tiffmedian 707

	See merge request libtiff/libtiff!727

2025-05-25  Lee Howard  <faxguy@howardsilvan.com>

	conflict resolution.

	Fix tiffmedian bug #707.

2025-05-24  Lior Lahav  <LahavLior@gmail.com>

	Fixed: CMake 4.0 warning when minimum required version is < 3.10.

2025-05-23  Even Rouault  <even.rouault@spatialys.com>

	tif_predict.c: speed-up decompression in some cases.
	- Predictor=2 on Byte datatype with some loop unrolling
	- Predictor=3 on Float32 datatype with some loop unrolling and SSE2 in the interleaving phae

	Tested on:
	- https://rockyweb.usgs.gov/vdelivery/Datasets/Staged/Elevation/1m/Projects/WA_FEMAHQ_2018_D18/TIFF/USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif
	  USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif: 10012x10012, single band, Float32, LZW-compressed, Predictor=3, 316 MiB

	- and hillshade_predict.tif: 10012x10012, single band, Byte, ZSTD-compressed, Predictor=2, 63 MiB
	  (result of gdaldem hillshade USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif hillshade_predict.tif -co COMPRESS=ZSTD -co PREDICTOR=2)

	master:
	```
	$ hyperfine --warmup 2 -- "gdal raster convert hillshade_predict.tif foo --of mem -q"
	Benchmark #1: gdal raster convert hillshade_predict.tif foo --of mem -q
	  Time (mean ± σ):     512.1 ms ±   2.0 ms    [User: 413.1 ms, System: 98.3 ms]
	  Range (min … max):   509.6 ms … 516.4 ms

	$ hyperfine --warmup 2 --  "gdal raster convert USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif foo --of mem"
	Benchmark #1: gdal raster convert USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif foo --of mem
	  Time (mean ± σ):      2.126 s ±  0.027 s    [User: 1.844 s, System: 0.280 s]
	  Range (min … max):    2.098 s …  2.194 s
	```

	this PR:
	```
	$ hyperfine --warmup 2 -- "gdal raster convert hillshade_predict.tif foo --of mem"
	Benchmark #1: gdal raster convert hillshade_predict.tif foo --of mem
	  Time (mean ± σ):     384.3 ms ±   1.9 ms    [User: 285.1 ms, System: 98.3 ms]
	  Range (min … max):   381.6 ms … 387.4 ms

	$ hyperfine --warmup 2 --  "gdal raster convert USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif foo --of mem"
	Benchmark #1: gdal raster convert USGS_1M_10_x56y512_WA_FEMAHQ_2018_D18.tif foo --of mem
	  Time (mean ± σ):      1.489 s ±  0.004 s    [User: 1.201 s, System: 0.286 s]
	  Range (min … max):    1.484 s …  1.498 s
	```

2025-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdither-703' into 'master'
	Don't skip the first line of the input image.  Addresses issue #703

	Closes #703

	See merge request libtiff/libtiff!723

2025-05-22  Lee Howard  <faxguy@howardsilvan.com>

	tiffdither/tiffmedian: Don't skip the first line of the input image.  Addresses issue #703

2025-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_682_tiff2rgba_size_t_overflow' into 'master'
	tiff2rgba: fix #682 buffer overflow

	Closes #682

	See merge request libtiff/libtiff!722

2025-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_MSVC_warnings_in_addtiffo' into 'master'
	Fixing MSVC compiler warnings in addtiffo.

	See merge request libtiff/libtiff!717

2025-05-22  Su Laus  <sulau@freenet.de>

	Fixing MSVC compiler warnings in addtiffo.

2025-05-19  Lee Howard  <faxguy@howardsilvan.com>

	Don't skip the first line of the input image.  Addresses issue #703.

2025-05-17  Su_Laus  <sulau@freenet.de>

	tiff2rgba: fix some "a partial expression can generate an overflow before it is assigned to a broader type" warnings.
	Closes #682

2025-05-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	oss-fuzz: fix memory leak in fuzz target

	See merge request libtiff/libtiff!721

2025-05-11  Yuntong Zhang  <ang.unong@gmail.com>

	oss-fuzz: fix memory leak in fuzz target.
	Fixes: https://issues.oss-fuzz.com/issues/385176300

2025-05-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'spelling' into 'master'
	Spelling fixes.

	See merge request libtiff/libtiff!720

2025-05-02  Kurt Schwehr  <schwehr@google.com>

	Spelling fixes.
	Most found with codespell version 2.4.1.

2025-04-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'configure-ac-syntax-ac-2-71' into 'master'
	configure.ac: Syntax updates for Autoconf 2.71

	See merge request libtiff/libtiff!719

2025-04-29  Bob Friesenhahn  <graphicsmagick.project@gmail.com>

	Merge branch 'defines' into 'master'
	Move several defines into tif_config.h

	See merge request libtiff/libtiff!664

2025-04-29  Bob Friesenhahn  <graphicsmagick.project@gmail.com>

	Merge branch '672-simplify-and-soften-autogen-sh' into 'master'
	Resolve "Build fails when https://git.savannah.gnu.org/ is down"

	Closes #672

	See merge request libtiff/libtiff!718

2025-04-29  Bob Friesenhahn  <bobjfriesenhahn@gmail.com>

	autogen.sh: Enable verbose wget.

	configure.ac: Syntax updates for Autoconf 2.71.

	autogen.sh: Re-implement based on autoreconf. Failure to update config.guess/config.sub does not return error.

2025-04-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_698' into 'master'
	LZWDecode(): avoid nullptr dereference when trying to read again after...

	Closes #698

	See merge request libtiff/libtiff!716

2025-04-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-684' into 'master'
	Fix for buffer underflow

	Closes #684

	See merge request libtiff/libtiff!713

2025-04-18  Timothy Lyanguzov  <theta682@gmail.com>

	Fix for buffer underflow.

2025-04-18  Even Rouault  <even.rouault@spatialys.com>

	LZWDecode(): avoid nullptr dereference when trying to read again after end-of-information marker has been found with remaining output bytes (fixes #698)

2025-04-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'correct_not_HAVE_IEEEFP_issue_699' into 'master'
	Correct passing arguments to TIFFCvtIEEEFloatToNative().. if HAVE_IEEEFP is not defined.

	See merge request libtiff/libtiff!715

2025-04-17  Su_Laus  <sulau@freenet.de>

	Correct passing arguments to TIFFCvtIEEEFloatToNative() and TIFFCvtIEEEDoubleToNative() if HAVE_IEEEFP is not defined.
	See #699

2025-04-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'integer_overflow_gtTileContig_issue_79' into 'master'
	Update some integer overflow checks in tif_getimage.c

	Closes #79

	See merge request libtiff/libtiff!711

2025-04-14  Su_Laus  <sulau@freenet.de>

	Update some integer overflow checks in tif_getimage.c.
	Closes #79

2025-04-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_issue_5_write_buffer_overwriting_compression_with_prediction' into 'master'
	tif_predict.c: Don’t overwrite input buffer of TIFFWriteScanline() if prediction.

	Closes #5

	See merge request libtiff/libtiff!712

2025-04-13  Su_Laus  <sulau@freenet.de>

	tif_predict.c: Don’t overwrite input buffer of TIFFWriteScanline() if "prediction" is enabled. Use extra working buffer in PredictorEncodeRow().
	Closes #5

2025-04-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_remove_dead_awaresystems_link' into 'master'
	doc: Remove dead links to no more existing Awaresystems web-site.

	See merge request libtiff/libtiff!705

2025-04-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'notes_for_allocating_TIFFYCbCrToRGB_structure_issue_681' into 'master'
	doc: Added hints for correct allocation of TIFFYCbCrtoRGB structure and its associated buffers.

	Closes #681

	See merge request libtiff/libtiff!709

2025-04-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_add_multi_page_reference_issue_43' into 'master'
	doc: Added chapter to "Using the TIFF Library" for multi page

	Closes #43

	See merge request libtiff/libtiff!710

2025-04-10  Su_Laus  <sulau@freenet.de>

	doc: Added chapter to "Using the TIFF Library" with links to handling multi-page TIFF and custom directories.
	Closes #43

2025-04-09  Su_Laus  <sulau@freenet.de>

	doc: Added hints for correct allocation of TIFFYCbCrtoRGB structure and its associated buffers.
	Closes #681

2025-04-03  Su_Laus  <sulau@freenet.de>

	Replace some last links and remove last todos.

2025-04-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'CheckReachedCounters_static' into 'master'
	tif_fax3.c: add missing static qualifier in front of CheckReachedCounters() (master only)

	See merge request libtiff/libtiff!708

2025-04-02  Even Rouault  <even.rouault@spatialys.com>

	tif_fax3.c: add missing static qualifier in front of CheckReachedCounters() (master only)

2025-04-01  Su_Laus  <sulau@freenet.de>

	References to codec libraries updated and missing codec compile defines (tiffconf.h) added.

2025-04-01  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-676' into 'master'
	Fix memory leak in _TIFFSetDefaultCompressionState

	Closes #676

	See merge request libtiff/libtiff!707

2025-04-01  Timothy Lyanguzov  <timothy.lyanguzov@sap.com>

	Fix memory leak in _TIFFSetDefaultCompressionState.
	`_TIFFSetDefaultCompressionState` does not clean up before setting default state

	follow up for !563
	fixes #676

2025-03-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_integer_overflow_check_issue_546' into 'master'
	tiffcp: Improve non-secure integer overflow check. Closes #546

	Closes #546

	See merge request libtiff/libtiff!698

2025-03-31  Su_Laus  <sulau@freenet.de>

	Improve non-secure integer overflow check (comparison of division result with multiplicant) at compiler optimisation in tiffcp, rgb2ycbcr and tiff2rgba.
	Closes #546

2025-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'zlib_solo' into 'master'
	zip: Provide zlib allocation functions.

	See merge request libtiff/libtiff!706

2025-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_670_tif_fax3_EOL_error_count_reached' into 'master'
	tif_fax3.c: error out after a number of times end-of-line or unexpected code words

	Closes #670

	See merge request libtiff/libtiff!703

2025-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-test-tiffcrop-tiffcp-32bpp-None-jpeg-race' into 'master'
	test: Fix race condition in {tiffcrop,tiffcp}-32bpp-None-jpeg.sh tests

	See merge request libtiff/libtiff!701

2025-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_update_TIFFSetWriteOffset' into 'master'
	doc: Clarify TIFFSetWriteOffset() only sets offset for image data and not for IFD data.

	See merge request libtiff/libtiff!699

2025-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes_in_tools' into 'master'
	Silence some Coverity Scan warnigs and mark already dismissed ones.

	See merge request libtiff/libtiff!696

2025-03-25  Nikolay Sivov  <nsivov@codeweavers.com>

	zip: Provide zlib allocation functions.
	Otherwise for zlib built with -DZ_SOLO inflating will fail.

2025-03-23  Su_Laus  <sulau@freenet.de>

	Updating BigTIFF specification and some miscelaneous editions.

2025-03-20  Su_Laus  <sulau@freenet.de>

	doc: Remove dead links to no more existing Awaresystems web-site.

2025-03-19  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'bugfix/issue_674-export_tiffxx_cmake_target' into 'master'
	Export tiffxx cmake target (issue #674)

	See merge request libtiff/libtiff!704

2025-03-18  Daniel Moreno  <daniel.moreno@cognex.com>

	Export tiffxx cmake target (issue #674)

2025-03-04  Su_Laus  <sulau@freenet.de>

	tif_fax3.c: error out after a number of times end-of-line or unexpected bad code words have been reached.
	Closes #670

2025-03-03  Bob Friesenhahn  <graphicsmagick.project@gmail.com>

	Merge branch 'fix_665_memory_leak' into 'master'
	Fix memory leak of issue # 665 (td_stripbytecount_p and td_stripoffset_p in TIFFSetupStrips())

	Closes #665

	See merge request libtiff/libtiff!697

2025-03-03  Su Laus  <sulau@freenet.de>

	Fix memory leak of issue # 665 (td_stripbytecount_p and td_stripoffset_p in TIFFSetupStrips())

2025-02-26  Gabi Falk  <gabifalk@gmx.com>

	test: Fix race condition in {tiffcrop,tiffcp}-32bpp-None-jpeg.sh tests.
	These tests used the same output path, which could cause failures
	when run in parallel.  These were the only tests with a conflicting
	outfile= parameter.

	Link: https://bugs.gentoo.org/943020

2025-02-25  Bob Friesenhahn  <graphicsmagick.project@gmail.com>

	Merge branch 'doc_re_entrancy_and_thread_safety_see_667' into 'master'
	doc: Update documentation on re-entrancy and thread safety.

	Closes #667

	See merge request libtiff/libtiff!700

2025-02-25  Su Laus  <sulau@freenet.de>

	doc: Update documentation on re-entrancy and thread safety.

2025-02-23  Su_Laus  <sulau@freenet.de>

	doc/functions/TIFFWriteDirectory.rst: Clarify TIFFSetWriteOffset() only sets offset for image data and not for IFD data.

2025-02-16  Su_Laus  <sulau@freenet.de>

	Silence some Coverity Scan warnigs and mark already dismissed ones. Guard all code related to CHUNKY_STRIP_READ_SUPPORT.

2025-02-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_remove_deprecated_type_definitions' into 'master'
	doc: Update the documentation to reflect deprecated typedefs

	See merge request libtiff/libtiff!694

2025-02-11  Su Laus  <sulau@freenet.de>

	doc: Update the documentation to reflect deprecated typedefs.

2025-02-09  Su_Laus  <sulau@freenet.de>

	Silence some Coverity Scan warnigs and mark already dismissed ones.

2025-01-30  Su Laus  <sulau@freenet.de>

	Merge branch 'patch-1' into 'master'
	Doc: Fix return type of TIFFReadEncodedTile()

	See merge request libtiff/libtiff!693

2025-01-25  Mark Riehm  <imriehm2@gmail.com>

	Doc: Fix return type of TIFFReadEncodedTile()

2025-01-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_1638738' into 'master'
	TIFFSetSubDirectory(): check _TIFFCheckDirNumberAndOffset() return

	See merge request libtiff/libtiff!692

2025-01-12  Even Rouault  <even.rouault@spatialys.com>

	TIFFSetSubDirectory(): check _TIFFCheckDirNumberAndOffset() return.
	Fix Coverity Scan:
	```
	    CID 1638738:  Error handling issues  (CHECKED_RETURN)
	    Calling "_TIFFCheckDirNumberAndOffset" without checking return value (as is done elsewhere 4 out of 5 times).
	```

2025-01-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'remove_get_field_type_from_structure' into 'master'
	Remove get_field_type form TIFFField structure because it is not used anymore

	See merge request libtiff/libtiff!691

2025-01-09  Su_Laus  <sulau@freenet.de>

	Remove get_field_type form TIFFField structure because it is not used anymore and rename other parameter to set_get_field_type.

2025-01-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'doc_update_adding_new_tags_fix_642' into 'master'
	doc: Update "Defining New TIFF Tags" description. See also #642.

	Closes #642

	See merge request libtiff/libtiff!655

2025-01-06  Su Laus  <sulau@freenet.de>

	doc: Update "Defining New TIFF Tags" description. See also #642.

2025-01-01  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax_encode_sample_per_pixel_warning' into 'master'
	tif_fax3.c: Error out for CCITT fax encoding if SamplesPerPixel is not equal 1 and PlanarConfiguration = Contiguous

	Closes #26

	See merge request libtiff/libtiff!687

2025-01-01  Su Laus  <sulau@freenet.de>

	tif_fax3.c: Error out for CCITT fax encoding if SamplesPerPixel is not equal 1 and PlanarConfiguration = Contiguous

2024-12-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_663' into 'master'
	_TIFFVSetField(): fix potential use of unallocated memory (out-of-bounds read...

	Closes #663

	See merge request libtiff/libtiff!689

2024-12-30  Even Rouault  <even.rouault@spatialys.com>

	_TIFFVSetField(): fix potential use of unallocated memory (out-of-bounds read / nullptr dereference) in case of out-of-memory situation when dealing with custom tags
	Fixes #663

2024-12-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Improved oss-fuzz fuzzer tiff_read_rgba_fuzzer.cc

	See merge request libtiff/libtiff!688

2024-12-30  Fabio Gritti  <degrigis@ucsb.edu>

	Improved oss-fuzz fuzzer tiff_read_rgba_fuzzer.cc.

2024-12-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'LINKER_LANGUAGE' into 'master'
	Set LINKER_LANGUAGE for C targets with C++ deps

	See merge request libtiff/libtiff!685

2024-12-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'merge_multiple_functions_implemented_twice_#154' into 'master'
	Merge several functions implemented twice in different modules, see #154

	Closes #154

	See merge request libtiff/libtiff!681

2024-12-30  Su Laus  <sulau@freenet.de>

	Merge several functions implemented twice in different modules, see #154

2024-12-19  Alyssa Ross  <hi@alyssa.is>

	Set LINKER_LANGUAGE for C targets with C++ deps.
	When C and C++ code are being linked together, a C++ compiler has to
	be used.  In my experience, this doesn't always cause problems, but it
	tends to when doing static builds.

	Without this change, I got build failures when I had lerc enabled:

	cd /build/source/build/tools && /nix/store/6941y72hx1k8rxiygm4iin16i4zhcdqr-cmake-3.30.5/bin/cmake -E cmake_link_script CMakeFiles/fax2ps.dir/link.txt --verbose=1
	/nix/store/gb7zjcg4fh1mnd5qp4pkrlib55w6j42l-aarch64-unknown-linux-musl-gcc-wrapper-13.3.0/bin/aarch64-unknown-linux-musl-gcc  -Wall -Winline -Wformat-security -Wpointer-arith -Wdisabled-optimization -Wno-unknown-pragmas -fstrict-aliasing -O3 -DNDEBUG CMakeFiles/fax2ps.dir/fax2ps.c.o -o fax2ps  ../libtiff/libtiff.a -Wl,-Bdynamic /nix/store/n49vspyhaga9pabpqqcwm9rlam7r4152-zlib-static-aarch64-unknown-linux-musl-1.3.1/lib/libz.a /nix/store/k71jx85iin8bvgqs1viq263qp186nb9h-libdeflate-static-aarch64-unknown-linux-musl-1.22/lib/libdeflate.a /nix/store/kp6hkjfjdmd94crz6claldi5hg9z8r87-libjpeg-turbo-static-aarch64-unknown-linux-musl-3.0.4/lib/libjpeg.a /nix/store/h2f1h8bri9d0mvdrvn5ad94hy31dan2s-lerc-static-aarch64-unknown-linux-musl-4.0.0/lib/libLerc.a /nix/store/hjf3h5prgfdadv3wsj4172sdxrnycgba-xz-static-aarch64-unknown-linux-musl-5.6.3/lib/liblzma.a /nix/store/qh8h4fdsvhj75xliiqb71qrynnng51p2-zstd-static-aarch64-unknown-linux-musl-1.5.6/lib/libzstd.a /nix/store/002ykljzr16pfxnijq7x8hr4nbicg745-libwebp-static-aarch64-unknown-linux-musl-1.4.0/lib/libwebp.a /nix/store/002ykljzr16pfxnijq7x8hr4nbicg745-libwebp-static-aarch64-unknown-linux-musl-1.4.0/lib/libsharpyuv.a /nix/store/dnm541qbzfanx6r0kqbc2p4xfjiwl4sf-musl-static-aarch64-unknown-linux-musl-1.2.5/lib/libm.a -Wl,-Bstatic
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: /nix/store/h2f1h8bri9d0mvdrvn5ad94hy31dan2s-lerc-static-aarch64-unknown-linux-musl-4.0.0/lib/libLerc.a(Lerc.cpp.o): in function `std::vector<unsigned char, std::allocator<unsigned char> >::operator=(std::vector<unsigned char, std::allocator<unsigned char> > const&) [clone .isra.0]':
	(.text+0x140): undefined reference to `operator new(unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x16c): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x26c): undefined reference to `std::__throw_bad_alloc()'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: /nix/store/h2f1h8bri9d0mvdrvn5ad94hy31dan2s-lerc-static-aarch64-unknown-linux-musl-4.0.0/lib/libLerc.a(Lerc.cpp.o): in function `LercNS::Lerc::GetRanges(unsigned char const*, unsigned int, int, LercNS::Lerc2::HeaderInfo const&, double*, double*, unsigned long)':
	(.text+0x10a0): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x10b4): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x10c8): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x10ec): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: (.text+0x1100): undefined reference to `operator delete(void*, unsigned long)'
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: /nix/store/h2f1h8bri9d0mvdrvn5ad94hy31dan2s-lerc-static-aarch64-unknown-linux-musl-4.0.0/lib/libLerc.a(Lerc.cpp.o):(.text+0x1114): more undefined references to `operator delete(void*, unsigned long)' follow
	/nix/store/ncvpwrpay6vvh9wwc6fq28lb9hip7chc-aarch64-unknown-linux-musl-binutils-2.43.1/bin/aarch64-unknown-linux-musl-ld: /nix/store/h2f1h8bri9d0mvdrvn5ad94hy31dan2s-lerc-static-aarch64-unknown-linux-musl-4.0.0/lib/libLerc.a(Lerc.cpp.o): in function `bool LercNS::Lerc::Convert<signed char>(LercNS::CntZImage const&, signed char*, unsigned char*, bool)':
	[1808 more lines of this ommitted]
	collect2: error: ld returned 1 exit status

2024-12-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'read_only' into 'master'
	Take into account PACKBITS_READ_ONLY, LZW_READ_ONLY, and LERC_READ_ONLY macros

	See merge request libtiff/libtiff!683

2024-12-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'libtiff_predictor_3_inverted_endianness_write_fix' into 'master'
	fix writing a Predictor=3 file with non-native endianness

	See merge request libtiff/libtiff!684

2024-12-17  Even Rouault  <even.rouault@spatialys.com>

	fix writing a Predictor=3 file with non-native endianness.

	Take into account PACKBITS_READ_ONLY, LZW_READ_ONLY, and LERC_READ_ONLY macros
	to disable compiling write-support for those codecs.
	Also add missing casts in LERC codec.

2024-12-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_lzw_packbits_null' into 'master'
	tif_lzw.c / tif_packbits.c: use NULL instead of 0

	See merge request libtiff/libtiff!682

2024-12-16  Even Rouault  <even.rouault@spatialys.com>

	tif_lzw.c / tif_packbits.c: use NULL instead of 0.

2024-12-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_TIFFRGBAImage_#67_different_output_unassociated_alpha' into 'master'
	manpage: doc/functions/TIFFRGBAImage.rst note added about un-associated alpha handling

	Closes #67

	See merge request libtiff/libtiff!679

2024-12-09  Su Laus  <sulau@freenet.de>

	manpage: doc/functions/TIFFRGBAImage.rst note added about un-associated alpha handling

2024-12-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf_division_by_zero_#654' into 'master'
	tiff2pdf: check h_samp and v_samp for range 1 to 4 to avoid division by zero.

	Closes #654

	See merge request libtiff/libtiff!680

2024-12-07  Su_Laus  <sulau@freenet.de>

	tiff2pdf: check h_samp and v_samp for range 1 to 4 to avoid division by zero.
	Closes #654

2024-12-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	CMake CMP0074 new policy.

	See merge request libtiff/libtiff!678

2024-12-04  榆柳松  <wzhengsen@gmail.com>

	CMake CMP0074 new policy.

2024-12-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_TIFFReadRGBAImage_orientation_fault' into 'master'
	doc: TIFFReadRGBAImage.rst note about incorrect saving in raster for some TIFF orientations (5 to 8).

	Closes #76 and #77

	See merge request libtiff/libtiff!675

2024-12-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFRGBAImageOK_remove_unnecessary_calls' into 'master'
	Remove unnecessary calls to TIFFRGBAImageOK() in tif_getimage.c

	Closes #175

	See merge request libtiff/libtiff!677

2024-12-03  Su_Laus  <sulau@freenet.de>

	Remove unnecessary calls to TIFFRGBAImageOK() in tif_getimage.c.
	Closes #175

2024-11-30  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'master' into 'master'
	Rename cxx to tiff-cxx

	See merge request libtiff/libtiff!676

2024-11-30  榆柳松  <wzhengsen@gmail.com>

	Rename cxx to tiff-cxx,avoid overly mundane names.

2024-11-29  Su_Laus  <sulau@freenet.de>

	manpage: doc/functions/TIFFRGBAImage.rst note added for incorrect saving of images with TIFF orientation from 5 (LeftTop) to 8 (LeftBottom) in the raster.

2024-11-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_test_directory_for_big_endian_machines' into 'master'
	Update test/test_directory.c not to fail on big-endian machines. Fix memory leaks

	Closes #652 et #656

	See merge request libtiff/libtiff!673

2024-11-19  Su Laus  <sulau@freenet.de>

	Update test/test_directory.c not to fail on big-endian machines. Fix memory leaks
	Closes #652 et #656

2024-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdither_multi_page' into 'master'
	tiffdither: process all pages in input TIFF file

	See merge request libtiff/libtiff!674

2024-11-08  Marco Rullo  <rullo.marco@gmail.com>

	tiffdither: process all pages in input TIFF file.

2024-10-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'unknown_tag_warnings' into 'master'
	No longer emit warnings about unknown tags by default, and add...

	See merge request libtiff/libtiff!463

2024-10-29  Even Rouault  <even.rouault@spatialys.com>

	tiffinfo: add a -W switch to warn about unknown tags.

	No longer emit warnings about unknown tags by default, and add TIFFOpenOptionsSetWarnAboutUnknownTags() for explicit control

2024-10-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'COMPRESSION_JXL_DNG_1_7' into 'master'
	tiff.h: add COMPRESSION_JXL_DNG_1_7=52546 as used for JPEGXL compression in...

	See merge request libtiff/libtiff!672

2024-10-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '532_MergeFields_with_FIELD_IGNORE' into 'master'
	Issue #532: Updating TIFFMergeFieldInfo() with read_count=write_count=0 for FIELD_IGNORE.

	Closes #532

	See merge request libtiff/libtiff!668

2024-10-27  Su Laus  <sulau@freenet.de>

	Issue #532: Updating TIFFMergeFieldInfo() with read_count=write_count=0 for FIELD_IGNORE.
	Updating TIFFMergeFieldInfo() with read_count=write_count=0 for FIELD_IGNORE.
	Improving handling when field_name = NULL.

	Closes #532

	There was a regression in v4.7.0 related to re-opened issue https://gitlab.com/libtiff/libtiff/-/issues/532#note_2134433038 and following discussion.

2024-10-27  Even Rouault  <even.rouault@spatialys.com>

	tiff.h: add COMPRESSION_JXL_DNG_1_7=52546 as used for JPEGXL compression in the DNG 1.7 specification

2024-10-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_651_bis' into 'master'
	CMake: fix build with LLVM/Clang 17+

	Closes #651

	See merge request libtiff/libtiff!671

2024-10-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'remove_useless_cmake_minimum_required' into 'master'
	doc/CMakeLists.txt: remove useless cmake_minimum_required()

	See merge request libtiff/libtiff!670

2024-10-20  Daniel E @diizzyy  <unknown@example.com>

	CMake: fix build with LLVM/Clang 17+
	Fixes #651

2024-10-20  Even Rouault  <even.rouault@spatialys.com>

	doc/CMakeLists.txt: remove useless cmake_minimum_required()
	There's already one in top CMakeLists.txt (at 3.9.0 currently)

	Newer CMake versions throw this warning with current 3.2.0:
	```
	CMake Deprecation Warning at doc/CMakeLists.txt:27 (cmake_minimum_required):
	  Compatibility with CMake < 3.5 will be removed from a future version of
	  CMake.
	  Update the VERSION argument <min> value or use a ...<max> suffix to tell
	  CMake that the project does not need compatibility with older versions.
	```

2024-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jpeg_65535' into 'master'
	tif_jpeg.c: use JPEG_MAX_DIMENSION constant instead of hard-coded 65535 value

	See merge request libtiff/libtiff!658

2024-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_gdal_10875' into 'master'
	TIFFDefaultTransferFunction(): give up beyond td_bitspersample = 24

	See merge request libtiff/libtiff!665

2024-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ppm2tiff_fix_#467_10bit_packwords' into 'master'
	ppm2tiff: Fix bug in `pack_words` trailing bytes

	Closes #467

	See merge request libtiff/libtiff!666

2024-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Fix issue #649 in fax2ps caused by regression in commit...

	Closes #649

	See merge request libtiff/libtiff!667

2024-10-05  Lee Howard  <faxguy@howardsilvan.com>

	Check TIFFTAG_TILELENGTH and TIFFTAGTILEWIDTH for valid input, addresses issue #650

2024-09-27  Lee Howard  <faxguy@howardsilvan.com>

	Fix issue #649 in fax2ps caused by regression in commit https://gitlab.com/libtiff/libtiff/-/commit/28c38d648b64a66c3218778c4745225fe3e3a06d where TIFFTAG_FAXFILLFUNC is being used rather than an output buffer.

2024-09-27  Su_Laus  <sulau@freenet.de>

	ppm2tiff: Fix bug in `pack_words` trailing bytes, where last two bytes of each line were written wrongly.
	Closes #467.

2024-09-26  Even Rouault  <even.rouault@spatialys.com>

	TIFFDefaultTransferFunction(): give up beyond td_bitspersample = 24.
	This function tries to allocate (1 << td_bitspersample) bytes which may
	results in denial of services if td_bitspersample is too large.

	Fixes https://github.com/OSGeo/gdal/issues/10875

2024-09-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'theta682-fix-Oi-GFS' into 'master'
	Fix parsing a private tag 0x80a6

	Closes #647

	See merge request libtiff/libtiff!661

2024-09-22  Timothy Lyanguzov  <theta682@gmail.com>

	Do not error out on a tag whose tag count value is zero, just issue a warning.
	Fix parsing a private tag 0x80a6

2024-09-21  Benjamin Gilbert  <bgilbert@backtick.net>

	Define HAVE_JPEGTURBO_DUAL_MODE_8_12 in tif_config.h.
	Remove special-case Autotools and CMake code to define it on the
	compiler command line.

	Define LERC_STATIC in tif_config.h.
	Remove special-case Autotools and CMake code to define it on the
	compiler command line.

	CMake: set WORDS_BIGENDIAN via #cmakedefine.
	Autotools sets WORDS_BIGENDIAN via tif_config.h, but the CMake equivalent
	in tif_config.h.cmake.in is a no-op; CMake passes the define on the
	compiler command line instead.  For consistency, have CMake set the define
	via tif_config.h.

2024-09-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_648_ASCII_length_at_WriteDirectorySec_codec_part' into 'master'
	Increment string length for ASCII tags in TIFFWriteDirectorySec() for codec...

	Closes #648

	See merge request libtiff/libtiff!663

2024-09-21  Su_Laus  <sulau@freenet.de>

	Increment string length for ASCII tags in TIFFWriteDirectorySec() for codec tags defined with FIELD_xxx bits, as it is done for FIELD_CUSTOM tags. Fixes #648

2024-09-11  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.7.0rc2 preparation

2024-09-11  Even Rouault  <even.rouault@spatialys.com>

	configure.ac: make a provision to look for up to python 3.16 ...
	hopefully we'll have ditched autoconf support at that point...

	Fix test dependency on tiff2rgba-32BPP that breaks 'make check -jX'

	test/tiff2ps*.sh scripts: try to use POSIX only diff flags.

2024-09-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'automake_doc_fix' into 'master'
	doc/Makefile.am: make sure that 'doc-html' and 'doc-man' targets have dependencies to avoid them to be rebuilt by successive make

	See merge request libtiff/libtiff!657

2024-09-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '4_7_0_rst_rgb2ycbcr_thumbnail' into 'master'
	v4.7.0.rst: clarify that rgb2ycbcr and thumbnail are not installed

	See merge request libtiff/libtiff!659

2024-09-10  Even Rouault  <even.rouault@spatialys.com>

	v4.7.0.rst: clarify that rgb2ycbcr and thumbnail are not installed.

2024-09-08  Even Rouault  <even.rouault@spatialys.com>

	doc/Makefile.am: make sure that 'doc-html' and 'doc-man' targets have dependencies to avoid them to be rebuilt by successive make

	doc/Makefile.am: move rst_sources and EXTRA_DIST variables on top of file

2024-09-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'index_rst_formatting_issue' into 'master'
	index.rst: fix formatting issue

	See merge request libtiff/libtiff!656

2024-09-07  Even Rouault  <even.rouault@spatialys.com>

	index.rst: fix formatting issue.

2024-09-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'prepare_release_4_7_0' into 'master'
	Prepare release 4.7.0

	See merge request libtiff/libtiff!654

2024-09-07  Even Rouault  <even.rouault@spatialys.com>

	Doc: remove 'Master' terminlogy.

	v4.7.0.rst: remove mention about autoconf-archive since that change has been reverted

	Revert "autotools: allow pulling in updated macros from autoconf-archive"
	This reverts commit c820d16c30c27b3be6c3d10834b6d75607ae9d77.

	Revert "HOWTO-RELEASE: document the necessary dependencies for producing dist tarballs"
	This reverts commit f1a91e42b3f23641cb5559fb60e1d73d201275eb.

	Revert "configure.ac: fix HAVE_OPENGL determination due to recent changes"
	This reverts commit c370e67f7fd9320674544113218b7fbca4f65c2b.

	configure.ac: fix HAVE_OPENGL determination due to recent changes.

	Update version numbers for 4.7.0.

	Update ChangeLog and create release notes for v4.7.0.

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	typo fixes.

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'autoconf-archive' into 'master'
	autotools: allow pulling in updated macros from autoconf-archive

	See merge request libtiff/libtiff!645

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'remove_last_usage_of_get_field_type' into 'master'
	Change last usage of get_field_type at TIFFWriteDirectorySec() to set_field_type

	See merge request libtiff/libtiff!653

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.7.0rc1 preparation

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'autoconf-archive' into 'master'
	autotools: allow pulling in updated macros from autoconf-archive

	See merge request libtiff/libtiff!645

2024-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'remove_last_usage_of_get_field_type' into 'master'
	Change last usage of get_field_type at TIFFWriteDirectorySec() to set_field_type

	See merge request libtiff/libtiff!653

2024-09-05  Su_Laus  <sulau@freenet.de>

	Change last usage of get_field_type at TIFFWriteDirectorySec() for codec related tags to set_field_type.

2024-09-03  Eli Schwartz  <eschwartz93@gmail.com>

	HOWTO-RELEASE: document the necessary dependencies for producing dist tarballs

	autogen.sh: actually return failure if any step failed.
	Previously, it exited with failure if and only if the wget calls failed.
	But it is possible for any command to fail, e.g. if the autotools are
	broken, misconfigured, or missing dependencies.

2024-09-03  Eli Schwartz  <eschwartz93@gmail.com>

	autotools: allow pulling in updated macros from autoconf-archive.
	Instead of inlining a few macros in acinclude.m4 and forgetting about
	them, teach aclocal to install the macros to m4/ when autoreconf is run.
	They are no longer tracked in one big file, nor tracked at all in git,
	but producing dist tarballs will bundle them up just like `configure`
	and `Makefile.in`.

	Note: previous behavior of AX_CHECK_GL* was to simply ignore support and
	proceed, if it was asked for and not found. The updated macros expect to
	opt into this by specifying action-if-not-found.

	VL_* is obsolete. Upgrade to AX_CFLAGS_WARN_ALL.

2024-09-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'XZY2RGB' into 'master'
	Fixes #644 Index comparison as size_t to avoid overflow in TIFFXYZToRGB

	Closes #644

	See merge request libtiff/libtiff!649

2024-09-03  Nicolas Badoux  <n.badoux@hotmail.com>

	Fixes #644 Index comparison as size_t to avoid overflow in TIFFXYZToRGB.

2024-09-01  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ci_werror' into 'master'
	CI: build with -Wall -Wextra -Werror

	See merge request libtiff/libtiff!652

2024-08-30  Even Rouault  <even.rouault@spatialys.com>

	configure.ac: avoid -Werror passed to CFLAGS to interfere with feature detection

	CI: build with -Wall -Wextra -Werror.

2024-08-30  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-old-update' into 'master'
	ci: Update "old" build jobs to use Ubuntu 22.04

	See merge request libtiff/libtiff!651

2024-08-30  Roger Leigh  <rleigh@codelibre.net>

	ci: Update "old" build jobs to use Ubuntu 22.04.

2024-08-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ci-ubuntu-22.04' into 'master'
	ci: Update to use Ubuntu 24.04 CI images

	See merge request libtiff/libtiff!650

2024-08-30  Roger Leigh  <rleigh@codelibre.net>

	ci: Update to use Ubuntu 24.04 CI images.

2024-08-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'uv_encode' into 'master'
	Fix #645 by using unsigned int for variable indexing an array in uv_decode() and uv_encode()

	Closes #645

	See merge request libtiff/libtiff!648

2024-08-28  Nicolas Badoux  <n.badoux@hotmail.com>

	Fix #645 by using unsigned int for variable indexing an array in uv_decode() and uv_encode()
	Change `vi` to unsigned int in `uv_decode()` and `uv_encode()` to ensure that upper bound `UV_NVS` cannot be satisfied by a negative value which will overflow when cast to an unsigned value at array access time. This fixes issue #645 where a segmentation fault was caused.

2024-08-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_643_solitary_CustomDirectory_read' into 'master'
	Fix #643 by initializing pointer to TIFFSetField() and TIFFGetField() before TIFFReadGPSDirectory

	Closes #643

	See merge request libtiff/libtiff!647

2024-08-27  Su Laus  <sulau@freenet.de>

	Fix #643 by initializing pointer to TIFFSetField() and TIFFGetField() before TIFFReadGPSDirectory
	Initialize pointer to TIFFSetField() and TIFFGetField() (i.e. tif-\>tif_tagmethods.vsetfield and tif-\>tif_tagmethods.vgetfield) even if the file is opened with "h" option. This fixes issue #643 where a segmentation fault was caused.

2024-08-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff_strip' into 'master'
	Add non-zero check before division in TIFFComputeStrip

	See merge request libtiff/libtiff!646

2024-08-23  Nicolas Badoux  <n.badoux@hotmail.com>

	Add non-zero check before division in TIFFComputeStrip.

2024-08-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_564' into 'master'
	TIFFScanlineSize64(): revert merge request #564

	See merge request libtiff/libtiff!644

2024-08-15  Even Rouault  <even.rouault@spatialys.com>

	TIFFScanlineSize64(): revert merge request #564.
	https://gitlab.com/libtiff/libtiff/-/merge_requests/564 broke decoding of: "tools/tiffcp -c none in.tif out.tif"
	with [in.tif](/uploads/0475a88cf6e66652b030a0a3a0c47313/in.tif)
	leading to shift each line of the target image by one extra pixel at each line.
	Unfortunately, this cancels what https://gitlab.com/libtiff/libtiff/-/merge_requests/564 tried to fix. I'll let @caolanm propose an alternative fix in a follow-up merge request

2024-08-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fix_from_MR_634' into 'master'
	Fix some Coverity Scan issues introduced by MR 634.

	See merge request libtiff/libtiff!643

2024-08-14  Su_Laus  <sulau@freenet.de>

	Fix some Coverity Scan issues introduced by MR 634.

2024-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'lerc-pkgconfig' into 'master'
	libtiff-4.pc: Fix `Requires.private` missing `Lerc`.

	See merge request libtiff/libtiff!633

2024-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_update_directory_incrementing' into 'master'
	Amend manpages for changes in current directory index behaviour.

	See merge request libtiff/libtiff!639

2024-08-11  Su Laus  <sulau@freenet.de>

	Amend manpages for changes in current directory index behaviour.

2024-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_coverity_20240723' into 'master'
	Attempt to address tiffcrop Coverity scan issues 1605444, 1605445, and 1605449.

	See merge request libtiff/libtiff!642

2024-08-11  Lee Howard  <faxguy@howardsilvan.com>

	Attempt to address tiffcrop Coverity scan issues 1605444, 1605445, and 1605449.

2024-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_CurDir_wrong_incrementing' into 'master'
	Fix cases where tif_curdir is set incorrectly

	See merge request libtiff/libtiff!634

2024-08-11  Su Laus  <sulau@freenet.de>

	Fix cases where tif_curdir is set incorrectly.
	Fix cases where the current directory number (tif_curdir) is set inconsistently or incorrectly, depending on the previous history.

	See additional checks and tests in test/test_directory.c of this MR for intended setting of tif_curdir (i.e. TIFFCurrentDirectory(tif)).

2024-07-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes_tiff2pdf_#2' into 'master'
	Try to fix additional Coverity issues in tiff2pdf

	See merge request libtiff/libtiff!641

2024-07-12  Su Laus  <sulau@freenet.de>

	Try to fix additional Coverity issues in tiff2pdf.

2024-07-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_autoconf_diff_parameter_crlf' into 'master'
	Add parameter for "diff" used in autoconf test scripts to ignore LF and CRLF differences.

	See merge request libtiff/libtiff!640

2024-07-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes_tiff2pdf' into 'master'
	Fix Coverity issues in tiff2pdf.

	See merge request libtiff/libtiff!638

2024-07-09  Su Laus  <sulau@freenet.de>

	Fix Coverity issues in tiff2pdf.

2024-06-29  Su_Laus  <sulau@freenet.de>

	Add parameter for "diff" used in autoconf test scripts to ignore LF and CRLF differences.

2024-06-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes_test_thumbnail' into 'master'
	Coverity Scan fixes in thumbnail.c and custom_dir_EXIF_231.c

	See merge request libtiff/libtiff!637

2024-06-28  Su Laus  <sulau@freenet.de>

	Coverity Scan fixes in thumbnail.c and custom_dir_EXIF_231.c.

2024-06-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes' into 'master'
	Try to silence new Coverity Scan false positives

	See merge request libtiff/libtiff!636

2024-06-24  Even Rouault  <even.rouault@spatialys.com>

	Try to silence new Coverity Scan false positives.
	There are other warnings in tools/ that I'll let others deal with.

2024-06-24  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix/make' into 'master'
	fix: error when running make clean

	Closes #630

	See merge request libtiff/libtiff!635

2024-06-24  Kévin Dunglas  <kevin@dunglas.fr>

	fix: error when running make clean.

2024-06-15  Niklas Hambüchen  <mail@nh2.me>

	libtiff-4.pc: Fix `Requires.private` missing `Lerc`.
	It provides a `.pc` file starting from version 4 in:

	https://github.com/Esri/lerc/blob/8d6e8251544bbe1379feb0fe0a0934e43ca1a6cd/Lerc.pc.in

	libtiff's CMake build system already has support for this,
	adding `Lerc` to `Requires.private` if Lerc is >= 4.

	In contrast to the CMake build system, autoconf has no good way
	to check for checking the Lerc version, we do it unconditionally
	there.

2024-06-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'rfc02_text__restore_tools' into 'master'
	Text for RFC 2: Restoring needed libtiff tools

	See merge request libtiff/libtiff!581

2024-06-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'add_some_conversion_test_to_cmake' into 'master'
	Port some basic sanity checks from autoconf to cmake.

	See merge request libtiff/libtiff!630

2024-06-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_coverity_check_malloc_return' into 'master'
	tiffcp: Add check for limitMalloc return to fix Coverity CID 1603334

	See merge request libtiff/libtiff!632

2024-06-10  Su_Laus  <sulau@freenet.de>

	tiffcp add check for limitMalloc return to fix Coverity CID 1603334.

2024-06-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'aim-nara-master-patch-67955' into 'master'
	Remove unnecessary `2` in tiffcmp name

	See merge request libtiff/libtiff!631

2024-06-07  AIM | Nara  <takeshi.naramidate@ai-ms.com>

	Remove unnecessary `2` in tiffcmp name.

2024-05-30  Su_Laus  <sulau@freenet.de>

	Port some basic sanity checks from autoconf to cmake. Checks are for tiffcp and tiffcrop RGB->YCbCr JPEG conversions (see MR !611 / 'tiffcp_tiffcrop_RGB_YCbCr_tests')

2024-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ofz65182' into 'master'
	an issue seen in putcontig8bitYCbCr22tile

	See merge request libtiff/libtiff!564

2024-05-29  Caolán McNamara  <caolanm@gmail.com>

	TIFFScanlineSize64(): fix computation in non-JPEG YCbCr case (#564)
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=65182

2024-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_375' into 'master'
	TIFFRead[Scanline/EncodedStrip/EncodeTile]: 0-initialize output buffer if setupdecode fails ; most codecs: zero-initialize (not-yet-written parts of) output buffer if failure

	Closes #375

	See merge request libtiff/libtiff!628

2024-05-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf-planar' into 'master'
	Inconsistent PLANARCONFIG value for the input and output TIFF in tiff2pdf.c

	See merge request libtiff/libtiff!629

2024-05-29  Timothy Lyanguzov  <timothy.lyanguzov@sap.com>

	Inconsistent PLANARCONFIG value for the input and output TIFF in tiff2pdf.c
	Fixed a bug in tiff2pdf.c whereas the PLANARCONFIG for the output TIFF is set to a fixed value of PLANARCONFIG_CONTIG as opposed to match the value of the input TIFF.
	This mainly manifest in the heap-buffer-overread due to the difference of sizes in the buffers (between input and output) allocated and read to the size of output buffer.

	Reimplementation of !92

2024-05-27  Even Rouault  <even.rouault@spatialys.com>

	tif_lzma/tif_lzw: add code comments.

2024-05-26  Even Rouault  <even.rouault@spatialys.com>

	ZSTDDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	PixarLogDecode: zero-initialize output buffer if failure.

	PackBitsDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	JPEGDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	LERCDecode: zero-initialize output buffer if failure.

	LZMADecode: zero-initialize (not-yet-written parts of) output buffer if failure, and handle repeated calls to decoding same tile/strip if previous failure occurred

	TWebPDecode: zero-initialize output buffer if failure, and handle repeated calls to decoding same tile/strip if previous failure occurred

	ThunderDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	OJPEGDecode: zero-initialize output buffer if failure.

	JBIGDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	ZIPDecode: zero-initialize (not-yet-written parts of) output buffer if failure, and handle repeated calls to decoding same tile/strip if previous failure occurred

	LZWDecode: zero-initialize (not-yet-written parts of) output buffer if failure

	TIFFRead[Scanline/EncodedStrip/EncodeTile]: 0-initialize output buffer if setupdecode fails
	Fixes #375

2024-05-25  Su_Laus  <sulau@freenet.de>

	Text for RFC 2: Restoring needed libtiff tools - file added to doc/Makefile.am and rebased.

	Text for RFC 2: Restoring needed libtiff tools - approved with voting history updated.

	Text for RFC 2: Restoring needed libtiff tools - further amended.

	Text for RFC 2: Restoring needed libtiff tools - amended.

	Text for RFC 2: Restoring needed libtiff tools.

2024-05-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf_539' into 'master'
	fix tiff2pdf issue #539; however, there certainly remain many JPEG-compressed...

	See merge request libtiff/libtiff!597

2024-05-23  Lee Howard  <faxguy@howardsilvan.com>

	tiff2pdf: fix issue with JPEG restart-interval marker when converting from JPEG-compressed files
	Fixes #539

	however, there certainly remain many JPEG-compressed TIFFs which tiff2pdf will fumble without disabling data passthrough (using the -n option) - I supect that it has to do with the JPEG tables being removed from the JPEG and placed into the TIFF headers - as tiff2pdf would need to put these back into the JPEG instead of just passing the data through to the PDF

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'test_fix' into 'master'
	test/Makefile.am: make sure that all test images are bundled by make dist even...

	See merge request libtiff/libtiff!626

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'add_missing_rst_files' into 'master'
	doc/Makefile.am: add rfcs/ files in rst_sources variable

	See merge request libtiff/libtiff!624

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	test/Makefile.am: make sure that all test images are bundled by make dist even if JPEG or JBIG is not available

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'timothyl/32bpp-cmake-test' into 'master'
	Add new test to CMake

	See merge request libtiff/libtiff!625

2024-05-22  Timothy Lyanguzov  <timothy.lyanguzov@sap.com>

	Add new test to CMake.
	See previous merge request libtiff/libtiff!611

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	doc/Makefile.am: add rfcs/ files in rst_sources variable.

2024-05-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_tiffcrop_RGB_YCbCr_tests' into 'master'
	Add some basic sanity checks for tiffcp and tiffcrop RGB->YCbCr JPEG conversions.

	See merge request libtiff/libtiff!611

2024-05-22  Lee Howard  <faxguy@howardsilvan.com>

	Add some basic sanity checks for tiffcp and tiffcrop RGB->YCbCr JPEG conversions.

2024-05-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_LZW_JBIG_test' into 'master'
	Add basic sanity check for tiffcp LZW->JBIG conversion.

	See merge request libtiff/libtiff!612

2024-05-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_masonwilde_fix' into 'master'
	Apply "Fix heap-buffer-overflow in function extractImageSection"

	See merge request libtiff/libtiff!613

2024-05-21  Lee Howard  <faxguy@howardsilvan.com>

	tiffcrop: Apply "Fix heap-buffer-overflow in function extractImageSection"
	https://gitlab.com/masonwilde/libtiff/-/commit/848434a81c443f59ec90d41218eba6e48a450a11

	authored by zhailiangliang commit 848434a81c443f59ec90d41218eba6e48a450a11

	The overflow conditions were previously addressed, but this provides additional error messages.

2024-05-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_183_alternative' into 'master'
	OJPEG: reset subsampling_convert_state =0 in OJPEGPreDecode (fixes tiff2pdf issue #183)

	See merge request libtiff/libtiff!621

2024-05-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'thunder-fix' into 'master'
	A fix for Thunder RLE

	See merge request libtiff/libtiff!623

2024-05-21  Timothy Lyanguzov  <theta682@gmail.com>

	A fix for Thunder RLE.
	The commit https://gitlab.com/robinwatts/libtiff/-/commit/be0519ca3d222c19008fe160873f3b5c28e6b36b states:

	Thunder RLE can fail to decode last run. Bug seen with GhostPDL. Decode of test tif file gives valgrind errors due to the "thunder decode" failing to extract the final run of compressed pixels.

	The logic in the decoder, presumably intended to spot overruns of data, is incorrect in that runs that end at the end of a row (npixels == maxpixels) will not be decoded.

	Fix this by limiting 'n', the number of pixels to copy. Note that npixels is updated by the 'unlimited' value to ensure the error reporting at the end of the loop still works.

2024-05-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2ps_fax2tiff_476' into 'master'
	fix fax2ps and fax2tiff bugs #476

	See merge request libtiff/libtiff!598

2024-05-18  Lee Howard  <faxguy@howardsilvan.com>

	Fix fax2ps and fax2tiff memory leaks.
	Fixes #476

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2rgba_469' into 'master'
	fix tiff2rgba issue #469

	See merge request libtiff/libtiff!600

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting-fixes' into 'master'
	Formatting fixes

	See merge request libtiff/libtiff!622

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Formatting fixes.

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes' into 'master'
	3 Coverity Scan fixes in tools & contrib

	See merge request libtiff/libtiff!592

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf_596' into 'master'
	tiff2pdf issue #596

	See merge request libtiff/libtiff!594

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffdither_473' into 'master'
	fix tiffdither bug #473

	See merge request libtiff/libtiff!599

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax2tiff_468' into 'master'
	fix fax2tiff issue #468

	See merge request libtiff/libtiff!601

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2rgba_background' into 'master'
	Add background gradient option for tiff2rgba alpha compositing.

	See merge request libtiff/libtiff!610

2024-05-17  Lee Howard  <faxguy@howardsilvan.com>

	Add background gradient option for tiff2rgba alpha compositing.

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf_253' into 'master'
	Fix tiff2pdf issue #253 - red and blue were being swapped for RGBA decoding

	See merge request libtiff/libtiff!603

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax2tiff_249' into 'master'
	Fix fax2tiff issue #249, unreasonable width input

	See merge request libtiff/libtiff!604

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_tiffcrop_228' into 'master'
	correct tiffcp and tiffcrop issue #228

	See merge request libtiff/libtiff!605

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	OJPEG: reset subsampling_convert_state =0 in OJPEGPreDecode (fixes tiff2pdf issue #183)

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax2tiff_191' into 'master'
	Fix fax2tiff issue #191 - EOFB interpretation

	See merge request libtiff/libtiff!606

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiff2pdf_98' into 'master'
	Fix tiff2pdf documentation issue #98

	See merge request libtiff/libtiff!608

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffgt_warning' into 'master'
	Avoids a warning regarding fallthrough.

	See merge request libtiff/libtiff!609

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_542_550_552' into 'master'
	tiffcrop: fixes #542, #550, #552 (buffer overflows, use after free)

	See merge request libtiff/libtiff!595

2024-05-17  Lee Howard  <faxguy@howardsilvan.com>

	tiffcrop: fixes #542, #550, #552 (buffer overflows, use after free)

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'Fedora_am_version' into 'master'
	libtiff-am-version.patch from Fedora stating:

	See merge request libtiff/libtiff!617

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'formatting-fixes' into 'master'
	Code formatting fixes

	See merge request libtiff/libtiff!620

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Code formatting fixes.
	Result of running ``pre-commit run --all``

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'sphinx_quotes_dashes' into 'master'
	Don't let Sphinx inconsistently alter quotes and dashes in rst files.

	See merge request libtiff/libtiff!615

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffmedian_599' into 'master'
	tiffmedian issue #599

	See merge request libtiff/libtiff!593

2024-05-17  Lee Howard  <faxguy@howardsilvan.com>

	tiffmedian: fix memory leaks.
	Closes #599

2024-05-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'more_spelling_corrections' into 'master'
	Typo fixes following...

	See merge request libtiff/libtiff!618

2024-05-17  Lee Howard  <faxguy@howardsilvan.com>

	Typo fixes following https://gitlab.com/libtiff/libtiff/-/commit/c95c77350820e19c8e273925bc97259727d19695

2024-05-16  Lee Howard  <faxguy@howardsilvan.com>

	libtiff-am-version.patch from Fedora stating: Back off the minimum required automake version to 1.11.  There isn't anything in libtiff currently that actually requires 1.12, and changing this allows the package to be built on pre-F18 machines for easier testing.

	Don't let Sphinx inconsistently alter quotes and dashes in rst files. Author: Laszlo Boszormenyi (GCS) <gcs@debian.org> Bug-Debian: https://bugs.debian.org/1028456

	Add basic sanity check for tiffcp LZW->JBIG conversion.

	Avoids a warning regarding fallthrough.

	Fix tiff2pdf documentation issue #98.

	Fix fax2tiff issue #191 - EOFB interpretation.

	Update tiffcp.c.

	Correct tiffcrop output of RGB JPEG and tiffcp/tiffcrop documentation - issue #228

	Fix tiffcp and tiffcrop issue 228 - step 1.

	Fix fax2tiff issue #249, unreasonable width input.

	Fix tiff2pdf issue #253 - red and blue were being swapped for RGBA decoding

	fix fax2tiff issue #468.

	fix tiff2rgba issue #469.

	fix tiffdither bug #473.

	tiff2pdf issue #596.

2024-05-16  Even Rouault  <even.rouault@spatialys.com>

	contrib/addtiffo: validate return of TIFFWriteEncodedXXXX() calls (CID 1024680)

	tiffdump.c: fix wrong printf formattre in error message (CID 1472932)

	tiffset.c: avoid false positive Coverity Scan warning on 64-bit builds (CID 1518997)

2024-05-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Fix some Coverity warnings.

	See merge request libtiff/libtiff!590

2024-05-16  Lee Howard  <faxguy@howardsilvan.com>

	Fix some Coverity warnings.

2024-05-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'revert_tools_removement' into 'master'
	Restore tools from archive and unsupported and tiffcp -i option with revert.

	See merge request libtiff/libtiff!589

2024-05-11  Su_Laus  <sulau@freenet.de>

	Apply some newer changes to the reverted code and prepare note for 4.7.0.

	Revert "Remove -i option (ignore errors) from tiffcp, because almost all fuzzer issues were consequential errors from ignored errors because of the "-i" option."
	This reverts commit 280a568ae887c27a422a5da862398ffdbcd9b84d.

2024-05-11  Su_Laus  <sulau@freenet.de>

	Revert "Move most TIFF tools to archive and keep some as unsupported (see #580)."
	This reverts commit eab89a627f0a65e9a1a47c4b30b4802c80b1ac45.

	# Conflicts:
	#	tools/unsupported/CMakeLists.txt
	#	tools/unsupported/tif_tools-unsupported_versioninfo.rc

2024-05-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'calloc-transposed-args' into 'master'
	Fix -Werror=calloc-transposed-args with gcc 14

	See merge request libtiff/libtiff!588

2024-05-10  Even Rouault  <even.rouault@spatialys.com>

	Fix -Werror=calloc-transposed-args with gcc 14.

2024-05-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'EvaluateIFDdatasizeReading_ossfuzz_68327' into 'master'
	EvaluateIFDdatasizeReading(): avoid unsigned integer overflow (master only)

	See merge request libtiff/libtiff!586

2024-04-27  Even Rouault  <even.rouault@spatialys.com>

	EvaluateIFDdatasizeReading(): avoid unsigned integer overflow (master only)
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=68327

2024-04-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ci-appveyor-cygwin-upgrade' into 'master'
	appveyor: Upgrade cygwin packages

	See merge request libtiff/libtiff!585

2024-04-25  Roger Leigh  <rleigh@codelibre.net>

	appveyor: Upgrade cygwin packages.

2024-04-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'libjpeg_turbo_3_0' into 'master'
	Change messages/comments referring libjpeg-turbo 2.2 to 3.0

	See merge request libtiff/libtiff!584

2024-04-24  Even Rouault  <even.rouault@spatialys.com>

	Change messages/comments referring libjpeg-turbo 2.2 to 3.0.
	libjpeg-turbo 2.2 was actually released as 3.0. Reflect that

2024-04-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'EvaluateIFDdatasizeReading_unsigned_int_overflow_fix' into 'master'
	EvaluateIFDdatasizeReading(): avoid potential unsigned integer overflow on corrupted tag

	See merge request libtiff/libtiff!582

2024-04-22  Even Rouault  <even.rouault@spatialys.com>

	EvaluateIFDdatasizeReading(): avoid potential unsigned integer overflow on corrupted tag

2024-04-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_dir_logging-627' into 'master'
	tif_dir.c: Log source file, line number, and input tif for directory count error.

	Closes #627

	See merge request libtiff/libtiff!583

2024-04-22  Kurt Schwehr  <schwehr@gmail.com>

	tif_dir.c: Log source file, line number, and input tif for directory count error.

2024-04-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_readrgbastrip_fpe' into 'master'
	Avoiding FPEs (division by zero) in tif_getimage.c

	See merge request libtiff/libtiff!580

2024-04-09  Zurab Tsinadze  <zurab.tsinadze@epfl.ch>

	Avoid FPEs (division by zero) in tif_getimage.c.

2024-04-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'appveyor-vs2022' into 'master'
	appveyor: Add VS2022 builds

	See merge request libtiff/libtiff!579

2024-04-06  Roger Leigh  <rleigh@codelibre.net>

	appveyor: Add VS2022 builds.

2024-04-04  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'appveyor-mingw-fix' into 'master'
	appveyor: Use MinGW-w64

	See merge request libtiff/libtiff!578

2024-04-04  Roger Leigh  <rleigh@codelibre.net>

	appveyor: Use MinGW-w64.

2024-04-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'update_rfc1_status' into 'master'
	RFC1: update status to adopted

	See merge request libtiff/libtiff!577

2024-04-03  Even Rouault  <even.rouault@spatialys.com>

	RFC1: update status to adopted.

2024-04-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'rfc1_psc' into 'master'
	Doc: add 'RFC 1: Project Steering Committee Guidelines' and a PSC page

	See merge request libtiff/libtiff!566

2024-04-03  Even Rouault  <even.rouault@spatialys.com>

	Doc: add 'RFC 1: Project Steering Committee Guidelines' and a PSC page.

2024-04-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_coverity_test_directory_expansion' into 'master'
	Fix coverity scan issue in test_directory.c

	See merge request libtiff/libtiff!576

2024-04-02  Su_Laus  <sulau@freenet.de>

	Fix coverity scan issue in test_directory.c.

2024-04-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'typo_fixes' into 'master'
	Various typo fixes

	See merge request libtiff/libtiff!575

2024-04-02  Even Rouault  <even.rouault@spatialys.com>

	Various typo fixes.

2024-03-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'test_directory_expansion_endianness' into 'master'
	Enhance test_directory.c with big-endian and little-endian test cases

	See merge request libtiff/libtiff!574

2024-03-30  Su_Laus  <sulau@freenet.de>

	Enhance test/test_directory.c with big-endian and little-endian test cases.
	Insert testcase into test_directory.c for #618 "Failure in TIFFSetSubDirectory() will break subsequent TIFFSetDirectory() calls".

2024-03-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'correct_coverity_issues_from_avoid_IFD_overwriting' into 'master'
	Correct some coverity issues from "avoid IFD overwriting"

	See merge request libtiff/libtiff!573

2024-03-29  Su_Laus  <sulau@freenet.de>

	Correct some coverity issues from "avoid IFD overwriting".

2024-03-28  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_gdal_9548' into 'master'
	LERC codec: deal with issues with multi-band PlanarConfig=Contig and NaN values

	See merge request libtiff/libtiff!572

2024-03-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'avoid_IFD_overwriting_other_data_TIFFWriteDirectory' into 'master'
	TIFFWriteDirectory: Avoid overwriting following data if an IFD is enlarged.

	See merge request libtiff/libtiff!565

2024-03-26  Su Laus  <sulau@freenet.de>

	TIFFWriteDirectory: Avoid overwriting following data if an IFD is enlarged.
	Avoid overwriting other data if an IFD that has already been written is enlarged. If entries are to be changed in an IFD that has already been written to the file, the memory area can be overwritten as long as the IFD data volume has not increased. Otherwise, the IFD must be written to a different location in the file. Up to now, LibTIFF has simply overwritten the IFD and other data areas in the file.

	With this MR, the size of the IFD, and location of IFD data, is tracked and checked if the IFD can be safely overwritten or has to be re-written to another location.

2024-03-24  Even Rouault  <even.rouault@spatialys.com>

	LERC codec: deal with issues with multi-band PlanarConfig=Contig and NaN values
	Fixes https://github.com/OSGeo/gdal/issues/9530.
	Cf https://github.com/OSGeo/gdal/pull/9548 for the GDAL specific fix.

	The LERC codec up-to-now didn't do any special processing when writing a strile
	in a multi-band PlanarConfig=Contig file, resulting in corruptions. Now we
	generate a mask buffer in that situation. Actually, if the NaN values are not
	at the same location across bands, we need to write one mask-per-band, which
	requires liblerc >= 3.0, and in that situation change the LERC blob to
	multi-band instead of multi-depth/dim, with liblerc >= 3.0. When all bands have
	NaN values at the same location, we generate a single mask, which is compatible
	of liblerc < 3.0, but requires at last this version of libtiff to be read. This
	is the best solution we come with to fix the issue while having the maximum
	backward compatibility.

2024-03-24  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'harmonize_TIFFheader_swapping' into 'master'
	Correct and harmonize swapping of internal 'tif_header' parameters.

	See merge request libtiff/libtiff!571

2024-03-24  Su Laus  <sulau@freenet.de>

	Correct and harmonize swapping of internal 'tif_header' parameters.

2024-03-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'chore/printf-format-specifiers' into 'master'
	chore: use correct format specifiers

	See merge request libtiff/libtiff!570

2024-03-19  Tom  <tom@msbit.com.au>

	chore: use correct format specifiers.
	When building on my Mac, I get the following warnings:

	    libtiff/tools/tiffcp.c:154:24: warning: format specifies type 'unsigned short' but the argument has type 'tdir_t' (aka 'unsigned int') [-Wformat]
	                    comma, nextImage);
	                           ^~~~~~~~~
	    libtiff/tools/tiffcp.c:1295:39: warning: format specifies type 'unsigned short' but the argument has type 'tdir_t' (aka 'unsigned int') [-Wformat]
	                      TIFFFileName(bias), TIFFCurrentDirectory(bias),
	                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~
	    libtiff/tools/tiffcp.c:1296:37: warning: format specifies type 'unsigned short' but the argument has type 'tdir_t' (aka 'unsigned int') [-Wformat]
	                      TIFFFileName(in), TIFFCurrentDirectory(in));
	                                        ^~~~~~~~~~~~~~~~~~~~~~~~
	    libtiff/tools/tiffcp.c:1303:37: warning: format specifies type 'unsigned short' but the argument has type 'tdir_t' (aka 'unsigned int') [-Wformat]
	                      TIFFFileName(in), TIFFCurrentDirectory(in));
	                                        ^~~~~~~~~~~~~~~~~~~~~~~~
	    libtiff/tools/tiffsplit.c:174:21: warning: format specifies type 'long long' but the argument has type 'size_t' (aka 'unsigned long') [-Wformat]
	                        path_len);
	                        ^~~~~~~~

	This updates the format specifiers from `PRIu16` to `PRIu32` for `tdir_t`
	(which is a `typedef`ed `uint32_t`) and from `TIFF_SSIZE_FORMAT` to
	`TIFF_SIZE_FORMAT` for `size_t`, which makes sense given that it's an unsigned
	type.

2024-03-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_628_FPE_at_TIFFhowmany' into 'master'
	Avoiding FPE (division by zero) for TIFFhowmany_32() and TIFFhowmany_64()...

	Closes #628

	See merge request libtiff/libtiff!568

2024-03-15  Su_Laus  <sulau@freenet.de>

	Avoiding FPE (division by zero) for TIFFhowmany_32() and TIFFhowmany_64() macros by checking for denominator not zero before macros are executed. Fixes #628.

2024-03-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_wrong_return_TIFFIsBigTIFF_if_swapping_case' into 'master'
	Fix wrong return of TIFFIsBigTIFF() in case byte-swapping is active

	See merge request libtiff/libtiff!567

2024-03-13  Su_Laus  <sulau@freenet.de>

	Fix wrong return of TIFFIsBigTIFF() in case byte-swapping is active (i.e. little endian image on a big endian machine).

2024-01-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Setting the TIFFFieldInfo field `set_field_type` should consider `field_writecount` not `field_readcount`

	See merge request libtiff/libtiff!544

2024-01-30  Timo Stüber  <omit66@gmail.com>

	Setting the TIFFFieldInfo field `set_field_type` should consider `field_writecount` not `field_readcount`
	In most of the cases the field_writecount and field_readcount of the TIFFFieldInfo are equal. But they do not have to be the same.

	I encountered this issues when using an older release of Pillow. Since they use custom fields for decoding only, they set the readcount value to 0. As the result _TIFFSetGetType can not identify the type correctly and set TIFF_SETGET_UNDEFINED.

	Error Message:
	```
	TIFFLib: _TIFFWriteDirectorySec(): Rational2Double: .set_field_type is not 4 but 1.
	```

	During the execution of TIFFMergeFieldInfo the fields get_field_type and set_field_type set. I guess the set_field_type should dependent on the field_writecount.

2024-01-24  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'avoid_memory_leaks_using_TIFFCreateDirectory' into 'master'
	Avoiding memory leaks when using TIFFCreateDirectory()

	See merge request libtiff/libtiff!563

2024-01-24  Su_Laus  <sulau@freenet.de>

	Avoiding memory leaks when using TIFFCreateDirectory() by releasing the allocated memory in the tif-structure.

2024-01-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'WIN32' into 'master'
	Use #ifdef _WIN32 to test for Windows, and tiffio.h: remove definition of __WIN32__

	See merge request libtiff/libtiff!562

2024-01-08  Even Rouault  <even.rouault@spatialys.com>

	test/raw_decode.c: remove likely ifdef tricks related to old compilers or unusual setups

	tif_jpeg.c/tif_ojpeg.c: remove likely ifdef tricks related to old compilers or unusual setups

	Remove _TIFFUInt64ToFloat() and _TIFFUInt64ToDouble()

	Remove support for _MSC_VER < 1500.

2024-01-07  Even Rouault  <even.rouault@spatialys.com>

	Use #ifdef _WIN32 to test for Windows, and tiffio.h: remove definition of __WIN32__

2023-12-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_579_non_terminated_ASCII_deletes_one_byte' into 'master'
	Fixed issue with non-terminated ASCII arrays where the last character is overwritten (fixes #579)

	Closes #579

	See merge request libtiff/libtiff!561

2023-12-20  Su_Laus  <sulau@freenet.de>

	For non-terminated ASCII arrays, the buffer is first enlarged before a NULL is set at the end to avoid deleting the last character. Fixes #579. Some editorials in tif_dir.c.

2023-12-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_624_check_TIFFCreateAnonField_return' into 'master'
	Fix 624: Check return value of _TIFFCreateAnonField()

	Closes #624

	See merge request libtiff/libtiff!560

2023-12-01  Su_Laus  <sulau@freenet.de>

	Check return value of _TIFFCreateAnonField().
	Fixes #624

2023-11-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFOpenOptionsSetMaxCumulatedMemAlloc' into 'master'
	Add TIFFOpenOptionsSetMaxCumulatedMemAlloc()

	See merge request libtiff/libtiff!556

2023-11-27  Even Rouault  <even.rouault@spatialys.com>

	Add TIFFOpenOptionsSetMaxCumulatedMemAlloc()
	This function complements ``TIFFOpenOptionsSetMaxSingleMemAlloc()`` to define the maximum cumulated memory allocations in byte, for a given TIFF handle, that libtiff internal memory allocation functions are allowed.

2023-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'unity_clang_fixes' into 'master'
	Fixes to avoid CLang warnings on unity builds

	See merge request libtiff/libtiff!558

2023-11-23  Even Rouault  <even.rouault@spatialys.com>

	Fixes to avoid CLang warnings on unity builds.

2023-11-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake_UNITY_BUILD' into 'master'
	Changes to allow building with cmake -DCMAKE_UNITY_BUILD=ON

	See merge request libtiff/libtiff!557

2023-11-22  Even Rouault  <even.rouault@spatialys.com>

	CI: test -DCMAKE_UNITY_BUILD=ON.

	Changes to allow building with cmake -DCMAKE_UNITY_BUILD=ON.

2023-11-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_506_TIFFClose_check_with_TIFFFlush' into 'master'
	manpage: Note on using TIFFFlush() before TIFFClose()

	Closes #506

	See merge request libtiff/libtiff!555

2023-11-16  Su_Laus  <sulau@freenet.de>

	manpage: Note on using TIFFFlush() before TIFFClose() to check that the data has been successfully written to the file.
	Closes #506

2023-11-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_621_TIFFOpenOptionsSetMaxSingleMemAlloc' into 'master'
	manpage: Update TIFF documentation about TIFFOpenOptions.rst and memory limiting.

	Closes #621

	See merge request libtiff/libtiff!553

2023-11-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'rectify_some_shadowed_declarations' into 'master'
	Rectify some shadowed declarations and warnings in tools and test modules.

	See merge request libtiff/libtiff!552

2023-11-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_TIFFRealloc_usage_to_TIFFReallocExt' into 'master'
	Change internally used _TIFFRealloc() to _TIFFReallocExt()

	See merge request libtiff/libtiff!554

2023-11-11  Su_Laus  <sulau@freenet.de>

	Change internally used _TIFFRealloc() to _TIFFReallocExt(), which respects the TIFFOpenOptionsSetMaxSingleMemAlloc() limit.

2023-11-11  Timothy Lyanguzov  <theta682@gmail.com>

	Fix typo.

2023-11-09  Su_Laus  <sulau@freenet.de>

	manpage: Update TIFF documentation about TIFFOpenOptions.rst and TIFFOpenOptionsSetMaxSingleMemAlloc() usage and some other small fixes.

2023-11-08  Su_Laus  <sulau@freenet.de>

	Rectify some shadowed declarations and warnings in tools and test modules.

2023-11-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_583' into 'master'
	tif_fax3.c: error out after a number of times end-of-file has been reached (fixes #583)

	Closes #583

	See merge request libtiff/libtiff!547

2023-11-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_622' into 'master'
	TIFFReadRGBAStrip/TIFFReadRGBATile: add more validation of col/row (fixes #622)

	Closes #622

	See merge request libtiff/libtiff!546

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'extra_limit_getfilesize' into 'master'
	tif_dirread.c: only issue TIFFGetFileSize() for large enough RAM requests

	See merge request libtiff/libtiff!551

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	tif_dirread.c: only issue TIFFGetFileSize() for large enough RAM requests

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFFetchDirectory_remove_useless_check' into 'master'
	TIFFFetchDirectory(): remove useless allocsize vs filesize check

	See merge request libtiff/libtiff!550

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	TIFFFetchDirectory(): remove useless allocsize vs filesize check.
	CoverityScan rightly points that the max value for dircount16 * dirsize
	is 4096 * 20. That's small enough not to do any check

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'limit_getfilesize' into 'master'
	tif_dirread.c: only issue TIFFGetFileSize() for large enough RAM requests

	See merge request libtiff/libtiff!549

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	tif_dirread.c: only issue TIFFGetFileSize() for large enough RAM requests
	Amends 5320c9d89c054fa805d037d84c57da874470b01a

	This fixes a performance regression caught by the GDAL regression test
	suite.

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_dirread-typo' into 'master'
	tif_dirread.c: Fix typo: greather -> greater

	See merge request libtiff/libtiff!548

2023-10-31  Kurt Schwehr  <schwehr@google.com>

	tif_dirread.c: Fix typo: greather -> greater.

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_614_check_mem_allocation_vs_filelength' into 'master'
	Prevent some out-of-memory attacks

	See merge request libtiff/libtiff!545

2023-10-31  Su Laus  <sulau@freenet.de>

	Prevent some out-of-memory attacks.
	Some small fuzzer files fake large amounts of data and provoke out-of-memory situations. For non-compressed data content / tags, out-of-memory can be prevented by comparing with the file size.

	At image reading, data size of some tags / data structures (StripByteCounts, StripOffsets, StripArray, TIFF directory) is compared with file size to prevent provoked out-of-memory attacks.

	See issue https://gitlab.com/libtiff/libtiff/-/issues/614#note_1602683857

2023-10-31  Even Rouault  <even.rouault@spatialys.com>

	tif_fax3.c: error out after a number of times end-of-file has been reached (fixes #583)

	TIFFReadRGBAStrip/TIFFReadRGBATile: add more validation of col/row (fixes #622)

2023-10-30  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_failed_subdirectory_read' into 'master'
	#618: ensure absolute seeking is forced independent

	See merge request libtiff/libtiff!543

2023-10-25  Manuel Massing  <m.massing@virtualities.de>

	#618: ensure absolute seeking is forced independent of TIFFReadDirectory success.
	This fixes TIFFSetDirectory calls for the case where
	TIFFReadDirectory was unsuccessful.

2023-10-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake' into 'master'
	CMake: Fix TIFF_INCLUDE_DIRS

	See merge request libtiff/libtiff!541

2023-10-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_616' into 'master'
	tif_lzw.c: avoid warning about misaligned address with UBSAN (fixes #616)

	Closes #616

	See merge request libtiff/libtiff!542

2023-10-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_cancel_ycbcr' into 'master'
	tiffcp: replace PHOTOMETRIC_YCBCR with PHOTOMETRIC_RGB when outputting to...

	See merge request libtiff/libtiff!540

2023-10-12  Even Rouault  <even.rouault@spatialys.com>

	tif_lzw.c: avoid warning about misaligned address with UBSAN (fixes #616)
	The branch suppressed by this commit wasn't useful as I've verified that
	with -O2 and -O3 and gcc or clang, doing a memcpy() + _byteswap_uint64()
	generates exactly the same code as _byteswap_uint64(*ptr).
	The warning with UBSAN thus only comes from UBSAN generating special code
	to catch the misalignment, but is unlikely to cause any issue in
	practice given the above observation.

2023-10-12  Julien Schueller  <schueller@phimeca.com>

	CMake: Fix TIFF_INCLUDE_DIRS.

2023-10-08  Even Rouault  <even.rouault@spatialys.com>

	tiffcp: preserve TIFFTAG_REFERENCEBLACKWHITE when doing YCbCr JPEG -> YCbCr JPEG

2023-10-07  Even Rouault  <even.rouault@spatialys.com>

	tiffcp: replace PHOTOMETRIC_YCBCR with PHOTOMETRIC_RGB when outputting to compression != JPEG (refs #571)

2023-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'kmilos-master-patch-42063' into 'master'
	CMake: MinGW compilers don't need a .def file for shared library

	See merge request libtiff/libtiff!448

2023-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'kmilos-master-patch-64997' into 'master'
	CMake: move libdeflate and Lerc to Requires.private

	See merge request libtiff/libtiff!536

2023-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'clarify_archive' into 'master'
	Doc: clarify unsupported (still in tarball) and archived (only in git) utilities

	See merge request libtiff/libtiff!532

2023-10-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_571_alternative' into 'master'
	tiffcp: Setting the correct photometric interpretation for the output image...

	Closes #571

	See merge request libtiff/libtiff!539

2023-10-04  Even Rouault  <even.rouault@spatialys.com>

	tiffcp: do not copy tags YCBCRCOEFFICIENTS, YCBCRSUBSAMPLING, YCBCRPOSITIONING, REFERENCEBLACKWHITE. Only set TIFFTAG_YCBCRSUBSAMPLING when generating YCbCr JPEG

	tiffcp: Setting the correct photometric interpretation for the output image when converting JPEG-YCBCR to JPEG-RGB images.
	Closes #571

2023-09-28  Miloš Komarčević  <miloskomarcevic@aim.com>

	CMake: move libdeflate and Lerc to Requires.private.

2023-09-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'kmilos-windres' into 'master'
	CMake: enable resource compilation on all Windows

	See merge request libtiff/libtiff!537

2023-09-27  Miloš Komarčević  <miloskomarcevic@aim.com>

	CMake: enable resource compilation on all Windows.

2023-09-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_608' into 'master'
	tif_dirinfo.c: re-enable TIFFTAG_EP_CFAREPEATPATTERNDIM and TIFFTAG_EP_CFAPATTERN tags (fixes #608)

	Closes #608

	See merge request libtiff/libtiff!534

2023-09-15  Even Rouault  <even.rouault@spatialys.com>

	tif_dirinfo.c: re-enable TIFFTAG_EP_CFAREPEATPATTERNDIM and TIFFTAG_EP_CFAPATTERN tags (fixes #608)

2023-09-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_606_tiffcp_check_also_input_compression_codec' into 'master'
	tiffcp: Fixes #606. Check also codec of input image, not only from output image.

	Closes #606

	See merge request libtiff/libtiff!533

2023-09-09  Su_Laus  <sulau@freenet.de>

	Check also if codec of input image is available, independently from codec check of output image and return with error if not. Fixes #606.

2023-09-08  Even Rouault  <even.rouault@spatialys.com>

	Doc: clarify unsupported (still in tarball) and archived (only in git) utilities

2023-09-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'update_release_date' into 'master'
	Update RELEASE-DATE

	See merge request libtiff/libtiff!531

2023-09-08  Even Rouault  <even.rouault@spatialys.com>

	Update RELEASE-DATE.

2023-09-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_605' into 'master'
	autoconf.ac: fix detection of windows.h for mingw (fixes #605)

	Closes #605

	See merge request libtiff/libtiff!530

2023-09-07  Even Rouault  <even.rouault@spatialys.com>

	autoconf.ac: fix detection of windows.h for mingw (fixes #605)

2023-09-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'prepare_v4_6_0' into 'master'
	Prepare for libtiff 4.6.0 release

	See merge request libtiff/libtiff!528

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	doc/index.rst: add warning about tools removal.

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_603_readme_doc_reference_update' into 'master'
	Update documentation reference within README.md. Fixes #603.

	Closes #603

	See merge request libtiff/libtiff!529

2023-09-05  Su_Laus  <sulau@freenet.de>

	Update documentation reference within README.md. Fixes #603.

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	Fix references to mailing list.

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.6.0 released

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_600' into 'master'
	CMake: fix build with -Dstrip-chopping=off (fixes #600)

	See merge request libtiff/libtiff!527

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'georgthegreat-master-patch-87447' into 'master'
	Fix using __attribute__ libtiff with clang-for-windows

	See merge request libtiff/libtiff!525

2023-09-05  Yuriy Chernyshov  <georgthegreat@gmail.com>

	Fix using __attribute__ libtiff with clang-for-windows.

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_TIFFField_docu_update' into 'master'
	manpages: TiffField functions documentation updated with return behaviour for...

	See merge request libtiff/libtiff!526

2023-09-05  Even Rouault  <even.rouault@spatialys.com>

	CMake: fix build with -Dstrip-chopping=off (fixes #600)

2023-09-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'consistently_update_TIFF-version_from_configure-ac' into 'master'
	Update CMake and autoconf scripts to consistently update LibTIFF version...

	See merge request libtiff/libtiff!456

2023-09-03  Su Laus  <sulau@freenet.de>

	Update CMake and autoconf scripts to consistently update LibTIFF version defines and references in various files when version definition in configure.ac has been changed.
	- Move in tiffvers.h from .\libtiff source directory to .\libtiff  build directory.
	- Remove unused version information from tif_config.h
	- With every CMake build the version defines (e.g. 4.5.1) within tiffvers.h are consistently updated from configure.ac. The version release-date is taken from file RELEASE-DATE.
	- The files VERSION and RELEASE-DATE are only updated with a special CMake target build: cmake --build . --target tiff_release.

	- For autotools, version information is updated from configure.ac with ./autogen.sh. LIBTIFF_RELEASE_DATE is taken form file RELEASE-DATE.
	- ./configure generates tiffvers.h with the cached version information and LIBTIFF_RELEASE_DATE.
	- "make release" updates tiffvers.h and VERSION file with cached version info and RELEASE-DATE file and tiffves.h with the current date.

2023-08-28  Su_Laus  <sulau@freenet.de>

	manpages: TiffField functions documentation updated with return behaviour for not defined tags and determination of write-/read-count size.

2023-08-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'change_long_to_int32_t_in_two_test_apps' into 'master'
	Change "long" to "int32_t" in two test apps, because can be either int32_t or...

	See merge request libtiff/libtiff!524

2023-08-21  Su_Laus  <sulau@freenet.de>

	Change "long" to "int32_t" in two test apps, because can be either int32_t or int64_t, depending on compiler and system.

2023-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'CI_CMake_static_build' into 'master'
	Add static build for CI/CD to run testcases which need private interface functions.

	See merge request libtiff/libtiff!521

2023-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_#597_tiffset_different_signedness' into 'master'
	tiffset fix #597: warning: comparison of integer expressions of different signedness.

	Closes #597

	See merge request libtiff/libtiff!523

2023-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_remove_i_option' into 'master'
	tiffcp: remove -i option (ignore errors)

	See merge request libtiff/libtiff!522

2023-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'move_tools_to_unsupported_a_archive' into 'master'
	Move most TIFF tools to archive and keep some as unsupported (see #580).

	See merge request libtiff/libtiff!520

2023-08-16  Su Laus  <sulau@freenet.de>

	Move most TIFF tools to archive and keep some as unsupported (see #580).

2023-08-12  Su_Laus  <sulau@freenet.de>

	Add static build for CI/CD to run testcases which need private interface functions.

	tiffset fix #597: warning: comparison of integer expressions of different signedness.

	Remove -i option (ignore errors) from tiffcp, because almost all fuzzer issues were consequential errors from ignored errors because of the "-i" option.

2023-08-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_585_test_write_read_tags_autoconf' into 'master'
	Add missing test_write_read_tags.c and test_transferfunction_write_read.c in...

	Closes #585

	See merge request libtiff/libtiff!519

2023-07-24  Even Rouault  <even.rouault@spatialys.com>

	Fix copy paste error.

2023-07-23  Su_Laus  <sulau@freenet.de>

	Add missing test_write_read_tags.c and test_transferfunction_write_read.c in tarball (fixes #585) and correct „long“ issue.
	Don't use "long" because can be int32_t or int64_t, depending on compiler and system.

2023-07-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'clang-format-tools' into 'master'
	Automatically format with clang-format

	See merge request libtiff/libtiff!518

2023-07-20  Timothy Lyanguzov  <timothy.lyanguzov@sap.com>

	Automatically format with clang-format.

2023-07-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_589' into 'master'
	TiffConfig.cmake.in: set TIFF_INCLUDE_DIR, TIFF_INCLUDE_DIRS and...

	Closes #589

	See merge request libtiff/libtiff!514

2023-07-20  Even Rouault  <even.rouault@spatialys.com>

	TiffConfig.cmake.in: set TIFF_INCLUDE_DIR, TIFF_INCLUDE_DIRS and...

2023-07-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master-patch-6fc6' into 'master'
	raw2tiff: fix integer overflow and bypass of the check (fixes #592)

	See merge request libtiff/libtiff!516

2023-07-19  Arie Haenel  <arie.haenel@jct.ac.il>

	raw2tiff: fix integer overflow and bypass of the check (fixes #592)

2023-07-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master-patch-05a4' into 'master'
	tiffcp: fix memory corruption (overflow) on hostile images (fixes #591)

	See merge request libtiff/libtiff!515

2023-07-19  Arie Haenel  <arie.haenel@jct.ac.il>

	tiffcp: fix memory corruption (overflow) on hostile images (fixes #591)

2023-07-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-numtrunc' into 'master'
	fix numtrunc at tiff_dirread.c

	See merge request libtiff/libtiff!512

2023-07-17  headshog  <craaaaaachind@gmail.com>

	TIFFReadDirectoryCheckOrder: avoid integer overflow.
	When it occurs, it should be harmless in practice though

2023-07-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'webp_lossless_exact' into 'master'
	WebP codec: turn exact mode when creating lossless files to avoid altering...

	See merge request libtiff/libtiff!511

2023-07-11  Even Rouault  <even.rouault@spatialys.com>

	WebP codec: turn exact mode when creating lossless files to avoid altering R,G,B values in areas where alpha=0
	Fixes https://github.com/OSGeo/gdal/issues/8038

2023-07-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'webp_reg_fix' into 'master'
	WebP decoder: fix error when reading a 3-band blob in a RGBA image

	See merge request libtiff/libtiff!510

2023-07-05  Even Rouault  <even.rouault@spatialys.com>

	WebP decoder: fix error when reading a 3-band blob in a RGBA image.
	Fixes regression of 350ff161c8a61b6483a1e4689e09cd47dd0dd5f9 (master only)

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'appveyor_fix' into 'master'
	.appveyor.yml: workaround build error

	See merge request libtiff/libtiff!509

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	.appveyor.yml: workaround build error.

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_webp_warning_fixes' into 'master'
	tif_webp.c: fix signed vs unsigned comparison warnings (fix previous commit)

	See merge request libtiff/libtiff!508

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	tif_webp.c: fix signed vs unsigned comparison warnings (fix previous commit)

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_TransferFunction_writing' into 'master'
	Fix TransferFunction writing of only two transfer functions.

	See merge request libtiff/libtiff!502

2023-06-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_581_582' into 'master'
	WebP decoder: validate WebP blob width, height, band count against TIFF parameters

	Closes #582 et #581

	See merge request libtiff/libtiff!507

2023-06-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'warning_cmake_config_file' into 'master'
	v4.5.1 release note: add warning about CMake config file being preview

	See merge request libtiff/libtiff!506

2023-06-17  Even Rouault  <even.rouault@spatialys.com>

	WebP decoder: validate WebP blob width, height, band count against TIFF parameters
	to avoid use of uninitialized variable, or decoding corrupted content
	without explicit error

	Fixes #581, fixes #582

2023-06-15  Even Rouault  <even.rouault@spatialys.com>

	v4.5.1 release note: add warning about CMake config file being preview.

2023-06-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'HOWTO-RELEASE-gitlab-release' into 'master'
	HOWTO-RELEASE: mention creating a gitlab release

	See merge request libtiff/libtiff!505

2023-06-14  Even Rouault  <even.rouault@spatialys.com>

	HOWTO-RELEASE: mention creating a gitlab release.

2023-06-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFOpenWExt_O_RDWR' into 'master'
	TIFFOpenWExt(): mode r+ in the Windows implementation adjusted to that of Linux

	See merge request libtiff/libtiff!504

2023-06-10  Even Rouault  <even.rouault@spatialys.com>

	TIFFOpenWExt(): mode r+ in the Windows implementation adjusted to that of Linux

2023-06-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_ossfuzz_59751' into 'master'
	TIFFReadDirectory(): fix crash when reading tag TIFFTAG_EP_BATTERYLEVEL

	See merge request libtiff/libtiff!503

2023-06-10  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadDirectory(): fix crash when reading tag TIFFTAG_EP_BATTERYLEVEL.
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=59751

	In 738e0409 (refs #575), we disabled DNG / EP tags, but there was a
	special processing for TIFFTAG_EP_BATTERYLEVEL that must be disabled
	since the tag is no longer defined.

2023-06-09  Su_Laus  <sulau@freenet.de>

	Fix TransferFunction writing of only two transfer functions. The TIFFWriteDirectoryTagTransferfunction() function writes in some cases only two transfer functions, although only exactly one or exactly three transfer functions are allowed. This then leads to an error when reading. --> TIFFReadDirectory: Warning, Incorrect count for "TransferFunction"; tag ignored.
	This MR corrects the behaviour of TIFFWriteDirectoryTagTransferfunction() accordingly. Furthermore, a possible buffer overflow is avoided.

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_win_build' into 'master'
	Fix Windows build

	Closes #578

	See merge request libtiff/libtiff!501

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	cmake/PkgConfig.cmake: avoid CMake error when prefix or suffix is empty.

	Add tif_win32_versioninfo.rc and tif_tools_versioninfo.rc to EXTRA_DIST.

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_coverity_build' into 'master'
	build/gitlab-ci: fix coverity_build()

	See merge request libtiff/libtiff!499

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	build/gitlab-ci: fix coverity_build()

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'v4.5.1rc1_preparation' into 'master'
	Prepare release 4.5.1

	See merge request libtiff/libtiff!498

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Prepare for v4.5.1 release.

	Merge remote-tracking branch 'sulaus/Rel_4.5.1_preparation'

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'disable_dng_tags' into 'master'
	tif_dirinfo.c: disable DNG 1.2->1.6 tags

	Closes #575

	See merge request libtiff/libtiff!497

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_577' into 'master'
	CMake related fixes

	Closes #577

	See merge request libtiff/libtiff!496

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.5.1 released

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge remote-tracking branch 'sulaus/Rel_4.5.1_preparation'

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'disable_dng_tags' into 'master'
	tif_dirinfo.c: disable DNG 1.2->1.6 tags

	Closes #575

	See merge request libtiff/libtiff!497

2023-06-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_577' into 'master'
	CMake related fixes

	Closes #577

	See merge request libtiff/libtiff!496

2023-06-07  Even Rouault  <even.rouault@spatialys.com>

	tif_dirinfo.c: disable DNG 1.2->1.6 tags.
	They were added per b90b20d36d7833f54a1f3014c324f6c21b988006 but it has
	been found in https://gitlab.com/libtiff/libtiff/-/issues/575 that it
	could cause compatibility issues with libtiff users, so this addition
	should be deferred for a feature release (likely 4.6.0) and not a patch one.

	Fixes #575

2023-06-06  Timothy Lyanguzov  <theta682@gmail.com>

	Apply 1 suggestion(s) to 1 file(s)

2023-06-05  Even Rouault  <even.rouault@spatialys.com>

	CI: add testing of find_package(Tiff CONFIG)

	CMake: export TiffConfig.cmake and TiffConfigVersion.cmake files.

	libtiff/CMakeLists.txt: fix export of INTERFACE_INCLUDE_DIRECTORIES.

	libtiff/CMakeLists.txt: correctly define TIFF::tiff alias (fixes #577)

2023-06-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFField_downgrade_errors_to_warnings' into 'master'
	TIFFFieldWithName() and TIFFFieldWithTag() downgrade errors to warnings.

	See merge request libtiff/libtiff!495

2023-05-28  Su_Laus  <sulau@freenet.de>

	TIFFFieldWithName() and TIFFFieldWithTag() downgrade errors to warnings. see https://gitlab.com/libtiff/libtiff/-/issues/575#note_1407633888

2023-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'bebuch-master-patch-58347' into 'master'
	check if upstream lzma (xz) config was used and bind to it if so

	See merge request libtiff/libtiff!494

2023-05-25  Benjamin Buch  <benni.buch@gmail.com>

	check if upstream lzma (xz) config was used and bind to it if so.

2023-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'upstream-zstd-config' into 'master'
	check if upstream zstd config was used and bind to it if so

	See merge request libtiff/libtiff!493

2023-05-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake_FindDeflate_bugs_see_526' into 'master'
	CMake: FindDeflate several errors fixed (see #526)

	See merge request libtiff/libtiff!491

2023-05-24  Su_Laus  <sulau@freenet.de>

	CMake: FindDeflate several errors (see #526)
	There are CMake issues if the library is not included in the environment path and only set with CMake -D option.
	- For FindDeflate.cmake, FindJBIG.cmake, FindLERC.cmake, FindWebP.cmake, FindZSTD.cmake:
	  Set IMPORTED_LOCATION (without debug or release) if neither <library>_LIBRARY_RELEASE nor <library>_LIBRARY_DEBUG were set.
	- FindDeflate.cmake: Correct code to retrieve library version information from libdeflate.h
	- FindLERC.cmake version string return added.

2023-05-24  Benjamin Buch  <benni.buch@gmail.com>

	prefer shared over static.

	check if upstream zstd config was used and bind to it if so.

2023-05-24  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	make WebP component name compatible with upstream ConfigWebP.cmake

	See merge request libtiff/libtiff!492

2023-05-24  Benjamin Buch  <benni.buch@gmail.com>

	CMake: make WebP component name compatible with upstream ConfigWebP.cmake

2023-05-18  Su_Laus  <sulau@freenet.de>

	Prepare release 4.5.1 - Update till 18.05.23 after fix_559_DNG_1.6_passcount_error

	Prepare release 4.5.1.

2023-05-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_559_DNG_1.6_passcount_error' into 'master'
	Fix #559 DNG 1.6 passcount assertion

	Closes #574 et #559

	See merge request libtiff/libtiff!489

2023-05-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_557_TagExtender_for_CustomDirectories_not_possible' into 'master'
	manpage: TIFFSetTagExtender() cannot add tags to custom directories. Closes #557.

	Closes #557

	See merge request libtiff/libtiff!490

2023-05-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_559_DNG_1.6_passcount_error' into 'master'
	Fix #559 DNG 1.6 passcount assertion

	Closes #574 et #559

	See merge request libtiff/libtiff!489

2023-05-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_557_TagExtender_for_CustomDirectories_not_possible' into 'master'
	manpage: TIFFSetTagExtender() cannot add tags to custom directories. Closes #557.

	Closes #557

	See merge request libtiff/libtiff!490

2023-05-17  Su_Laus  <sulau@freenet.de>

	Documentation update: TIFFSetTagExtender() cannot add tags to custom directories.
	Closes #557.

2023-05-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_558' into 'master'
	Hardcode HOST_FILLORDER to FILLORDER_LSB2MSB, and make 'H' flag of TIFFOpen()...

	See merge request libtiff/libtiff!488

2023-05-16  Su_Laus  <sulau@freenet.de>

	Fix #559 DNG 1.6 passcount assertion.
	Amend DNG tags definition introduced with MR 482:
	- DNG 1.6 tags specified as UTF-8 strings are defined as variable TIFF_BYTE with  passcount=TRUE.
	- For all tags with TIFF_SETGET_C32_UINT8 the readcount and writecount were corrected to -3 (TIFF_VARIABLE2).

	Testprogram to write and read all tags defined within LibTIFF is introduced.
	It also checks for valid passcount flag setting for the defined tags but some special tags are excluded from that check.

	Closes #559.

2023-05-09  Even Rouault  <even.rouault@spatialys.com>

	Hardcode HOST_FILLORDER to FILLORDER_LSB2MSB, and make 'H' flag of TIFFOpen() to warn and an alias of FILLORDER_MSB2LSB

	tif_lerc.c: use WORDS_BIGENDIAN instead of HOST_BIGENDIAN.

2023-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_484_TIFFDirectory_32_64_bit' into 'master'
	Fix 484 TIFFDirectory td_fieldsset uses unsigned long which can be 32 or 64 bits.

	Closes #484

	See merge request libtiff/libtiff!471

2023-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'DNG_1.6_EP_tags' into 'master'
	Add DNG tags up to version 1.6.0.0 and some TIFF/EP tags and update documentation

	See merge request libtiff/libtiff!482

2023-05-07  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue547' into 'master'
	do not install libtiff-4.pc when tiff-install is reset

	Closes #547

	See merge request libtiff/libtiff!481

2023-05-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_548' into 'master'
	LZWDecode(): avoid crash when trying to read again from a strip with a...

	Closes #548

	See merge request libtiff/libtiff!484

2023-05-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_553_multi-image-errors' into 'master'
	tiffcrop: fix 553 by considering error return of writeSelections()

	Closes #553

	See merge request libtiff/libtiff!485

2023-05-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_ojpeg_fix-554_FPE' into 'master'
	tif_ojpeg.c fix 554 by checking for division by zero

	Closes #554

	See merge request libtiff/libtiff!486

2023-05-06  Su Laus  <sulau@freenet.de>

	tif_ojpeg.c fix 554 by checking for division by zero.

2023-05-05  Su_Laus  <sulau@freenet.de>

	Consider error return of writeSelections(). Fixes #553.

2023-04-29  Even Rouault  <even.rouault@spatialys.com>

	LZWDecode(): avoid crash when trying to read again from a strip with a missing end-of-information marker (fixes #548)

2023-04-25  Su_Laus  <sulau@freenet.de>

	Add DNG tags up to version 1.6.0.0 and some TIFF/EP tags and update documentation
	Amend MR !337 'Add support for DNG tags up to version 1.6.0.0 and some TIFF/EP tags' from Sami Liedes:
	- Set most tags to OkToChange=1.
	- Define BATTERYLEVEL tag as ASCII and convert values of rational variant to ASCII.
	- TIFF documentation updated for tags recognized by LibTiff (DNG 1.6 and others).
	- TIFF/EP tags added, which are equivalent to EXIF tags. This addresses part of #418 as well.
	- Definition of tags reformatted (clang-format off) for better readability of tag comments in tiff.h and tif_dirinfo.c

2023-04-23  Roman  <kosobrodov@fastmail.fm>

	do not install libtiff-4.pc when tiff-install is reset.

2023-04-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'mymaster1' into 'master'
	fix runtime error: applying zero offset to null pointer

	See merge request libtiff/libtiff!479

2023-04-21  xiaoxiaoafeifei  <lliangliang2007@163.com>

	countInkNamesString(): fix `UndefinedBehaviorSanitizer`: applying zero offset to null pointer

2023-03-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_ovrcache_TIFFSetSubDirectory' into 'master'
	tif_ovrcache.c: check TIFFSetSubDirectory() return value (CID 1524573)

	See merge request libtiff/libtiff!478

2023-03-26  Even Rouault  <even.rouault@spatialys.com>

	tif_ovrcache.c: check TIFFSetSubDirectory() return value (CID 1524573)

2023-03-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'even_faster_setdirectory_with_IFDlist' into 'master'
	Even faster TIFFSetDirectory() using IFD list.

	See merge request libtiff/libtiff!477

2023-03-26  Su Laus  <sulau@freenet.de>

	Even faster TIFFSetDirectory() using IFD list.

2023-03-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'faster-setdirectory_newMR' into 'master'
	Optimize relative seeking with TIFFSetDirectory

	See merge request libtiff/libtiff!474

2023-03-12  Su Laus  <sulau@freenet.de>

	Optimize relative seeking with TIFFSetDirectory.

2023-03-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Fix memory leak in tiffcrop.c

	See merge request libtiff/libtiff!475

2023-03-08  zhailiangliang  <zhailiangliang@loongson.cn>

	Fix memory leak in tiffcrop.c.

2023-02-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'skip-thumbnail-test' into 'master'
	test: avoid running tool tests if not built

	Closes #421

	See merge request libtiff/libtiff!334

2023-02-22  Sam James  <sam@gentoo.org>

	test (cmake): skip script tests if tools aren't built.
	In Gentoo, we avoid building the tools for multilib (32-bit, x86) builds on
	amd64/x86_64 because we only need the library to keep binary applications working.

	This causes a test failure in e.g. tiffcp-thumbnail.sh as the 'thumbnail'
	binary isn't built. Skip it if unavailable.

	Fixes: https://gitlab.com/libtiff/libtiff/-/issues/421

2023-02-22  Sam James  <sam@gentoo.org>

	test (autotools): skip script tests if tools aren't built.
	In Gentoo, we avoid building the tools for multilib (32-bit, x86) builds on
	amd64/x86_64 because we only need the library to keep binary applications working.

	This causes a test failure in e.g. tiffcp-thumbnail.sh as the 'thumbnail'
	binary isn't built. Skip it if unavailable.

	Fixes: https://gitlab.com/libtiff/libtiff/-/issues/421

2023-02-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_Unlink_first_directory_0' into 'master'
	Fix TIFFUnlinkDirectory(0) case and unlink of first directory.

	See merge request libtiff/libtiff!460

2023-02-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_luv_check_NaN_fix_#530' into 'master'
	tif_luv: Check and correct for NaN data in uv_encode().

	Closes #530

	See merge request libtiff/libtiff!473

2023-02-16  Su_Laus  <sulau@freenet.de>

	tif_luv: Check and correct for NaN data in uv_encode().
	Closes #530

	See merge request !473

2023-02-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_dont_reuse_input_buffer_fix_527' into 'master'
	tiffcrop: Do not reuse input buffer for subsequent images. Fix issue 527

	Closes #527

	See merge request libtiff/libtiff!472

2023-02-14  Su_Laus  <sulau@freenet.de>

	tiffcrop: Do not reuse input buffer for subsequent images. Fix issue 527
	Reuse of read_buff within loadImage() from previous image is quite unsafe, because other functions (like rotateImage() etc.) reallocate that buffer with different size without updating the local prev_readsize value.

	Closes #527

2023-02-08  Su_Laus  <sulau@freenet.de>

	Fix 484 TIFFDirectory td_fieldsset uses unsigned long which can be 32 or 64 bits.
	Closes #484

2023-02-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'test_ifd_loop_detection_fix_CoverityScan_ln_55' into 'master'
	test_ifd_loop_detection: fix Coverity Scan issue CID 1520750: Null pointer...

	See merge request libtiff/libtiff!470

2023-02-08  Su_Laus  <sulau@freenet.de>

	test_ifd_loop_detection: fix Coverity Scan issue CID 1520750: Null pointer dereferences (NULL_RETURNS) line 55.

2023-02-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_CoverityScan_line_9676' into 'master'
	Fix Coverity Scan issue CID 1520761: Integer handling issues...

	See merge request libtiff/libtiff!469

2023-02-06  Su_Laus  <sulau@freenet.de>

	Fix Coverity Scan issue CID 1520761: Integer handling issues (OVERFLOW_BEFORE_WIDEN) tiffcrop.c: 9676 in rotateImage()

2023-02-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_R270_fix#492' into 'master'
	tiffcrop: Amend rotateImage() not to toggle the input (main) image width and...

	Closes #519, #518, #499, #495, #494, #493 et #492

	See merge request libtiff/libtiff!465

2023-02-05  Su_Laus  <sulau@freenet.de>

	tiffcrop: Amend rotateImage() not to toggle the input (main) image width and length parameters when only cropped image sections are rotated. Remove buffptr from region structure because never used.
	Closes #492 #493 #494 #495 #499 #518 #519

2023-02-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_correctly_update_buffersize_after_rotate_fix#520' into 'master'
	tiffcrop correctly update buffersize after rotateImage() fix#520

	Closes #520

	See merge request libtiff/libtiff!467

2023-02-05  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_composite_image_assumption_test_fix#496' into 'master'
	tiffcrop: added check for assumption on composite images (fixes #496)

	Closes #501, #500, #498, #497 et #496

	See merge request libtiff/libtiff!466

2023-02-05  Su Laus  <sulau@freenet.de>

	tiffcrop: added check for assumption on composite images (fixes #496)
	tiffcrop: For composite images with more than one region, the combined_length or combined_width always needs to be equal, respectively. Otherwise, even the first section/region copy action might cause buffer overrun. This is now checked before the first copy action.

	Closes #496, #497, #498, #500, #501.

2023-02-04  Su_Laus  <sulau@freenet.de>

	tiffcrop correctly update buffersize after rotateImage() fix#520  -- enlarge buffsize and check integer overflow within rotateImage().

2023-02-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'test_subidf_loop' into 'master'
	test_ifd_loop_detection: Added test to check loops in SubIFDs that are chained.

	See merge request libtiff/libtiff!464

2023-02-04  Su Laus  <sulau@freenet.de>

	test_ifd_loop_detection: Added test to check loops in SubIFDs that are chained.

2023-02-04  Su_Laus  <sulau@freenet.de>

	Fix TIFFUnlinkDirectory(0) case and unlink of first directory.
	If directory number 0 is unlinked, then the base offset variables within LibTiff are not updated. As a result, a subsequent TIFFSetDirectory() first goes to the unlinked former directory  number 0.

	In addition, the error case for dirn=0 is handled.

	This MR fixes that by updating the base offset variables  tif->tif_header.classic.tiff_diroff and tif->tif_header.big.tiff_diroff.

2023-02-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TiffClose_NULL_ptr_dereferencing_fix_515' into 'master'
	TIFFClose() avoid NULL pointer dereferencing. fix#515

	Closes #515

	See merge request libtiff/libtiff!468

2023-02-03  Su_Laus  <sulau@freenet.de>

	TIFFClose() avoid NULL pointer dereferencing. fix#515.
	Closes #515

	tiffcrop correctly update buffersize after rotateImage() fix#520 rotateImage() set up a new buffer and calculates its size individually. Therefore, seg_buffs[] size needs to be updated accordingly. Before this fix, the seg_buffs buffer size was calculated with a different formula than within rotateImage().
	Closes #520.

2023-01-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'add_windows_DLL_versioninfo' into 'master'
	Add versioninfo resource files for DLL and tools compiled with Windows MSVC and MINGW.

	See merge request libtiff/libtiff!455

2023-01-25  Su Laus  <sulau@freenet.de>

	Add versioninfo resource files for DLL and tools compiled with Windows MSVC and MINGW.

2023-01-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_hash_set_order_include' into 'master'
	tif_hash_set.c: include tif_hash_set.h after tif_config.h to let a chance for...

	See merge request libtiff/libtiff!462

2023-01-22  Even Rouault  <even.rouault@spatialys.com>

	tif_hash_set.c: include tif_hash_set.h after tif_config.h to let a chance for GDAL symbol renaming trick

2023-01-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_513' into 'master'
	Fax3: fix failure to decode some fax3 images (fixes #513)

	Closes #513

	See merge request libtiff/libtiff!461

2023-01-21  Even Rouault  <even.rouault@spatialys.com>

	Add test for Fax3 decoding issues (refs #513)

2023-01-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_#488' into 'master'
	tiffcrop: Correct simple copy paste error. Fix #488.

	Closes #488

	See merge request libtiff/libtiff!459

2023-01-21  Su Laus  <sulau@freenet.de>

	tiffcrop: Correct simple copy paste error. Fix #488.

2023-01-21  Even Rouault  <even.rouault@spatialys.com>

	Fax3: fix failure to decode some fax3 images (fixes #513)
	Patch by @jsummers26

2023-01-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffmedian_fix_#477' into 'master'
	tiffmedian: avoid zero num_colors, fixes #477

	Closes #477

	See merge request libtiff/libtiff!458

2023-01-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fax2ps_fixes_#475' into 'master'
	fax2ps: fixes #475 buffer overflow in qsort function pcompar.

	Closes #475

	See merge request libtiff/libtiff!457

2023-01-12  Su_Laus  <sulau@freenet.de>

	tiffmedian: avoid zero num_colors, fixes #477.

	fax2ps: fixes #475 buffer overflow in qsort function pcompar.

2023-01-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_241_tiffset_file_size_limit' into 'master'
	tiffset: get filesize to allocate only the required memory. Fixes issue #241

	Closes #241

	See merge request libtiff/libtiff!451

2023-01-09  Su Laus  <sulau@freenet.de>

	tiffset: get filesize to allocate only the required memory. Fixes issue #241

2023-01-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '_TIFFCleanupIFDOffsetAndNumberMaps' into 'master'
	Add _TIFFCleanupIFDOffsetAndNumberMaps() and call it from TIFFUnlinkDirectory()

	See merge request libtiff/libtiff!454

2023-01-06  Even Rouault  <even.rouault@spatialys.com>

	Remove use of tif_dirnumber.

	TIFFSetSubDirectory(): call _TIFFCleanupIFDOffsetAndNumberMaps()

	struct tiff: remove unused tif_dirlistoff.

	TIFFUnlinkDirectory(): reset tif_dirnumber.

	Add _TIFFCleanupIFDOffsetAndNumberMaps() and call it from TIFFUnlinkDirectory()

2022-12-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake_in_files_formatting_sensitive' into 'master'
	Disable clang-formatting for tif_config.h.cmake.in and tiffconf.h.cmake.in...

	See merge request libtiff/libtiff!452

2022-12-28  Su_Laus  <sulau@freenet.de>

	Disable clang-formatting for tif_config.h.cmake.in and tiffconf.h.cmake.in because sensitive for CMake scripts. - explanation added

2022-12-26  Su_Laus  <sulau@freenet.de>

	Disable clang-formatting for tif_config.h.cmake.in and tiffconf.h.cmake.in because sensitive for CMake scripts.

2022-12-19  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_multi-page-TIFF' into 'master'
	manpage: Add multi page TIFF and SubIFDs description and read / write example.

	See merge request libtiff/libtiff!450

2022-12-19  Su Laus  <sulau@freenet.de>

	manpage: Add multi page TIFF and SubIFDs description and read / write example.

2022-12-18  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFOpen_r+_windows_behaviour' into 'master'
	Behavior of TIFFOpen() mode "r+" in the Windows implementation adjusted to that of Linux.

	See merge request libtiff/libtiff!449

2022-12-16  Su_Laus  <sulau@freenet.de>

	Behavior of TIFFOpen() mode "r+" in the Windows implementation adjusted to that of Linux.

2022-12-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ossfuzz_54343' into 'master'
	TIFFSetDirectory: avoid harmless unsigned-integer-overflow

	See merge request libtiff/libtiff!447

2022-12-15  Even Rouault  <even.rouault@spatialys.com>

	TIFFSetDirectory: avoid harmless unsigned-integer-overflow.
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=54343

2022-12-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'ossfuzz_54311' into 'master'
	TIFFWriteDirectorySec(): avoid harmless unsigned-integer-overflow

	See merge request libtiff/libtiff!446

2022-12-14  Even Rouault  <even.rouault@spatialys.com>

	TIFFWriteDirectorySec(): avoid harmless unsigned-integer-overflow.
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=54311

2022-12-14  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.5.0rc2 preparation

2022-12-14  Su_Laus  <sulau@freenet.de>

	tiffinfo: update curdir from uint16_t to tdir_t for more than 64k IFD handling.

2022-12-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_502' into 'master'
	Make TIFFSetDirectory(tiff, 65534) work again (fixes #502)

	Closes #502

	See merge request libtiff/libtiff!436

2022-12-13  Even Rouault  <even.rouault@spatialys.com>

	Add tests for IFD loop detection.

	Fix IFD loop detection.

	Use UINT_MAX.

	Make TIFF_MAX_DIR_COUNT a autoconf/CMake setting.

2022-12-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'build-shared-by-default' into 'master'
	Restore shared libraries by default

	See merge request libtiff/libtiff!437

2022-12-13  shaun walbridge  <shaun.walbridge@gmail.com>

	CMake: restore shared libraries by default for top-level build.

2022-12-12  Even Rouault  <even.rouault@spatialys.com>

	Add a TIFF_MAX_DIR_COUNT public #define.

	TIFFCurrentDirectory(), TIFFNumberOfDirectories(), TIFFSetDirectory(), TIFFUnlinkDirectory(): use tdir_t that is now a uint32_t, and raise limit of IFDs to 1048576

	IFD loop checking: use hashmap to avoid quadratic performance.

	Add a hashset/hashmap implementation (ported from GDAL's CPLHashSet)

	Make TIFFSetDirectory(tiff, 65534) work again (fixes #502)

2022-12-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'do_not_format_tiffvers_h' into 'master'
	Revert formatting of tiffvers.h and add TIFFLIB_MAJOR_VERSION, TIFFLIB_MINOR_VERSION, TIFFLIB_MICRO_VERSION defines

	See merge request libtiff/libtiff!434

2022-12-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_exclude_some_comment_from_clang-format' into 'master'
	tiffcrop: Exclude some comments from clang-format

	See merge request libtiff/libtiff!435

2022-12-11  Su Laus  <sulau@freenet.de>

	tiffcrop: Exclude some comments from clang-format.

2022-12-11  Even Rouault  <even.rouault@spatialys.com>

	tiffvers.h.in: add clang-format off/on.

2022-12-10  Even Rouault  <even.rouault@spatialys.com>

	tiffvers.h: add TIFFLIB_MAJOR_VERSION, TIFFLIB_MINOR_VERSION, TIFFLIB_MICRO_VERSION defines
	Also add a TIFFLIB_AT_LEAST() macro

	tiffvers.h: revert formatting.

	Exclude reformatting of tiffvers.h which breaks version detection for FindTIFF.cmake

2022-12-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'release_4_5_0' into 'master'
	Prepare v4.5.0 release

	See merge request libtiff/libtiff!433

2022-12-09  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.5.0rc1 preparation

2022-12-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'reformat' into 'master'
	Whole code-base reformatting

	See merge request libtiff/libtiff!431

2022-12-08  Even Rouault  <even.rouault@spatialys.com>

	Add .git-blame-ignore-revs.

	tiffcrop: remove version_id and rev_date.

2022-12-08  pre-commit run by Even Rouault  <even.rouault-bot@spatialys.com>

	Reformatting in all other directories using 'pre-commit run'

	Reformatting in test/ using 'pre-commit run'

	Reformatting in tools/ using 'pre-commit run'

	Reformatting in libtiff/ using 'pre-commit run'

2022-12-08  Even Rouault  <even.rouault@spatialys.com>

	Add .clang-format, .pre-commit-config.yaml and CONTRIBUTING.md.

	Remove vim/emacs formatting footers.

2022-11-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_489' into 'master'
	TIFFWriteRawStrip(): restore capabilities to append data in the current strip (fixes #489)

	Closes #489

	See merge request libtiff/libtiff!430

2022-11-29  Even Rouault  <even.rouault@spatialys.com>

	Add test case for scenario of issue #489.

	TIFFWriteRawStrip(): restore capabilities to append data in the current strip (fixes #489)
	This fixes a regression of libtiff 4.4.0

2022-11-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_re-entrant_error_handler' into 'master'
	manpage update for re-entrant error handler TIFFErrorExtR(), TIFFOpenExt() and...

	See merge request libtiff/libtiff!427

2022-11-29  Su Laus  <sulau@freenet.de>

	manpage update for re-entrant error handler TIFFErrorExtR(), TIFFOpenExt() and...

2022-11-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_#169' into 'master'
	tiffcrop: Add check if (bps != 1) in writeSingleSection() for...

	Closes #169

	See merge request libtiff/libtiff!429

2022-11-27  Su Laus  <sulau@freenet.de>

	tiffcrop: Add check if (bps != 1) in writeSingleSection() for...

2022-11-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFErrorExtR_fix_missing_calls' into 'master'
	TIFFErrorExt() was not replaced with TIFFErrorExtR() everywhere in libtiff....

	See merge request libtiff/libtiff!428

2022-11-26  Su Laus  <sulau@freenet.de>

	TIFFErrorExt() was not replaced with TIFFErrorExtR() everywhere in libtiff....

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jpeg_build_fix' into 'master'
	tif_jpeg.c: fix compilation with MSVC (fixes commit 0fd1a81d3547acb8f5be50bbbc3e44bde01c014b)

	See merge request libtiff/libtiff!426

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	tif_jpeg.c: fix compilation with MSVC (fixes commit 0fd1a81d3547acb8f5be50bbbc3e44bde01c014b)

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_0fd1a81d3547acb8f5be50bbbc3e44bde01c014b' into 'master'
	JPEGEncode(): fix wrong pointer data type with libjpeg-turbo 2.2dev in 12-bit mode

	See merge request libtiff/libtiff!425

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	JPEGEncode(): fix wrong pointer data type with libjpeg-turbo 2.2dev in 12-bit mode
	(fixes commit 0fd1a81d3547acb8f5be50bbbc3e44bde01c014b)

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'libjpegturbo_dual' into 'master'
	Add support for libjpeg-turbo 2.2-dev 8/12 bit dual mode

	See merge request libtiff/libtiff!422

2022-11-25  Even Rouault  <even.rouault@spatialys.com>

	Add support for libjpeg-turbo 2.2-dev 8/12 bit dual mode.

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'windows-fix' into 'master'
	libtiff: Fix TIFFOpen* for the Windows platform in tif_unix.c

	See merge request libtiff/libtiff!424

2022-11-23  Francois Bleibel  <fbleibel@gmail.com>

	libtiff: Fix TIFFOpen* for the Windows platform in tif_unix.c.
	I'm not sure where this change was made, but it must have been in a recent update. TIFFOpenWEx is now TIFFOpenWExt, and _TIFFgetMode takes additional arguments.

	Verified: Tested libtiff on a local Windows build.

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_signed_vs_unsigned' into 'master'
	tiffcrop.c: fix warning about signed vs unsigned comparison

	See merge request libtiff/libtiff!423

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	tiffcrop.c: fix warning about signed vs unsigned comparison.

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFClientOpenExt_warning_fix' into 'master'
	TIFFClientOpenExt(): fix warning on 32-bit platforms (master only)

	See merge request libtiff/libtiff!421

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	TIFFClientOpenExt(): fix warning on 32-bit platforms (master only)

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcp_TIFFOpenOptionsFree_memleak_fix' into 'master'
	tiffcp: fix leak of TIFFOpenOptionsAlloc() introduced in latest commit (master only)

	See merge request libtiff/libtiff!420

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	tiffcp: fix leak of TIFFOpenOptionsAlloc() introduced in latest commit (master only)
	Fixes Coverity CID 1517032

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFOpenOptionsSetMaxSingleMemAlloc' into 'master'
	Add TIFFOpenOptionsSetMaxSingleMemAlloc() to define a limit in bytes for a single memory allocation done by libtiff

	See merge request libtiff/libtiff!419

2022-11-23  Even Rouault  <even.rouault@spatialys.com>

	Emit explicit error message when tif_max_single_mem_alloc is exceeded.

	test_open_options: test TIFFOpenOptionsSetMaxSingleMemAlloc()

	Rename test_error_handlers to test_open_options.

	tiffinfo, tiffcp, tiffcrop, tiffsplit, tiff2rgba, tiff2ps: use TIFFOpenOptionsSetMaxSingleMemAlloc()

	Convert uses of _TIFFmalloc/realloc/calloc/free to the Ext functions.

2022-11-22  Even Rouault  <even.rouault@spatialys.com>

	Add TIFFOpenOptionsSetMaxSingleMemAlloc()
	to define a limit in bytes for a single memory allocation done by libtiff.

	Also add internal functions used in replacement of the non Ext ones:
	void* _TIFFmallocExt(TIFF* tif, tmsize_t s);
	void* _TIFFcallocExt(TIFF* tif, tmsize_t nmemb, tmsize_t siz);
	void* _TIFFreallocExt(TIFF* tif, void* p, tmsize_t s);
	void _TIFFfreeExt(TIFF* tif, void* p);

2022-11-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFOpenEx' into 'master'
	Add TIFFOpenExt(), TIFFOpenWExt() and TIFFFdOpenExt() with re-entrant error handlers

	See merge request libtiff/libtiff!413

2022-11-21  Even Rouault  <even.rouault@spatialys.com>

	Remove TIFFSetErrorHandlerExtR() and TIFFSetWarningHandlerExtR() that were temporarily added in master

	Add a _TIFFErrorEarly() function to be able to use the re-entrant error handler, even before TIFF* is valid

	Rework TIFFOpenExt() and similar to use an opaque TIFFOpenOptions* opts argument, with alloc, free and setters

	Document TIFFOpenExt, TIFFOpenWExt, TIFFFdOpenExt, TIFFClientOpenExt, TIFFSetErrorHandlerExtR, TIFFSetWarningHandlerExtR

2022-11-21  Even Rouault  <even.rouault@spatialys.com>

	Add TIFFOpenExt(), TIFFOpenWExt() and TIFFFdOpenExt() with re-entrant error handlers
	Rename TIFFClientOpenEx() to TIFFClientOpenExt()

	Rework signature of the re-entrant error handlers and of
	TIFFSetWarningHandlerExt() and TIFFSetErrorHandlerExt()

	Use structures that can be extended as extra argument.

	Leverages and amends https://gitlab.com/libtiff/libtiff/-/merge_requests/409

2022-11-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_fix485_file-descriptor_clientdata' into 'master'
	manpage: Correct description of file handle/descriptors tif_fd and tif_clientdata. Closes #485.

	Closes #485

	See merge request libtiff/libtiff!418

2022-11-21  Su Laus  <sulau@freenet.de>

	manpage: Correct description of file handle/descriptors tif_fd and tif_clientdata. Closes #485.

2022-11-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'manpage_fix440_fix28_TIFFOpen_SubIFD_update' into 'master'
	manpage: fix28, fix440, update TIFFOpen and SubIFD

	Closes #440 et #28

	See merge request libtiff/libtiff!417

2022-11-20  Su Laus  <sulau@freenet.de>

	manpage: fix28, fix440, update TIFFOpen and SubIFD.

2022-11-17  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'cmake_tiff_install_warning' into 'master'
	CMakeLists.txt: fix warning with -Wdev

	See merge request libtiff/libtiff!416

2022-11-13  Even Rouault  <even.rouault@spatialys.com>

	CMakeLists.txt: fix warning with -Wdev.
	```
	CMake Warning (dev) at CMakeLists.txt:62 (option):
	  Policy CMP0077 is not set: option() honors normal variables.  Run "cmake
	  --help-policy CMP0077" for policy details.  Use the cmake_policy command to
	  set the policy and suppress this warning.

	  For compatibility with older versions of CMake, option is clearing the
	  normal variable 'tiff-install'.
	This warning is for project developers.  Use -Wno-dev to suppress it.
	```

2022-11-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_479' into 'master'
	_TIFFReadEncodedTileAndAllocBuffer(): avoid excessive memory allocation on...

	See merge request libtiff/libtiff!412

2022-11-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'typo_fix' into 'master'
	tif_dirread.c: fix typo in comment

	See merge request libtiff/libtiff!414

2022-11-12  Even Rouault  <even.rouault@spatialys.com>

	tif_dirread.c: fix typo in comment.

2022-11-11  Even Rouault  <even.rouault@spatialys.com>

	_TIFFReadEncodedTileAndAllocBuffer(): avoid excessive memory allocation on broken files (fixes #479)

2022-11-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'bugfix/tiff2pdf-stdout' into 'master'
	tiff2pdf Don't try to seek into stdout.

	See merge request libtiff/libtiff!367

2022-11-10  Claus-Justus Heine  <himself@claus-justus-heine.de>

	tiff2pdf: Don't try to seek into stdout.
	Fixes #441

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_coverity_1516759' into 'master'
	TIFFErrorExtR(): fix Dereference after null check (CID 1516759)

	See merge request libtiff/libtiff!411

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_ossfuzz_53137' into 'master'
	TIFFReadRGBATileExt(): fix (unsigned) integer overflow on strips/tiles > 2 GB

	See merge request libtiff/libtiff!410

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	TIFFErrorExtR(): fix Dereference after null check (CID 1516759)

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'no_sprintf' into 'master'
	Replace sprintf calls with snprintf

	See merge request libtiff/libtiff!408

2022-11-08  Mark Mentovai  <mark@chromium.org>

	Replace sprintf calls with snprintf.
	This makes it possible to build libtiff without warnings using the macOS
	13 SDK. Calls to sprintf are replaced with snprintf, passing appropriate
	buffer sizes.

	It doesn’t appear that any of the changed uses of sprintf were actually
	unsafe, so no behavior change is expected aside from SDK compatibility.

	The macOS 13 SDK deprecates sprintf as it’s difficult to use safely. The
	deprecation warning message is visible when building C++, but it is not
	normally visible when building plain C code due to a quirk in how
	sprintf is declared in the SDK. However, the deprecation message is
	visible when building plain C under Address Sanitizer
	(-fsanitize=address). This discrepancy was discovered at
	https://crbug.com/1381706 and reported to Apple with a copy at
	https://openradar.appspot.com/FB11761475.

	The macOS 13 SDK is packaged in Xcode 14.1, released on 2022-11-01. This
	also affects the iOS 16 SDK and other 2022-era Apple OS SDKs packaged in
	Xcode 14.0, released on 2022-09-12.

	libtiff is visible to the Chromium build via PDFium, and this change is
	needed to allow Chromium to move forward to the macOS 13 SDK.

	This change is limited to the libtiff directory. Other uses of sprintf
	were found in contrib, test, and tools.

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'reentrant' into 'master'
	Add reentrant error functions

	See merge request libtiff/libtiff!409

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadRGBATileExt(): fix (unsigned) integer overflow on strips/tiles > 2 GB
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=53137

2022-11-08  Laramie Leavitt  <lar@google.com>

	Add reentrant error functions.
	Prior to this change, libtiff relied on global error handlers,
	which is problematic when libtiff used by multiple independent
	libraries from within the same process, as they may unwittingly
	clobber the error handling, introduce race conditions when setting
	handlers, or otherwise have unintended side effects.

	This change adds error handlers to the TIFF struct, which are
	used preferentially when available. The error handlers are invoked
	when the re-entrant error functions are called:

	void TIFFErrorExtR(TIFF*, const char* module, const char* fmt, ...)
	void TIFFWarningExtR(TIFF*, const char* module, const char* fmt, ...)

	The handlers have a similar signature to the existing extended
	handlers, additionally returning an int:

	int TIFFErrorHandlerExtR(thandle_t, const char*, const char*, va_list)

	 thandle_t is the userdata passed to TIFFOpen
	 When the handler returns 1, the global handlers are not called.

	Custom error/warning handlers may be installed on a per-file
	basis by calling the Set functions:

	  TIFF* tif = TIFFOpen(...);
	  TIFFSetErrorHandlerExtR(tif, MyErrorHandler);
	  TIFFSetWarningHandlerExtR(tif, MyWarningHandler);

	Additionally, the callsites to TIFFErrorExt and TIFFWarningExt
	have been updated to call the reentrant versions.

2022-11-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_CoverityScan_tmsize_issue' into 'master'
	tiffcrop: should fix some Coverity Scan issues OVERFLOW_BEFORE_WIDEN

	See merge request libtiff/libtiff!403

2022-11-08  Su Laus  <sulau@freenet.de>

	tiffcrop: should fix some Coverity Scan issues OVERFLOW_BEFORE_WIDEN.

2022-11-02  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'typo_fix' into 'master'
	tif_dirread.c: fix typo in comment

	See merge request libtiff/libtiff!407

2022-11-02  Even Rouault  <even.rouault@spatialys.com>

	tif_dirread.c: fix typo in comment.

2022-10-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_formatting_fix' into 'master'
	tiffcrop: add casts in TIFFError() to fix compiler warnings

	See merge request libtiff/libtiff!406

2022-10-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_482' into 'master'
	CMake: correctly set default value of 'lzma' option when liblzma is detected (fixes #482)

	Closes #482

	See merge request libtiff/libtiff!404

2022-10-23  Even Rouault  <even.rouault@spatialys.com>

	tiffcrop: add casts in TIFFError() to fix compiler warnings.

	CMake: correctly set default value of 'lzma' option when liblzma is detected (fixes #482)

2022-10-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_480' into 'master'
	Fix incorrect printf() formatters introduced in recent commits (fixes #480)

	Closes #480

	See merge request libtiff/libtiff!401

2022-10-19  Even Rouault  <even.rouault@spatialys.com>

	Fix incorrect printf() formatters introduced in recent commits (fixes #480)

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'CLIPPATH_tags_corrected' into 'master'
	CLIPPATH tags defined twice but differently and also wrongly (#439) - corrected

	Closes #439

	See merge request libtiff/libtiff!366

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'FIELD_IGNORE_warning-messages' into 'master'
	Warning messages for FIELD_IGNORE tags for writing and for TIFF_SETGET_UNDEFINED for reading added. (#438)

	Closes #438

	See merge request libtiff/libtiff!365

2022-10-13  Su Laus  <sulau@freenet.de>

	Warning messages for FIELD_IGNORE tags for writing and for TIFF_SETGET_UNDEFINED for reading added. (#438)

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tag-def_COMPRESSION_corrected' into 'master'
	tif_dirinfo.c TIFFTAG_COMPRESSION and _BITSPERSAMPLE definition corrected

	See merge request libtiff/libtiff!364

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_getopt_included_twice' into 'master'
	Fix including module getopt.c twice with CMake and HAVE_GETOPT=false

	See merge request libtiff/libtiff!381

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_CoverityScan_fix_PRINTF_ARGS' into 'master'
	tiffcrop: fix Coverity Scan issues about PRINTF_ARGS.

	See merge request libtiff/libtiff!400

2022-10-13  Su_Laus  <sulau@freenet.de>

	tiffcrop fix Coverity Scan issues about PRINTF_ARGS.

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_#450_too-many-mode-options' into 'master'
	tiffcrop: fix #450 too many 'mode' options on command line.

	Closes #470 et #450

	See merge request libtiff/libtiff!384

2022-10-13  Su Laus  <sulau@freenet.de>

	tiffcrop: fix #450 too many 'mode' options on command line.

2022-10-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_#435' into 'master'
	tiffcrop subroutines require a larger buffer (fixes #271, #381, #386, #388, #389, #435)

	Closes #465, #464, #435, #389, #388, #386, #381 et #271

	See merge request libtiff/libtiff!382

2022-10-13  Su Laus  <sulau@freenet.de>

	tiffcrop subroutines require a larger buffer (fixes #271, #381, #386, #388, #389, #435)

2022-10-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'InkNames_NumberOfInks_handling_revised' into 'master'
	Revised handling of TIFFTAG_INKNAMES and related TIFFTAG_NUMBEROFINKS value (fixes #149, #150, #152, #168, #250, #269, #398 and #456)

	Closes #474, #463, #387, #456, #398, #269, #250, #168, #152, #150 et #149

	See merge request libtiff/libtiff!385

2022-10-12  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_fix_#411_#413' into 'master'
	tiffcrop: disable incompatibility of -Z, -X, -Y, -z options with any PAGE_MODE_x option (fixes #411, #413 and #426)

	Closes #426, #413 et #411

	See merge request libtiff/libtiff!383

2022-10-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFAdvanceDirectory_mapped_uio' into 'master'
	TIFFAdvanceDirectory(): fix unsigned-integer-overflow in mapped case

	See merge request libtiff/libtiff!398

2022-10-10  Even Rouault  <even.rouault@spatialys.com>

	TIFFAdvanceDirectory(): fix unsigned-integer-overflow in mapped case.
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=52309

2022-10-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffinfo_parse_SubIFDs' into 'master'
	tiffinfo: Updated to parse through SubIFDs and show their tags.

	See merge request libtiff/libtiff!396

2022-10-08  Su Laus  <sulau@freenet.de>

	tiffinfo: Updated to parse through SubIFDs and show their tags.

2022-10-07  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'master' into 'master'
	Moved linking of CMath::CMath into CMath_LIBRARY check

	See merge request libtiff/libtiff!397

2022-10-07  Frei Herr  <herr.frei@googlemail.com>

	Moved linking of CMath::CMath into CMath_LIBRARY check.

2022-10-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'rational_precision2double_coverity-fix' into 'master'
	rational_precision2double.c: Fix issue from Coverity Scan.

	See merge request libtiff/libtiff!395

2022-10-06  Su_Laus  <sulau@freenet.de>

	rational_precision2double.c: Fix issue from Coverity Scan.

	Fix including module getopt.c twice with CMake and HAVE_GETOPT=false.
	The "make-files" for the tools- and test- programmes include the module getopt.c once directly as additional source and then again by including port.lib.
	This can be avoided by including getopt.c as source in port.lib within port\CMakeLists.txt not with PUBLIC but with PRIVATE.

2022-10-06  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-455_Improved-IFD-loop-handling' into 'master'
	Improved IFD-Loop Handling (fixes #455)

	Closes #455

	See merge request libtiff/libtiff!386

2022-10-06  Su Laus  <sulau@freenet.de>

	Improved IFD-Loop Handling (fixes #455)
	IFD infinite looping was not fixed by MR 20 (see #455).
	An improved IFD loop handling is proposed.

	Basic approach:

	- The order in the entire chain must be checked, and not only whether an offset has already been read once.
	- To do this, pairs of directory number and offset are stored and checked.
	- The offset of a directory number can change.
	- TIFFAdvanceDirectory() must also perform an IFD loop check.
	- TIFFCheckDirOffset() is replaced by _TIFFCheckDirNumberAndOffset().

	Rules for the check:

	- If an offset is already in the list, it must have the same IFD number. Otherwise it is an IDF loop.
	- If the offset is not in the list and the IFD number is greater than there are list entries, a new list entry is added.
	- Otherwise, the offset of the IFD number is updated.

	Reference is also made to old bugzilla bug 2772 and MR 20, which did not solve the general issue.
	This MR closes #455

2022-10-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'fix-cmake-subproject' into 'master'
	Fix CMake build to be compatible with FetchContent

	See merge request libtiff/libtiff!394

2022-10-04  Timothy Lyanguzov  <theta682@gmail.com>

	Apply 9 suggestion(s) to 3 file(s)

2022-10-04  Jeremy Maitin-Shepard  <jbms@google.com>

	Fix CMake build to be compatible with FetchContent.
	Recent versions of CMake have improved support for including
	dependencies, using the FetchContent module, which allows a dependency
	to be imported as a subproject and then later found automatically by
	calls to `find_package`.

	This change makes libtiff's CMake better behaved when used as a
	sub-project:

	- CMake has a single global namespace for all target names in all
	  sub-projects.  This commit renames the following CMake targets:

	  - port -> tiff_port
	  - mkg3states -> tiff_mkg3states
	  - faxtable -> tiff_faxtable
	  - release -> tiff_release

	- When building TIFF as a sub-project, it is not normally useful to
	  create install rules for its targets.  This commit adds a
	  `tiff-install` option that controls whether the install rules are
	  added and defaults to OFF when libtiff is included as a sub-project.

	- Previously, libtiff set `BUILD_SHARED_LIBS` to ON by default.  With
	  this commit, that default is only set if libtiff is the top-level
	  project.

	- When using `find_package(TIFF)`, the targets `TIFF::TIFF` and
	  `TIFF::CXX` are defined.  This commit makes libtiff itself define
	  those targets as aliases, to allow other cmake projects to use
	  either `find_package` or `FetchContent` interchangeably.

	- Adds ZSTD_HAVE_DECOMPRESS_STREAM variable which may be set to bypass
	  `check_symbol_exists` call.  Fixes
	  https://gitlab.com/libtiff/libtiff/-/issues/472.

2022-09-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'getimage_overflow' into 'master'
	Update getimage to support reading large raster images

	See merge request libtiff/libtiff!389

2022-09-26  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'MinGW-warnings_ipctutil' into 'master'
	Fix #458: MinGW Windows 64: warning because 'long' is a 32 bits type in...

	Closes #458

	See merge request libtiff/libtiff!391

2022-09-26  Su Laus  <sulau@freenet.de>

	Fix #458: MinGW Windows 64: warning because 'long' is a 32 bits type in...

2022-09-16  Eric Siegel  <siegel.eric@gmail.com>

	Update getimage to support large raster images.

2022-09-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'typo_fix' into 'master'
	tif_lzw.c: fix typo in code comment

	See merge request libtiff/libtiff!387

2022-09-08  Even Rouault  <even.rouault@spatialys.com>

	tif_lzw.c: fix typo in code comment.

2022-08-30  Su_Laus  <sulau@freenet.de>

	Revised handling of TIFFTAG_INKNAMES and related TIFFTAG_NUMBEROFINKS value
	In order to solve the buffer overflow issues related to TIFFTAG_INKNAMES and related TIFFTAG_NUMBEROFINKS value, a revised handling of those tags within LibTiff is proposed:

	Behaviour for writing:
	    `NumberOfInks`  MUST fit to the number of inks in the `InkNames` string.
	    `NumberOfInks` is automatically set when `InkNames` is set.
	    If `NumberOfInks` is different to the number of inks within `InkNames` string, that will be corrected and a warning is issued.
	    If `NumberOfInks` is not equal to samplesperpixel only a warning will be issued.

	Behaviour for reading:
	    When reading `InkNames` from a TIFF file, the `NumberOfInks` will be set automatically to the number of inks in `InkNames` string.
	    If `NumberOfInks` is different to the number of inks within `InkNames` string, that will be corrected and a warning is issued.
	    If  `NumberOfInks` is not equal to samplesperpixel only a warning will be issued.

	This allows the safe use of the NumberOfInks value to read out the InkNames without buffer overflow

	This MR will close the following issues:  #149, #150, #152, #168 (to be checked), #250, #269, #398 and #456.

	It also fixes the old bug at http://bugzilla.maptools.org/show_bug.cgi?id=2599, for which the limitation of `NumberOfInks = SPP` was introduced, which is in my opinion not necessary and does not solve the general issue.

2022-08-25  Su_Laus  <sulau@freenet.de>

	tiffcrop: disable incompatibility of -Z, -X, -Y, -z options with any PAGE_MODE_x option (fixes #411 and #413)
	tiffcrop does not support –Z, -z, -X and –Y options together with any other PAGE_MODE_x options like  -H, -V, -P, -J, -K or –S.

	Code analysis:

	With the options –Z, -z, the crop.selections are set to a value > 0. Within main(), this triggers the call of processCropSelections(), which copies the sections from the read_buff into seg_buffs[].
	In the following code in main(), the only supported step, where that seg_buffs are further handled are within an if-clause with  if (page.mode == PAGE_MODE_NONE) .

	Execution of the else-clause often leads to buffer-overflows.

	Therefore, the above option combination is not supported and will be disabled to prevent those buffer-overflows.

	The MR solves issues #411 and #413.

2022-08-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_S-option_mutually_exclusive' into 'master'
	tiffcrop:  -S option mutually exclusive (fixes #349, #414, #422, #423, #424)

	Closes #424, #423, #422, #414 et #349

	See merge request libtiff/libtiff!378

2022-08-20  Su_Laus  <sulau@freenet.de>

	tiffcrop -S option: Make decision simpler.

2022-08-20  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'remove_death_commented_code' into 'master'
	Remove dead code from tif_dirread.c, tif_dirwrite.c and tif_getimage.c

	See merge request libtiff/libtiff!380

2022-08-20  Su Laus  <sulau@freenet.de>

	Remove dead code from tif_dirread.c, tif_dirwrite.c and tif_getimage.c.

2022-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'coverity_fixes' into 'master'
	Silence Coverity Scan false positive warnings about out-of-bounds access

	See merge request libtiff/libtiff!379

2022-08-16  Even Rouault  <even.rouault@spatialys.com>

	tif_zip.c: silence Coverity Scan false positive warnings about out-of-bounds access (CID 1491190, 1491197, 1491201)

	tif_dirread.c: silence Coverity Scan false positive warnings about out-of-bounds access (CID 1491182, 1491186)

2022-08-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'default_tag_values_extended' into 'master'
	Presetting of default tag values extended (e.g. PlanarConfig). (fixes #449)

	Closes #449

	See merge request libtiff/libtiff!377

2022-08-16  Su Laus  <sulau@freenet.de>

	Presetting of default tag values extended (e.g. PlanarConfig). (fixes #449)

2022-08-15  Su_Laus  <sulau@freenet.de>

	According to Richard Nolde https://gitlab.com/libtiff/libtiff/-/issues/401#note_877637400 the tiffcrop option „-S“ is also mutually exclusive to the other crop options (-X|-Y), -Z and -z.
	This is now checked and ends tiffcrop if those arguments are not mutually exclusive.

	This MR will fix the following tiffcrop issues: #349, #414, #422, #423, #424

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'warning_fix' into 'master'
	Fix warning about shadowing

	See merge request libtiff/libtiff!376

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Fix warning about shadowing.

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_225' into 'master'
	Deal with RichTIFFIPTC tag written with LONG type (fixes #225)

	Closes #225

	See merge request libtiff/libtiff!374

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'Writing_IFD8_to_ClassicTIFF_bugfix' into 'master'
	Correcting defects reported by Coverity Scan for MR !369

	See merge request libtiff/libtiff!375

2022-08-09  Su Laus  <sulau@freenet.de>

	Correcting defects reported by Coverity Scan for MR !369.

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_442_Writing_IFD8_to_ClassicTIFF' into 'master'
	TIFFSetValue(): Writing IFD8 & LONG8 tags to ClassicTIFF corrected (fixes #442)

	Closes #442

	See merge request libtiff/libtiff!369

2022-08-09  Su Laus  <sulau@freenet.de>

	TIFFSetValue(): Writing IFD8 & LONG8 tags to ClassicTIFF corrected (fixes #442)

2022-08-09  Even Rouault  <even.rouault@spatialys.com>

	Deal with RichTIFFIPTC tag written with LONG type (fixes #225)

2022-08-07  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'manpage-functions-added' into 'master'
	doc: Missing public functions added to TIFF documentation in Sphinx

	See merge request libtiff/libtiff!372

2022-08-07  Su Laus  <sulau@freenet.de>

	doc: Missing public functions added to TIFF documentation in Sphinx.

2022-07-29  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tifjpeg_version_check' into 'master'
	tif_jpeg.c: allow to pass -DEXPECTED_JPEG_LIB_VERSION=number to do optional...

	See merge request libtiff/libtiff!373

2022-07-29  Even Rouault  <even.rouault@spatialys.com>

	tif_jpeg.c: allow to pass -DEXPECTED_JPEG_LIB_VERSION=number to do optional compile-time version check

2022-07-21  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFReadFromUserBuffer_fix' into 'master'
	TIFFReadFromUserBuffer(): fix clearing of TIFF_CODERSETUP flag that could...

	See merge request libtiff/libtiff!371

2022-07-21  Even Rouault  <even.rouault@spatialys.com>

	TIFFReadFromUserBuffer(): fix clearing of TIFF_CODERSETUP flag that could cause issues with reading JPEG compressed files

2022-07-21  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'vs2022-fixes' into 'master'
	cmake: Correct duplicate definition of _CRT_SECURE_NO_WARNINGS

	Closes #443

	See merge request libtiff/libtiff!370

2022-07-13  Roger Leigh  <rleigh@codelibre.net>

	cmake: Correct duplicate definition of _CRT_SECURE_NO_WARNINGS.

2022-07-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'vs2022-fixes' into 'master'
	cmake: Fixes for Visual Studio 2022

	See merge request libtiff/libtiff!368

2022-07-13  Roger Leigh  <rleigh@codelibre.net>

	cmake: Fixes for Visual Studio 2022.

2022-07-03  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'elf-symbol-export' into 'master'
	Explicit export of versioned ELF symbols

	Closes #437

	See merge request libtiff/libtiff!361

2022-07-03  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_433' into 'master'
	_TIFFCheckFieldIsValidForCodec(): return FALSE when passed a codec-specific...

	Closes #433

	See merge request libtiff/libtiff!363

2022-07-01  Su_Laus  <sulau@freenet.de>

	CLIPPATH tags defined twice but differently and also wrongly.
	In tif_dirinfo.c the tags for clippath are wrongly defined and the tag TIFFTAG_XCLIPPATHUNITS is even different twice. Therefore, those tags cannot be written / read correctly and may even lead to buffer overflow.
	E.g.: In the case of TIFFSetField(YCLIPPATHUNITS), a 1 byte storage space is allocated because of TIFF_SETGET_UNDEFINED, in which an  int32_t value should be stored because of TIFF_SLONG type definition. Then, an int32_t value is read from that 1 byte storage location.

	The current definition is:

	{ TIFFTAG_CLIPPATH, -1, -3, TIFF_BYTE, 0, TIFF_SETGET_UNDEFINED, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 1, "ClipPath", NULL },
	{ TIFFTAG_XCLIPPATHUNITS, 1, 1, TIFF_SLONG, 0, TIFF_SETGET_UNDEFINED, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "XClipPathUnits", NULL },
	{ TIFFTAG_XCLIPPATHUNITS, 1, 1, TIFF_SBYTE, 0, TIFF_SETGET_UNDEFINED, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "XClipPathUnits", NULL },
	{ TIFFTAG_YCLIPPATHUNITS, 1, 1, TIFF_SLONG, 0, TIFF_SETGET_UNDEFINED, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "YClipPathUnits", NULL },

	Whereas the correct definition according to TIFF Specification Supplement 1 (https://www.awaresystems.be/imaging/tiff/specification/TIFFPM6.pdf) should be:

	{ TIFFTAG_CLIPPATH, -3, -3, TIFF_BYTE, 0, TIFF_SETGET_C32_UINT8, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 1, "ClipPath", NULL },
	{ TIFFTAG_XCLIPPATHUNITS, 1, 1, TIFF_LONG, 0, TIFF_SETGET_UINT32, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "XClipPathUnits", NULL },
	{ TIFFTAG_YCLIPPATHUNITS, 1, 1, TIFF_LONG, 0, TIFF_SETGET_UINT32, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "YClipPathUnits", NULL },

	Also the set_get_field of the following tag should be corrected from

	{ TIFFTAG_INTEROPERABILITYIFD, 1, 1, TIFF_IFD8, 0, TIFF_SETGET_UNDEFINED, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "InteroperabilityIFDOffset", NULL },
	to
	{ TIFFTAG_INTEROPERABILITYIFD, 1, 1, TIFF_IFD8, 0, TIFF_SETGET_IFD8, TIFF_SETGET_UNDEFINED, FIELD_CUSTOM, 0, 0, "InteroperabilityIFDOffset", NULL },

	However, if those tags should not be handled by LibTiff because they are deemed as abandoned or unwanted tags, those tags need to be defined with FIELD_IGNORE instead of FIELD_CUSTOM and keeping set_field_type  = TIFF_SETGET_UNDEFINED

2022-07-01  Su_Laus  <sulau@freenet.de>

	In tif_dirinfo.c the definition for TIFFTAG_COMPRESSION has different settings of  field_readcount=TIFF_VARIABLE (-1) and field_writecount=1. The tag is defined with Count=1, thus field_readcount is wrong and should also be 1. Although TIFFTAG_BITSPERSAMPLE is defined with Count:N=SamplesPerPixel, only ONE uint16_t value is passed with TIFFSetField() and TIFFGetField(). However, an array with N=SamplesPerPixel equal values is written into the TIFF file. Shouldn't field_readcount = field_writecount = 1 then?  The behaviour of TiffLib does not change, because the handling is coded directly.

2022-06-27  Even Rouault  <even.rouault@spatialys.com>

	_TIFFCheckFieldIsValidForCodec(): return FALSE when passed a codec-specific tag and the codec is not configured (fixes #433)
	This avoids crashes when querying such tags

2022-06-27  Even Rouault  <even.rouault@spatialys.com>

	Merge branch '16bit_cielab' into 'master'
	add basic 16bit-cielab support

	See merge request libtiff/libtiff!336

2022-06-27  Caolán McNamara  <caolan@skynet.ie>

	Add basic 16bit-cielab support.
	just a copy of putcontig8bitCIELab that reads 16bit vals but divide l by
	257, a and b by 256 before passing to TIFFCIELabToXYZ

	motivation: https://bugs.documentfoundation.org/show_bug.cgi?id=131199
	the "clavijo16bitlab.tiff" example where tiffinfo says:
	```
	  Image Width: 2601 Image Length: 3503
	  Resolution: 96, 96 pixels/inch
	  Bits/Sample: 16
	  Compression Scheme: AdobeDeflate
	  Photometric Interpretation: CIE L*a*b*
	  Orientation: row 0 top, col 0 lhs
	  Samples/Pixel: 3
	  Rows/Strip: 1
	  Planar Configuration: single image plane
	  DateTime: 2020:03:07 10:20:42
	```

2022-06-24  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'manpage-fixes' into 'master'
	Sphinx documentation fixes

	See merge request libtiff/libtiff!362

2022-06-24  Roger Leigh  <rleigh@codelibre.net>

	doc: Correct types and cross-references.

	doc: Correct manual page path.

	build: Make rational2double static only for automake.
	This copies the same logic as used by CMake.

	build: Update autoconf version to 4.5.0 and soname to 6.0.0.

	build: Update autoconf ld-version-script default.

	libtiff: Correct version script for changes since v4.4.0.

	libtiff: Update version script documentation.

	libtiff: Add symbol versioning of all exported symbols.

2022-06-24  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'webp_mem_improvements' into 'master'
	WEBP codec: avoid temporary buffer and memcpy() on whole tile/strip decoding

	See merge request libtiff/libtiff!360

2022-06-24  Roger Leigh  <rleigh@codelibre.net>

	build: Enable symbol versioning by default.

2022-06-24  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'sphinx-manpages' into 'master'
	doc: Add Sphinx conversion of all manpages

	Closes #361

	See merge request libtiff/libtiff!356

2022-06-24  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'remove-wince' into 'master'
	Remove obsolete WinCE source file

	See merge request libtiff/libtiff!357

2022-06-23  Even Rouault  <even.rouault@spatialys.com>

	WEBP codec: avoid temporary buffer and memcpy() on whole tile/strip decoding

2022-06-22  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'horAcc8_fix' into 'master'
	tif_predict.c: make horAcc8() work with icc (ICC) 2021.6.0 20220226 -O2

	See merge request libtiff/libtiff!359

2022-06-22  Even Rouault  <even.rouault@spatialys.com>

	tif_predict.c: make horAcc8() work with icc (ICC) 2021.6.0 20220226 -O2.
	For a reason I don't understand, recent ICC generates wrong code in -O2
	mode for the stride = 3 and 4 cases. The modified code is more
	straightforward, so go for it.

2022-06-19  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-restore-old' into 'master'
	ci: Restore testing with Ubuntu 20.04

	See merge request libtiff/libtiff!358

2022-06-19  Roger Leigh  <rleigh@codelibre.net>

	ci: Restore testing with Ubuntu 20.04.

	Remove obsolete WinCE source file.

	doc: Add missing punctuation.

	doc: Remove semicolon from c:function definition.

	doc: Remove remaining HTML entities.

	doc: Improve the build page.

2022-06-18  Roger Leigh  <rleigh@codelibre.net>

	doc: Add Sphinx conversion of all manpages.

2022-06-18  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'dist-html' into 'master'
	build: Distribute and install HTML documentation

	See merge request libtiff/libtiff!352

2022-06-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'pkgconfig' into 'master'
	Adding Requires.private generation

	See merge request libtiff/libtiff!355

2022-06-13  Yishen Miao  <mys721tx@gmail.com>

	Adding Requires.private generation.
	Adds Requires.private generation so that pkg-config can correctly find
	the dependencies of libtiff.

2022-06-11  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-dist' into 'master'
	ci: Archive distribution tar and zip files

	See merge request libtiff/libtiff!354

2022-06-11  Roger Leigh  <rleigh@codelibre.net>

	ci: Archive distribution tar and zip files.

2022-06-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'export_TIFFClampDoubleToUInt32' into 'master'
	libtiff.def: export _TIFFClampDoubleToUInt32

	See merge request libtiff/libtiff!353

2022-06-11  Even Rouault  <even.rouault@spatialys.com>

	libtiff.def: export _TIFFClampDoubleToUInt32.

2022-06-11  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'issue-415+427+428' into 'master'
	fix the FPE in tiffcrop (#415, #427, and #428)

	Closes #428, #427 et #415

	See merge request libtiff/libtiff!346

2022-06-11  4ugustus  <wangdw.augustus@qq.com>

	fix the FPE in tiffcrop (#415, #427, and #428)

2022-06-11  Roger Leigh  <rleigh@codelibre.net>

	build: Distribute and install HTML documentation.

2022-06-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tif_jpeg_warning_fix' into 'master'
	tif_jpeg.c: fix error message

	See merge request libtiff/libtiff!351

2022-06-10  Even Rouault  <even.rouault@spatialys.com>

	tif_jpeg.c: fix error message.

2022-06-10  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'android_libm' into 'master'
	Fix dependency on libm on Android

	See merge request libtiff/libtiff!350

2022-06-09  Matthias Kuhn  <matthias@opengis.ch>

	Always link to libm if available.

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'vasyl5-master-patch-97651' into 'master'
	libtoolize: command not found on macOS.

	See merge request libtiff/libtiff!289

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'rst-docs' into 'master'
	Convert HTML documentation to Sphinx RST

	See merge request libtiff/libtiff!349

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge remote-tracking branch 'origin/master' into rst-docs.

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-xc-faxtable' into 'master'
	cmake: Do not build faxtable target when cross-compiling

	See merge request libtiff/libtiff!342

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-disable-options' into 'master'
	Add options for disabling tools, tests, contrib and docs

	See merge request libtiff/libtiff!343

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-msvc-options' into 'master'
	cmake: Add MSVC options when building all libraries and executables

	See merge request libtiff/libtiff!344

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'cmake-win32-libtiffxx-static' into 'master'
	cmake: libtiffxx is static on win32

	See merge request libtiff/libtiff!338

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'licence-file' into 'master'
	Rename COPYRIGHT to LICENSE.md

	See merge request libtiff/libtiff!345

2022-06-05  Roger Leigh  <rleigh@codelibre.net>

	Rename COPYRIGHT to LICENSE.md.

	doc: Fix make distcheck.

	doc: Update automake configuration.

	doc: Do not pass srcdir and builddir to sphinx-build.

	doc: Additional top-level tidying.

	doc: Tidy top-level index.

	doc: Move bugs to project.

	doc: Move misc to project.

	doc: Move all BigTIFF documentation into specification directory.
	* Remove the BigTIFF proposal since this has long been completed
	* Update the BigTIFF PR to note completion of the work and replace
	  present with past tense.

	doc: Split release history.
	This permits the newer releases to be included in the top-level
	toctree without polluting it with dozens of old releases.

	doc: Correct accents.

	doc: BigTIFF design markup improvements.

	Add doc/_static.

	doc: Move TIFF specification and design notes into subdirectory.

	doc: Move releases into subdirectory.

	doc: Mark up TIFF tech note 2.

	doc: Use sphinxdox theme.
	The sphix_rtd_theme formats complex tables badly.

	doc: Clean up HTML tags.

2022-06-04  Roger Leigh  <rleigh@codelibre.net>

	ci: Install Sphinx manual for use by GitLab pages.

	doc: Use sphinx_rtd_theme.

	Convert HTML documentation to Sphinx RST.
	* Add CMake build logic
	* Add Autotools build logic
	* Move from html/ to doc/
	* Manual pages are still generated HTML for the time being

	git: Ignore common IDE build files.

2022-06-04  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-ubuntu-22.04' into 'master'
	ci: Update to use Ubuntu 22.04 CI images

	Closes #429

	See merge request libtiff/libtiff!348

2022-06-04  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'opengl-option' into 'master'
	cmake: Add tiff-opengl option

	See merge request libtiff/libtiff!340

2022-06-04  Roger Leigh  <rleigh@codelibre.net>

	tiffdump: Avoid overflow warning when reading.

	ci: Update to use Ubuntu 22.04 CI images.

2022-06-04  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Include stdlib.h in tif_lzw.c.

	See merge request libtiff/libtiff!347

2022-06-04  Brian Ledger  <brian.peter.ledger@gmail.com>

	Merge branch 'master' of https://gitlab.com/libtiff/libtiff.

2022-06-04  Brian Ledger  <brian.peter.ledger@gmail.com>

	Include stdlib.h in tif_lzw.c.
	In `tif_lzw.c`, a call is made to `_byteswap_uint64`. This is declared in `stdlib.h`. `stdlib.h` is not included in `tib_lzw.c`, so a name error may occur.

	This change adds `#include stdlib.h` to `tif_lzw.c`, to prevent a name error from occurring when `stdlib.h` is not included.

2022-05-29  Roger Leigh  <rleigh@codelibre.net>

	Add options for disabling tools, tests, contrib and docs.

	cmake: Add MSVC options when building all libraries and executables.

	cmake: Do not build faxtable target when cross-compiling.

	cmake: Use add_compile_definitions and add_compile_options.
	It seems that some CMake versions can't export targets using PRIVATE
	linking, even though the private target is never used.

	Merge remote-tracking branch 'origin/master' into cmake-msvc-options.

	Merge remote-tracking branch 'origin/master' into cmake-win32-libtiffxx-static

2022-05-29  Roger Leigh  <rleigh@codelibre.net>

	Merge branch 'ci-x64' into 'master'
	ci: Remove arm64 temporarily

	See merge request libtiff/libtiff!341

2022-05-29  Roger Leigh  <rleigh@codelibre.net>

	ci: Remove arm64 temporarily.

	autoconf: Add --disable-opengl option.

	cmake: Add tiff-opengl option.

	cmake: Add MSVC options when building all libraries and executables.

	cmake: libtiffxx is static on win32.

2022-05-22  Even Rouault  <even.rouault@spatialys.com>

	html/Makefile.am: add v4.4.0.html to docfiles.

2022-05-20  Even Rouault  <even.rouault@spatialys.com>

	Update HOWTO-RELEASE with .tar.xz.

	Prepare for release 4.4.0.

2022-05-16  Even Rouault  <even.rouault@spatialys.com>

	libtiff v4.4.0 released

2022-05-16  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'pkgconf_abs_path' into 'master'
	Handle absolute paths in pkg-config file

	See merge request libtiff/libtiff!333

2022-05-16  Miloš Komarčević  <miloskomarcevic@aim.com>

	Handle absolute paths in pkg-config file.

2022-05-15  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix-tests-with-ro-source-dir' into 'master'
	cmake: allow running the tests with a read-only source directory

	See merge request libtiff/libtiff!332

2022-05-15  Alex Richardson  <alexrichardson@google.com>

	cmake: allow running the tests with a read-only source directory.
	Prior to this commit CTest would invoke all simple_tests tests with the
	current working directory set to the source directory. However, some of
	the tests (e.g. rewrite) will output files to the current working
	directory and will therefore fail when run with a read-only source
	directory. This can happen e.g. when testing a cross-compiled version of
	libtiff where the sources are mounted read-only in the virtual machine.

	Simply changing the working directory to CMAKE_CURRENT_BINARY_DIR allows
	all but raw_decode to pass. The raw_decode test looks for files in the
	source directory, and uses the `srcdir` environment variable to find, so
	we also have to add a set_tests_properties() call to specify that env var.

2022-05-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'tiffcrop_pipeline_error' into 'master'
	tiffcrop: Fixes complain of pipeline "cmake-ninja-arm64"  about abs() on...

	See merge request libtiff/libtiff!331

2022-05-14  Su Laus  <sulau@freenet.de>

	tiffcrop: Fixes complain of pipeline "cmake-ninja-arm64"  about abs() on...

2022-05-14  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'TIFFField_SetGetSize_CountSize' into 'master'
	Public functions TIFFFieldSetGetSize() and TIFFieldSetGetCountSize() added.

	See merge request libtiff/libtiff!284

2022-05-14  Su Laus  <sulau@freenet.de>

	Public functions TIFFFieldSetGetSize() and TIFFieldSetGetCountSize() added.

2022-05-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'jondo-master-patch-87274' into 'master'
	Replace add_compile_definitions for CMake versions before 3.12 (#238)

	See merge request libtiff/libtiff!330

2022-05-13  Robert Pollak  <robert.pollak@posteo.net>

	Replace add_compile_definitions for CMake versions before 3.12 (#238)

2022-05-13  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'master' into 'master'
	Remove incorrect assert.

	See merge request libtiff/libtiff!329

2022-05-13  Ben Laurie  <benl@google.com>

	Remove incorrect assert.

2022-05-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'Fix_Issue#330' into 'master'
	tiffcrop: Fix issue #330 and some more from 320 to 349

	Closes #330

	See merge request libtiff/libtiff!298

2022-05-10  Su Laus  <sulau@freenet.de>

	tiffcrop: Fix issue #330 and some more from 320 to 349.

2022-05-10  Even Rouault  <even.rouault@spatialys.com>

	test_signed_tags.c: fix CID 1504376.

2022-05-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_#29_tiffcp_orientationTag' into 'master'
	tiffcp: Fix incomprehensible setting of orientation tag (fixes #29)

	Closes #29

	See merge request libtiff/libtiff!327

2022-05-10  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'palette-8bit' into 'master'
	tiff2pdf: handle 8-bit palette colormap

	See merge request libtiff/libtiff!328

2022-05-09  Jay Berkenbilt  <ejb@ql.org>

	tiff2pdf: handle 8-bit palette colormap.
	If all the colors in a palette are in the range [0, 255], treat the
	palette as an 8-bit colormap. This workaround already exists elsewhere
	in the software including in tiff2ps.

2022-05-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_#40_ReadSignedTags' into 'master'
	Reading of signed tags added (fixes #40)

	Closes #40

	See merge request libtiff/libtiff!326

2022-05-08  Su Laus  <sulau@freenet.de>

	Reading of signed tags added (fixes #40)

2022-05-08  Even Rouault  <even.rouault@spatialys.com>

	Fix typos in comments.

2022-05-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_400' into 'master'
	tiffcp: avoid buffer overflow in "mode" string (fixes #400)

	Closes #400

	See merge request libtiff/libtiff!323

2022-05-08  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'CheckForBigTiff' into 'master'
	TIFFIsBigTiff()  function added.

	See merge request libtiff/libtiff!325

2022-05-08  Su Laus  <sulau@freenet.de>

	TIFFIsBigTiff()  function added.

2022-05-01  Su_Laus  <sulau@freenet.de>

	tiffcp: Fix incomprehensible setting of orientation tag (fixes #29)

2022-04-23  Even Rouault  <even.rouault@spatialys.com>

	Merge branch 'fix_#8_FreeAnonTag' into 'master'
	extra flag for anonymous (unknown) tags (fixes #8)

	Closes #400 et #8

	See merge request libtiff/libtiff!324

2022-04-22  Even Rouault  <even.rouault@spatialys.com>

